'use strict';

var index = require('./index-CVtxT0q5.js');

const swcBannerCss = ".sfe-banner__title-container.sc-swc-banner{margin-right:8px;display:flex;place-items:center center;column-gap:0.5em}.sfe-banner__title.sc-swc-banner{font-weight:500}.sfe-banner__body.sc-swc-banner{margin-top:4px;font-size:0.875rem;color:var(--sfe-color-text-default-secondary)}.sfe-banner__footer.sc-swc-banner{margin-top:20px;color:var(--sfe-btn-color-content-bare-neutral);font-size:0.75rem}.sfe-banner__close-icon.sc-swc-banner{background:none;border:none;padding:0;display:flex;align-self:flex-start}.sfe-banner__parent.sc-swc-banner{border-radius:8px;border-width:1px;padding:16px;border-style:solid}.sfe-banner__parent.success.sc-swc-banner{background-color:var(--sfe-color-fill-positive-lightest);border:1px solid var(--sfe-color-border-positive-subtle)}.sfe-banner__parent.neutral.sc-swc-banner{background-color:#f5f7f9;border:1px solid var(--sfe-color-border-neutral-muted)}.sfe-banner__parent.info.sc-swc-banner{background-color:var(--sfe-color-fill-info-lightest);border:1px solid var(--sfe-color-border-info-subtle)}.sfe-banner__parent.warning.sc-swc-banner{background-color:var(--sfe-color-fill-warning-lightest);border:1px solid var(--sfe-color-non-semantic-border-orange-subtle)}.sfe-banner__parent.error.sc-swc-banner{background-color:var(--sfe-color-fill-critical-lightest);border:1px solid var(--sfe-color-border-critical-subtle)}.sfe-banner__parent.success.sc-swc-banner .sfe-banner__title.sc-swc-banner{color:var(--sfe-color-text-positive-strong)}.sfe-banner__parent.neutral.sc-swc-banner .sfe-banner__title.sc-swc-banner{color:var(--sfe-color-text-default-primary)}.sfe-banner__parent.info.sc-swc-banner .sfe-banner__title.sc-swc-banner{color:var(--sfe-color-text-info-strong)}.sfe-banner__parent.warning.sc-swc-banner .sfe-banner__title.sc-swc-banner{color:var(--sfe-color-text-warning-strong)}.sfe-banner__parent.error.sc-swc-banner .sfe-banner__title.sc-swc-banner{color:var(--sfe-color-text-critical-strong)}#close_icon.sc-swc-banner{margin-left:auto}";

const SwcBanner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.close = index.createEvent(this, "close");
    }
    /**
     * variant of the banner
     */
    variant = 'success';
    /**
     * determines whether the banner icon should be displayed
     */
    showTitleIcon = true;
    /**
     * determines whether the banner can be dismissed
     */
    dismissible = true;
    titleId = `banner-title-${this.generateUniqueId()}`;
    bodyId = `banner-body-${this.generateUniqueId()}`;
    /**
     * event emitted when the banner close icon is clicked
     */
    close;
    get classes() {
        let iconFill = '';
        let icon = 'Checkmark Circle';
        switch (this.variant) {
            case 'neutral':
                iconFill = 'var(--sfe-color-icon-default-secondary)';
                break;
            case 'info':
                iconFill = 'var(--sfe-color-icon-info-primary)';
                break;
            case 'warning':
                iconFill = 'var(--sfe-color-icon-warning-primary)';
                icon = 'Error Circle';
                break;
            case 'error':
                icon = 'Warning';
                iconFill = 'var(--sfe-color-icon-critical-primary)';
                break;
            case 'success':
                iconFill = 'var(--sfe-color-icon-positive-primary)';
                break;
        }
        return { iconFill, icon };
    }
    generateUniqueId() {
        return Math.random().toString(36).substring(2, 9);
    }
    handleCloseIconClick = () => {
        this.close.emit();
    };
    render() {
        const { variant, showTitleIcon, dismissible, titleId, bodyId, classes } = this;
        return (index.h("div", { key: 'dcfe35ab9c8f75705559f4eefcf3163f9b36accb', role: "banner", class: `d-flex sfe-banner__parent ${variant}`, "aria-labelledby": titleId, "aria-describedby": bodyId, "data-testid": "sfe-banner" }, showTitleIcon && (index.h("div", { key: '0dfa05e14ccd296723806638bcd6c559bf344d55', class: "sfe-banner__title-container" }, index.h("slot", { key: '6b4aedc0d217179b2ed9b32820599ca665a029c5', name: "titleIcon" }, index.h("swc-svg-icon", { key: '5fc6a7fbd3aeddc98ada0c673ffd137a261a0019', name: classes.icon, variant: "filled", color: classes.iconFill, size: "20" })), index.h("span", { key: '6f43fb540a18472c9a508ae7b8b30136fd00b2f2', id: titleId, class: "sfe-banner__title" }, index.h("slot", { key: 'e4b9f714d785fafcec6ad588a1e52cfa25bb8274', name: "title" })), dismissible && (index.h("button", { key: 'e07977b79b7fb79acfffe51c272d66e4d468e770', id: "close_icon", class: "sfe-banner__close-icon ml-auto", "aria-label": "Close banner", onClick: this.handleCloseIconClick }, index.h("slot", { key: 'f53238bb3ca1796f3ac1ed91ca9b0acb2263d3f3', name: "closeIcon" }, index.h("swc-svg-icon", { key: '7cd262cf70f6238c84b6127c76f2002b4e984fea', name: "Dismiss", size: "16" })))))), index.h("div", { key: '5e4e3e175c4d4eed31fb265fc30cfcf96c1714a4' }, index.h("section", { key: '87dba236d36a6f6bf2f82df7d3b065bb7c73b470', id: bodyId, class: "sfe-banner__body" }, index.h("slot", { key: '63b655be8b05cf2b770a1a791c4021fb650aacd1', name: "body" })), index.h("section", { key: '76f0edcb1b40574aeee7f60c8124d176264cdea5', class: "sfe-banner__footer" }, index.h("slot", { key: '478aa91ec31e74316e535ed4c6f15a588bd1b6a5', name: "footer" })))));
    }
};
SwcBanner.style = swcBannerCss;

exports.swc_banner = SwcBanner;
//# sourceMappingURL=swc-banner.entry.cjs.js.map

//# sourceMappingURL=swc-banner.cjs.entry.js.map