'use strict';

var index = require('./index-CVtxT0q5.js');
var utils = require('./utils-B_y0COLv.js');

const swcCheckboxGroupCss = ".sc-swc-checkbox-group-h .sfe-checkbox-grp-wrapper.sc-swc-checkbox-group{display:flex}.sc-swc-checkbox-group-h .sfe-checkbox-grp-wrapper--row.sc-swc-checkbox-group{flex-direction:row;align-items:center;gap:12px}.sc-swc-checkbox-group-h .sfe-checkbox-grp-wrapper--column.sc-swc-checkbox-group{flex-direction:column;gap:12px;justify-content:center}";

const SwcCheckboxGroup = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.changeGroupCheckbox = index.createEvent(this, "changeGroupCheckbox");
    }
    /**
     * options Prop internal
     */
    options;
    /**
     * direction Prop internal
     */
    direction = 'row';
    /**
     * useOptionsArray Prop internal
     */
    value = [];
    /**
     * change event on group checkbox
     */
    changeGroupCheckbox;
    checkboxChangeHandler(event) {
        const { value, checked } = event.detail;
        switch (checked) {
            case true:
                if (this.value.includes(value)) {
                    const copy = [...this.value, value];
                    const distinctVal = new Set(copy);
                    this.value = Array.from(distinctVal);
                }
                else {
                    this.value = [...this.value, value];
                }
                break;
            case false:
                if (this.value.includes(value)) {
                    this.value = this.value.filter((unit) => unit !== value);
                }
                break;
        }
        if (checked && !this.value.includes(value)) {
            this.value = [...this.value, value];
        }
        if (!checked && this.value.includes(value)) {
            this.value = this.value.filter((unit) => unit !== value);
        }
    }
    get hostEl() { return index.getElement(this); }
    valueChangeHandler(newValue) {
        this.changeGroupCheckbox.emit(newValue);
    }
    render() {
        const hasSlotContent = utils.hasNamedSlot(this.hostEl, 'content');
        return (index.h(index.Host, { key: '802b2726935d1586f0b88ede4ebc7487e7962216' }, index.h("div", { key: '81fc92f61c08c0c5f7b56da2ca7220a839fcc116', class: `sfe-checkbox-grp-wrapper sfe-checkbox-grp-wrapper--${this.direction}`, id: utils.useId().generate('swc-grp-checkbox') }, !hasSlotContent &&
            this.options?.length > 0 &&
            this.options.map((option) => (index.h("swc-checkbox", { key: option.value, value: option.value, label: option.label, checked: this.value.includes(option.value) }))), index.h("slot", { key: '83237135861e90f8a6507cc88d06b913c1a954d5', name: "content" }))));
    }
    static get watchers() { return {
        "value": ["valueChangeHandler"]
    }; }
};
SwcCheckboxGroup.style = swcCheckboxGroupCss;

exports.swc_checkbox_group = SwcCheckboxGroup;
//# sourceMappingURL=swc-checkbox-group.entry.cjs.js.map

//# sourceMappingURL=swc-checkbox-group.cjs.entry.js.map