'use strict';

var index = require('./index-CVtxT0q5.js');
var utils = require('./utils-B_y0COLv.js');

const swcCheckboxCss = ".sc-swc-checkbox-h .sfe-checkbox-container.sc-swc-checkbox{display:inline-flex;align-items:center}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox{width:16px;height:16px;position:relative;border:2px solid var(--sfe-color-interaction-neutral-faded-subtle);border-radius:var(--sfe-sizing-radius-small);background-color:#fff;cursor:pointer;line-height:0;margin:0 0.2em 0 0;outline:0;padding:0;vertical-align:text-top;appearance:none;transition:border-color 0.3s ease, background-color 0.3s ease}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:hover{opacity:1;border-color:var(--sfe-color-interaction-neutral-faded-strong)}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:checked{border:none;background-color:var(--sfe-color-interaction-brand-solid-weak);opacity:1}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:focus-visible{outline:2px solid #9747ff;outline-offset:1px}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:disabled{border-color:var(--sfe-color-interaction-disabled-strong);opacity:0.5;cursor:not-allowed}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:indeterminate{background-color:var(--sfe-color-interaction-brand-solid-weak);border-color:var(--sfe-color-interaction-brand-solid-weak)}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:indeterminate::before{content:\"\";position:absolute;right:50%;top:50%;width:10px;height:2px;background-color:#fff;margin:0 -10px 0 -1px;transform:translate(-50%, -50%)}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:checked:hover{border:none;background-color:var(--sfe-color-interaction-brand-solid-subtle);opacity:1}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:checked:disabled{border:none;background-color:var(--sfe-color-interaction-disabled-strong);opacity:0.5}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:indeterminate:disabled{background-color:var(--sfe-color-interaction-disabled-strong);border-color:var(--sfe-color-interaction-disabled-strong);opacity:1}.sc-swc-checkbox-h .sfe-checkbox.checked.sc-swc-checkbox::before{content:\"\";position:absolute;right:50%;top:50%;width:4px;height:10px;border:solid #fff;border-width:0 2px 2px 0;margin:-1px 0 0 -1px;transform:rotate(45deg) translate(-50%, -50%);z-index:2}.sc-swc-checkbox-h .sfe-checkbox--error.sc-swc-checkbox{border-color:var(--sfe-color-interaction-critical-solid-weak)}.sc-swc-checkbox-h .sfe-checkbox.sc-swc-checkbox:checked.sfe-checkbox--error{border:none;background-color:var(--sfe-color-interaction-brand-solid-weak);opacity:1}.sc-swc-checkbox-h .sfe-checkbox-label.sc-swc-checkbox{margin-top:0;margin-bottom:0;margin-left:8px}";

const SwcCheckbox = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.checkboxChange = index.createEvent(this, "checkboxChange");
    }
    /**
     * value for the checkbox component
     */
    value;
    /**
     * checked value for the checkbox component
     */
    checked = false;
    /**
     * error detector for the checkbox component
     */
    error = false;
    /**
     * disabled for the checkbox component
     */
    disabled = false;
    /**
     * falseValue for the checkbox component
     */
    falseValue;
    /**
     * label for the checkbox component
     */
    label;
    /**
     * isIndeterminate for the checkbox component
     */
    isIndeterminate = false;
    /**
     * updateSelection event for the checkbox component
     */
    checkboxChange;
    get checkboxHostElement() { return index.getElement(this); }
    checkboxId = `${utils.useId().generate('_checkbox_')}`;
    handleChange = (event) => {
        const checkedEvent = event.target.checked;
        this.checked = checkedEvent;
        if (checkedEvent) {
            if (typeof this.value === 'boolean') {
                this.checkboxChange.emit({ value: true, checked: checkedEvent });
            }
            else {
                this.checkboxChange.emit({ value: this.value, checked: checkedEvent });
            }
        }
        else {
            // this.checkboxChange.emit({ value: this.falseValue ?? false, checked: checkedEvent })
            if (typeof this.value === 'boolean') {
                this.checkboxChange.emit({ value: this.falseValue ?? false, checked: false });
            }
            else {
                this.checkboxChange.emit({ value: this.value, checked: false });
            }
        }
    };
    render() {
        const idAttribute = this.checkboxHostElement.getAttribute('id');
        return (index.h(index.Host, { key: 'c8b5098d60f6972ab93717f65d83d1e85e18b8b8' }, index.h("div", { key: '24d83cd6bd00512c1580a0d4c28d29e1afbdb47b', class: "sfe-checkbox-container" }, index.h("input", { key: '3ef87a4edc5558c73c23d71bd31ea8965672c646', type: "checkbox", id: idAttribute || this.checkboxId, value: this.value, checked: this.checked, "data-testid": "sfe-checkbox", disabled: this.disabled, class: {
                'sfe-checkbox': true,
                'sfe-checkbox--error': this.error,
                checked: this.checked,
            }, indeterminate: this.isIndeterminate, onChange: this.handleChange }), this.label && (index.h("swc-label", { key: 'dcb73b896e320357197eda92916e76d978601dca', for: idAttribute || this.checkboxId, disabled: this.disabled, size: "md", class: "sfe-checkbox-label", "data-for": this.checkboxId || idAttribute }, this.label)))));
    }
};
SwcCheckbox.style = swcCheckboxCss;

exports.swc_checkbox = SwcCheckbox;
//# sourceMappingURL=swc-checkbox.entry.cjs.js.map

//# sourceMappingURL=swc-checkbox.cjs.entry.js.map