'use strict';

var index = require('./index-CVtxT0q5.js');
var utils = require('./utils-B_y0COLv.js');

const swcRadioInputCss = ".sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input{appearance:none;width:16px;height:16px;border:2px solid var(--sfe-color-interaction-neutral-faded-subtle);border-radius:100px;position:relative;cursor:pointer;transition:border-color 0.3s ease, background-color 0.3s ease;background-color:white}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:focus-visible{outline:2px solid #9747ff;outline-offset:1px}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:checked{border:5px solid var(--sfe-color-interaction-brand-solid-weak) !important}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:hover{border:2px solid var(--sfe-color-interaction-neutral-faded-strong)}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:disabled{border-color:var(--sfe-color-interaction-disabled-strong);background-color:#f0f0f0;cursor:not-allowed;opacity:0.5}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:hover:checked{border:2px solid var(--sfe-color-interaction-brand-solid-subtle)}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input::before{content:\"\";position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);width:50%;height:50%;background-color:transparent;border-radius:50%;transition:background-color 0.3s ease}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:checked::before{background-color:transparent}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:checked:disabled{border:5px solid var(--sfe-color-interaction-disabled-strong) !important}.sc-swc-radio-input-h .sfe-radio--error.sc-swc-radio-input{border:2px solid var(--sfe-color-interaction-critical-solid-weak) !important}.sc-swc-radio-input-h .sfe-radio.sc-swc-radio-input:checked.sfe-radio--error{border:5px solid var(--sfe-color-interaction-brand-solid-weak) !important}.sc-swc-radio-input-h .cursor-pointer.sc-swc-radio-input{cursor:pointer}.sc-swc-radio-input-h .cursor-not-allowed.sc-swc-radio-input{cursor:not-allowed}.sc-swc-radio-input-h .swc-radio-wrapper.sc-swc-radio-input{display:inline-flex;align-items:center}";

const SwcRadioInput = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.changeRadio = index.createEvent(this, "changeRadio");
    }
    /**
     * value state
     */
    value;
    /**
     * selectedValue prop
     */
    selectedValue;
    /**
     * disabled state
     */
    disabled = false;
    /**
     * disabled state
     */
    error = false;
    /**
     * checked state
     */
    checked = false;
    /**
     * label attribute
     */
    label;
    /**
     * event emitted when the user clicks on the switch
     */
    changeRadio;
    get hostEl() { return index.getElement(this); }
    radioId = utils.useId().generate('swc-radio-');
    handleRadioChange = (event) => {
        event.preventDefault();
        const emmitedValue = event.target.value;
        this.changeRadio.emit(emmitedValue);
    };
    render() {
        const attrs = Array.from(this.hostEl.attributes).reduce((acc, attribute) => {
            acc[attribute.name] = attribute.value;
            return acc;
        }, {});
        return (index.h(index.Host, null, index.h("span", { class: "swc-radio-wrapper", "data-testid": "sfe-radio-input" }, index.h("input", { ...attrs, type: "radio", id: this.radioId, value: this.value, checked: this.checked || this.value.toLowerCase() === this.selectedValue.toLowerCase(), disabled: this.disabled, class: {
                'sfe-radio': true,
                'sfe-radio--error': this.error,
            }, onChange: this.handleRadioChange }), this.label && (index.h("label", { htmlFor: this.radioId, class: `ms-2 ${this.disabled ? 'cursor-not-allowed' : 'cursor-pointer'}` }, this.label)))));
    }
};
SwcRadioInput.style = swcRadioInputCss;

exports.swc_radio_input = SwcRadioInput;
//# sourceMappingURL=swc-radio-input.entry.cjs.js.map

//# sourceMappingURL=swc-radio-input.cjs.entry.js.map