'use strict';

var index = require('./index-CVtxT0q5.js');

const swcSkeletonCss = ".sc-swc-skeleton-h .skeleton-loader.sc-swc-skeleton{display:flex;gap:10px}.sc-swc-skeleton-h .skeleton-loader.sc-swc-skeleton .skeleton-item.sc-swc-skeleton{background-color:var(--sfe-color-fill-neutral-subtle, #eaedf0);animation:shimmer 2s infinite;transition:opacity 0.3s ease-in-out}@keyframes shimmer{0%{opacity:1}50%{opacity:0.3}100%{opacity:1}}";

const SwcSkeleton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    /**
     * determines if the skeleton loader be a circle
     */
    round = false;
    /**
     * size of the skeleton loader
     */
    size = '50px';
    /**
     * height of the skeleton loader
     */
    height = '20px';
    /**
     * width of the skeleton loader
     */
    width = '100%';
    /**
     * border radius of the skeleton loader
     */
    borderRadius = 'var(--sfe-sizing-radius-large, 12px)';
    DEFAULT_PROPS_VALUE = {
        size: '50px',
        height: '20px',
        width: '100%',
        borderRadius: 'var(--sfe-sizing-radius-large, 12px)',
    };
    isValidSize(value) {
        return /^(auto|(\d+(\.\d+)?(px|em|rem|%)))$/.test(value);
    }
    get validatedSize() {
        return this.isValidSize(this.size) ? this.size : this.DEFAULT_PROPS_VALUE.size;
    }
    get validatedWidth() {
        return this.isValidSize(this.width) ? this.width : this.DEFAULT_PROPS_VALUE.width;
    }
    get validatedHeight() {
        return this.isValidSize(this.height) ? this.height : this.DEFAULT_PROPS_VALUE.height;
    }
    get validatedBorderRadius() {
        return this.isValidSize(this.borderRadius)
            ? this.borderRadius
            : this.DEFAULT_PROPS_VALUE.borderRadius;
    }
    get shimmerStyleProps() {
        const width = this.round ? this.validatedSize : this.validatedWidth;
        const height = this.round ? this.validatedSize : this.validatedHeight;
        const borderRadius = this.round ? '50%' : this.validatedBorderRadius;
        return {
            width,
            height,
            borderRadius,
        };
    }
    render() {
        return (index.h(index.Host, { key: 'd4c3be97ca75144c5691d5f31558d1b0ab873d02' }, index.h("div", { key: '73ff393b62aba69fc1dba8ad865ceab78cc1b1fe', class: "skeleton-loader", "data-testid": "sfe-skeleton" }, index.h("div", { key: 'e10b769559bfedcc3f7503b1e5768b3849b5d0c7', class: "skeleton-item", "aria-hidden": "true", style: { ...this.shimmerStyleProps } }))));
    }
};
SwcSkeleton.style = swcSkeletonCss;

exports.swc_skeleton = SwcSkeleton;
//# sourceMappingURL=swc-skeleton.entry.cjs.js.map

//# sourceMappingURL=swc-skeleton.cjs.entry.js.map