'use strict';

var index = require('./index-CVtxT0q5.js');

const swcStepperItemCss = ".stepper-item.sc-swc-stepper-item{--item-size:calc(max(120px, var(--line-size)));display:flex;flex-direction:column;align-items:center}.stepper-item.stepper-item--horizontal.sc-swc-stepper-item{width:var(--item-size)}.stepper-item__thumb.sc-swc-stepper-item{width:var(--thumb-size);height:var(--thumb-size);border-radius:50%;position:relative;display:grid;place-content:center}.stepper-item__thumb.sc-swc-stepper-item::after{position:absolute;content:\"\";top:50%;left:100%;transform:translateY(-50%);width:var(--item-size);height:2px;background-color:#ccc}.stepper-item--incomplete.sc-swc-stepper-item .stepper-item__thumb.sc-swc-stepper-item{background-color:#fff;border:1px solid var(--sfe-color-icon-default-muted)}.stepper-item--active.sc-swc-stepper-item .stepper-item__thumb.sc-swc-stepper-item{background-color:var(--sfe-color-fill-brand-on-subtle)}.stepper-item--completed.sc-swc-stepper-item .stepper-item__thumb.sc-swc-stepper-item,.stepper-item--completed.sc-swc-stepper-item .stepper-item__thumb.sc-swc-stepper-item::after{background-color:var(--sfe-color-icon-default-brand)}.stepper-item--horizontal.sc-swc-stepper-item .stepper-item__thumb-wrapper.sc-swc-stepper-item{margin-block-end:16px}.stepper-item--vertical.sc-swc-stepper-item .stepper-item__thumb-wrapper.sc-swc-stepper-item{margin-inline-end:16px}.stepper-item--vertical.sc-swc-stepper-item{flex-direction:row;height:var(--item-size)}.stepper-item--vertical.sc-swc-stepper-item .stepper-item__thumb.sc-swc-stepper-item{margin-inline-end:10px}.stepper-item--vertical.sc-swc-stepper-item .stepper-item__thumb.sc-swc-stepper-item::after{position:absolute;content:\"\";top:100%;left:50%;transform:translateX(-50%);width:2px;height:var(--item-size)}.last-item.sc-swc-stepper-item .stepper-item__thumb.sc-swc-stepper-item::after{width:0;height:0}.stepper-item--horizontal.sc-swc-stepper-item .stepper-item__content.sc-swc-stepper-item{text-align:center}";

const SwcStepperItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    get hostElement() { return index.getElement(this); }
    /**
     * @internal
     * index of the step
     */
    index;
    /**
     * @internal
     * whether the step is the last one
     */
    isLastItem = false;
    /**
     * @internal
     * index of the active step
     */
    activeIndex;
    /**
     * @internal
     * orientation of the stepper
     */
    orientation;
    /**
     * @internal
     * whether to show checkmark on completed steps
     */
    withCheckmark;
    /**
     * @internal
     * size of the lines in the stepper
     */
    lineSize;
    /**
     * @internal
     * id of the step
     */
    idProp;
    computedStatus;
    computeStatus() {
        if (this.index < this.activeIndex)
            return 'completed';
        if (this.index === this.activeIndex)
            return 'active';
        return 'incomplete';
    }
    componentWillLoad() {
        this.computedStatus = this.computeStatus();
    }
    render() {
        return (index.h("div", { key: 'ac9b52e13595dcb44eff16ff09fb1afaa23f4a1c', "aria-current": this.activeIndex === this.index ? 'step' : undefined, class: `stepper-item stepper-item--${this.computedStatus} stepper-item--${this.orientation} ${this.isLastItem ? 'last-item' : ''}`, style: {
                '--line-size': this.lineSize,
                '--thumb-size': this.withCheckmark ? '20px' : '12px',
            }, "data-testid": "sfe-stepper-item" }, index.h("div", { key: 'aafe248b548f19b35a98bd79afe48854f4d727e6', class: "stepper-item__thumb-wrapper" }, index.h("div", { key: '89ea8b43d47f7533cea3ed26d67c69ecd2b25aed', class: "stepper-item__thumb" }, this.withCheckmark && this.computedStatus === 'completed' && (index.h("swc-svg-icon", { key: '1ec3e7aaf91dfe1ed2f15db0e6f29cff322e2805', color: "#ffffff", size: "12", name: "Checkmark" })))), index.h("div", { key: 'fe87542fba47d03a026c77806c9304f677089a9c', class: "stepper-item__content" }, index.h("slot", { key: '4f855f8b6abccdc0b6889be82ca3ea6b8cd420e4', name: "content" }))));
    }
};
SwcStepperItem.style = swcStepperItemCss;

exports.swc_stepper_item = SwcStepperItem;
//# sourceMappingURL=swc-stepper-item.entry.cjs.js.map

//# sourceMappingURL=swc-stepper-item.cjs.entry.js.map