'use strict';

var index = require('./index-CVtxT0q5.js');

const StyleConfig = {
    info: {
        titleColor: 'var(--sfe-color-text-info-strong, #004CA6)',
        borderLeftColor: 'var(--sfe-color-border-info-solid, #004CA6)',
        subtleBgColor: 'var(--sfe-color-fill-info-lightest, #E4EDFC)',
        icon: 'Info',
        iconColor: '#004CA6',
    },
    error: {
        titleColor: 'var(--sfe-color-text-critical-strong, #A22827)',
        borderLeftColor: 'var(--sfe-color-border-critical-solid, #A22827)',
        subtleBgColor: 'var(--sfe-color-fill-critical-lightest, #FCF4F4)',
        icon: 'Warning',
        iconColor: '#821C1C',
    },
    success: {
        titleColor: 'var(--sfe-color-text-positive-strong, #135216)',
        borderLeftColor: 'var(--sfe-color-border-positive-solid, #1D7F22)',
        subtleBgColor: 'var(--sfe-color-fill-positive-lightest, #F4FBF4)',
        icon: 'Checkmark Circle',
        iconColor: '#135216',
    },
    warning: {
        titleColor: 'var(--sfe-color-text-warning-strong, #7A4510)',
        borderLeftColor: 'var(--sfe-color-border-warning-solid, #FEB872)',
        subtleBgColor: 'var(--sfe-color-fill-warning-lightest, #FFF5EB)',
        icon: 'Error Circle',
        iconColor: '#A05C1C',
    },
};

const swcToastCss = ".sc-swc-toast-h .d-flex.sc-swc-toast{display:flex}.sc-swc-toast-h .align-items-center.sc-swc-toast{align-items:center}.sc-swc-toast-h .justify-content-center.sc-swc-toast{justify-content:center}.sc-swc-toast-h .justify-content-between.sc-swc-toast{justify-content:space-between}.sc-swc-toast-h .ml-1.sc-swc-toast{margin-inline-start:4px}.sc-swc-toast-h .mr-3.sc-swc-toast{margin-inline-end:12px}.sc-swc-toast-h .mb-1.sc-swc-toast{margin-block-end:4px}.sc-swc-toast-h .shr-toast.sc-swc-toast{position:fixed;z-index:var(--sfe-stack-level-alert);border-radius:4px;border:1px solid rgba(0, 0, 0, 0.1);border-left-style:solid;border-left-color:var(--border-left-color);padding-block:12px;overflow:hidden}.sc-swc-toast-h .shr-toast__message.sc-swc-toast{font-family:var(--sfe-typography-font-serif-font, Sora);font-weight:400;line-height:16px;color:var(--message-color);word-break:break-word}.sc-swc-toast-h .shr-toast--with-title.sc-swc-toast .shr-toast__message.sc-swc-toast{line-height:1.5}.sc-swc-toast-h .shr-toast--without-title.sc-swc-toast .shr-toast__message.sc-swc-toast{line-height:1.75}.sc-swc-toast-h .shr-toast__title.sc-swc-toast{font-family:var(--sfe-typography-font-serif-font, Sora);font-size:14px;font-weight:500;line-height:16px;color:var(--title-color);word-break:break-word}.sc-swc-toast-h .shr-toast__close-icon-wrapper.sc-swc-toast{block-size:25px;inline-size:25px;border-radius:50%;border:none;background-color:transparent;transition:background-color 0.2s ease-out}.sc-swc-toast-h .shr-toast__close-icon-wrapper.sc-swc-toast:hover{background-color:#f3f3f3}.sc-swc-toast-h .shr-toast__close-icon-wrapper.sc-swc-toast .close-icon.sc-swc-toast{color:rgba(0, 0, 0, 0.7)}.sc-swc-toast-h .shr-toast.top-right.sc-swc-toast{top:20px;right:20px;transition:opacity var(--transition-duration), transform var(--transition-duration)}.sc-swc-toast-h .shr-toast.top-right[data-state=hidden].sc-swc-toast{opacity:0;transform:translateX(20px)}.sc-swc-toast-h .shr-toast.top-right[data-state=showing].sc-swc-toast{opacity:1;transform:translateX(0)}.sc-swc-toast-h .shr-toast.top-left.sc-swc-toast{top:20px;left:20px;transition:opacity var(--transition-duration), transform var(--transition-duration)}.sc-swc-toast-h .shr-toast.top-left[data-state=hidden].sc-swc-toast{opacity:0;transform:translateX(-20px)}.sc-swc-toast-h .shr-toast.top-left[data-state=showing].sc-swc-toast{opacity:1;transform:translateX(0)}.sc-swc-toast-h .shr-toast.top-center.sc-swc-toast{top:20px;left:0;right:0;margin-inline:auto;transition:opacity var(--transition-duration), transform var(--transition-duration)}.sc-swc-toast-h .shr-toast.top-center[data-state=hidden].sc-swc-toast{opacity:0;transform:translateY(-20px)}.sc-swc-toast-h .shr-toast.top-center[data-state=showing].sc-swc-toast{opacity:1;transform:translateY(0)}.sc-swc-toast-h .shr-toast.bottom-right.sc-swc-toast{bottom:20px;right:20px;transition:opacity var(--transition-duration), transform var(--transition-duration)}.sc-swc-toast-h .shr-toast.bottom-right[data-state=hidden].sc-swc-toast{opacity:0;transform:translateX(20px)}.sc-swc-toast-h .shr-toast.bottom-right[data-state=showing].sc-swc-toast{opacity:1;transform:translateX(0)}.sc-swc-toast-h .shr-toast.bottom-left.sc-swc-toast{bottom:20px;left:20px;transition:opacity var(--transition-duration), transform var(--transition-duration)}.sc-swc-toast-h .shr-toast.bottom-left[data-state=hidden].sc-swc-toast{opacity:0;transform:translateX(-20px)}.sc-swc-toast-h .shr-toast.bottom-left[data-state=showing].sc-swc-toast{opacity:1;transform:translateX(0)}.sc-swc-toast-h .shr-toast.bottom-center.sc-swc-toast{bottom:20px;left:0;right:0;margin-inline:auto;transition:opacity var(--transition-duration), transform var(--transition-duration)}.sc-swc-toast-h .shr-toast.bottom-center[data-state=hidden].sc-swc-toast{opacity:0;transform:translateY(20px)}.sc-swc-toast-h .shr-toast.bottom-center[data-state=showing].sc-swc-toast{opacity:1;transform:translateY(0)}";

const SwcToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    /**
     * toast type
     */
    type = 'success';
    /**
     * toast position
     */
    position = 'top-center';
    /**
     * title of the toast
     */
    _title;
    /**
     * message of the toast
     */
    message;
    /**
     * duration of the toast in milliseconds
     */
    timeout = 5000;
    /**
     * determines whether the title should be displayed
     */
    showTitle = true;
    /**
     * determines whether the toast can be dismissed
     */
    dismissible = true;
    /**
     * determines whether the toast is visible
     */
    isVisible = false;
    /**
     * timeout id from setTimeout function
     */
    timeoutId;
    transitionDuration = 300;
    get resolvedStyle() {
        const config = StyleConfig[this.type];
        return {
            config,
            styles: {
                'background-color': this.showTitle ? '#FFF' : config.subtleBgColor,
                'inline-size': this.showTitle ? '273px' : '332px',
                'padding-inline': this.showTitle ? '14px' : '12px',
                'border-left-width': this.showTitle ? '4px' : '2px',
            },
        };
    }
    /**
     * show toast
     */
    // eslint-disable-next-line
    async showToast() {
        this.isVisible = true;
        this.timeoutId = setTimeout(() => {
            this.hideToast();
        }, this.timeout);
    }
    /**
     * hide toast
     */
    hideToast() {
        const swcToast = document.querySelector('swc-toast');
        if (swcToast) {
            swcToast.isVisible = false;
            clearTimeout(swcToast.timeoutId);
            setTimeout(() => {
                swcToast.reset();
                swcToast.remove();
            }, this.transitionDuration);
        }
    }
    /**
     * resets the toast state
     */
    // eslint-disable-next-line @stencil-community/async-methods
    async reset() {
        this.type = 'success';
        this.position = 'top-center';
        this._title = '';
        this.message = '';
        this.timeout = 5000;
        this.showTitle = true;
        this.isVisible = false;
        this.dismissible = true;
    }
    render() {
        return (index.h("div", { key: 'b19d10eb0bb0b62d5b2208bed9d474024980bb9f', role: "alert", "aria-live": "assertive", "aria-labelledby": "shr-toast-title", "aria-describedby": "shr-toast-message", "data-testid": "sfe-toast", "data-state": this.isVisible ? 'showing' : 'hidden', class: `shr-toast ${this.position}`, style: {
                '--transition-duration': `${this.transitionDuration}ms`,
                '--title-color': this.resolvedStyle.config.titleColor,
                '--message-color': this.showTitle
                    ? 'var(--sfe-color-text-default-primary, rgba(0, 0, 0, 0.80))'
                    : 'var(--sfe-color-text-default-primary, rgba(0, 0, 0, 0.95))',
                '--border-left-color': this.resolvedStyle.config.borderLeftColor,
                ...this.resolvedStyle.styles,
            } }, this.showTitle && (index.h("div", { key: '80cca50c441716d2f241754bd5a5c45f51e29c1c', class: "shr-toast--with-title" }, index.h("div", { key: '3e4cfb5c7d372b070f03e36f9f6dda0ee5fd8ca0', class: "d-flex justify-content-between align-items-center mb-1" }, index.h("div", { key: '2087681865434249105d3bf4c8b5cff87b545726', class: "d-flex align-items-center mr-3" }, index.h("swc-svg-icon", { key: 'e35329888efa10e3d2792a11803d9ad505520ae2', name: this.resolvedStyle.config.icon, variant: "filled", color: this.resolvedStyle.config.iconColor, size: "16" }), index.h("span", { key: 'fb871abe234371b4aa1b7357e192f032ddcc19fa', id: "shr-toast-title", class: "shr-toast__title ml-1" }, ' ', this._title)), this.dismissible && (index.h("swc-icon-button", { key: '23155e72dabbb180d3e993ec17cda4363aca4b79', intent: "neutral", variant: "bare", round: true, "aria-label": "Close toast", onClick: this.hideToast }, index.h("swc-svg-icon", { key: 'c5a2c79c9c3255dee5f06db3048d8416a61d8f17', name: "Dismiss", size: "16" })))), index.h("div", { key: 'fa0f25e92928efe15abe65254cea7e9367a1022b', id: "shr-toast-message", class: "shr-toast__message fs-12" }, ' ', this.message))), !this.showTitle && (index.h("div", { key: '98175e94d4cd2bd9e83961885b59d92f2c8e4932', class: "shr-toast--without-title" }, index.h("div", { key: 'c832a674ee58d473465729bb84211906e64aa22c', class: "d-flex justify-content-between align-items-center" }, index.h("div", { key: 'f6a9dd5b8017beae283f2cb0c9e122687a1eb90c', class: "d-flex align-items-center mr-3" }, index.h("swc-svg-icon", { key: '63939cf6144bae6b11dc0e5bb1b2093d22cc35a9', name: this.resolvedStyle.config.icon, variant: "outline", color: this.resolvedStyle.config.iconColor, size: "16" }), index.h("p", { key: '41e2398d6b4d6bb4b43eda105580659d18887787', id: "shr-toast-message", class: "m-0 shr-toast__message fs-14 ml-1" }, this.message)), this.dismissible && (index.h("swc-icon-button", { key: '9257e4e8c49ed11b15b09a48b08388a4b4a4a9bc', intent: "neutral", variant: "bare", round: true, "aria-label": "Close toast", onClick: this.hideToast }, index.h("swc-svg-icon", { key: 'cc5275dc2309e9ec9c9ae81b6f5998baa94f2c52', name: "Dismiss", size: "16" }))))))));
    }
};
SwcToast.style = swcToastCss;

exports.swc_toast = SwcToast;
//# sourceMappingURL=swc-toast.entry.cjs.js.map

//# sourceMappingURL=swc-toast.cjs.entry.js.map