'use strict';

var index = require('./index-CVtxT0q5.js');

const swcTourGuideStepCss = ".sc-swc-tour-guide-step-h .sfe-tour-guide-step__title.sc-swc-tour-guide-step{font-family:var(--sfe-typography-font-sans-font, Matter);font-size:14px;font-style:normal;font-weight:500;line-height:16px}.sc-swc-tour-guide-step-h .sfe-tour-guide-step__content.sc-swc-tour-guide-step{font-family:var(--sfe-typography-font-sans-font, Matter);font-size:12px;font-style:normal;font-weight:400;line-height:16px}.sc-swc-tour-guide-step-h .sfe-tour-guide-step__back-btn.sc-swc-tour-guide-step{margin-inline-end:4px}.sc-swc-tour-guide-step-h .sfe-tour-guide-step__steps-info.sc-swc-tour-guide-step{font-family:var(--sfe-typography-font-serif-font, Sora);font-size:var(--sfe-typography-font-size-label-small, 12px);font-style:normal;font-weight:400;line-height:14px}.sc-swc-tour-guide-step-h .sfe-tour-guide-step--light.sc-swc-tour-guide-step .sfe-tour-guide-step__title.sc-swc-tour-guide-step{color:var(--sfe-color-text-default-primary, rgba(0, 0, 0, 0.95))}.sc-swc-tour-guide-step-h .sfe-tour-guide-step--light.sc-swc-tour-guide-step .sfe-tour-guide-step__content.sc-swc-tour-guide-step{color:var(--sfe-color-text-default-secondary, rgba(0, 0, 0, 0.8))}.sc-swc-tour-guide-step-h .sfe-tour-guide-step--light.sc-swc-tour-guide-step .sfe-tour-guide-step__steps-info.sc-swc-tour-guide-step{color:var(--sfe-color-text-default-muted, rgba(0, 0, 0, 0.5))}.sc-swc-tour-guide-step-h .sfe-tour-guide-step--brand.sc-swc-tour-guide-step .sfe-tour-guide-step__title.sc-swc-tour-guide-step{color:var(--sfe-color-text-default-inverted-primary, rgba(255, 255, 255, 0.95))}.sc-swc-tour-guide-step-h .sfe-tour-guide-step--brand.sc-swc-tour-guide-step .sfe-tour-guide-step__content.sc-swc-tour-guide-step{color:var(--sfe-color-text-default-inverted-primary, rgba(255, 255, 255, 0.95))}.sc-swc-tour-guide-step-h .sfe-tour-guide-step--brand.sc-swc-tour-guide-step .sfe-tour-guide-step__steps-info.sc-swc-tour-guide-step{color:var(--color-text-inverted-weakest, rgba(255, 255, 255, 0.5))}.sc-swc-tour-guide-step-h .flex-wrapper.sc-swc-tour-guide-step{width:100%;display:flex;justify-content:space-between;align-items:center}.sc-swc-tour-guide-step-h .col-gap-10.sc-swc-tour-guide-step{column-gap:10px}.sc-swc-tour-guide-step-h .m-0.sc-swc-tour-guide-step{margin:0}";

const SwcTourGuideStep = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.viewPrevious = index.createEvent(this, "viewPrevious");
        this.viewNext = index.createEvent(this, "viewNext");
        this.dismissTour = index.createEvent(this, "dismissTour");
        this.endTour = index.createEvent(this, "endTour");
    }
    /**
     * title of the tour step
     */
    heading;
    /**
     * content of the tour step
     */
    content;
    /**
     * determines whether the tour step should be dismissed
     */
    dismissible = false;
    /**
     * determines whether there is a previous step
     */
    hasPrevious = false;
    /**
     * determines whether there is a next step
     */
    hasNext = false;
    /**
     * determines whether the tour step is the last step
     */
    isLastStep = false;
    /**
     * the position of the current tour step
     */
    currentIndex = 0;
    /**
     * the number of steps in the tour guide
     */
    numberOfSteps = 1;
    /**
     * determines whether the tour should begin
     */
    startTour = false;
    /**
     * variant of the tour guide
     */
    variant;
    /**
     * emitted when the previous button is clicked
     */
    viewPrevious;
    /**
     * emitted when the next button is clicked
     */
    viewNext;
    /**
     * emitted when the next button is clicked
     */
    dismissTour;
    /**
     * emitted when the next button is clicked
     */
    endTour;
    handleDismissTour = () => {
        this.dismissTour.emit();
    };
    handleNext = () => {
        this.viewNext.emit();
    };
    handlePrevious = () => {
        this.viewPrevious.emit();
    };
    handleEndTour = () => {
        this.endTour.emit();
    };
    render() {
        return (this.startTour && (index.h("div", { key: '58af14186b6ec2e2bb4337aa13e38201687e9dfd', class: { [`sfe-tour-guide-step sfe-tour-guide-step--${this.variant}`]: true }, "data-testid": "sfe-tour-guide-step" }, index.h("div", { key: '549447c42fbffa03ad7ecbd41ccaa8561a45e16c', class: "flex-wrapper" }, index.h("p", { key: '2a77b6ddd96b9bf01777be20894d1cf035eb7c28', class: "sfe-tour-guide-step__title m-0", innerHTML: this.heading }), index.h("swc-icon-button", { key: 'dbf0501922b0d46d8e7b0c050f4981692e27616c', "v-if": "dismissible", "aria-label": "dismiss tour", intent: this.variant === 'light' ? 'neutral' : 'inverse', variant: "bare", size: "sm", round: true, onClick: this.handleDismissTour }, index.h("swc-svg-icon", { key: '211b2b569ac8992d389c3de1360a5bf2149f127c', name: "Dismiss", color: "currentColor", size: "12" }))), index.h("div", { key: '5a9bf51354ffa1ff71487ce4804b4787ef91722e', class: "sfe-tour-guide-step__content", innerHTML: this.content }), index.h("div", { key: '240c6b631f98ea3765c5b709a9ee97b6a7e13a06', class: "flex-wrapper col-gap-10" }, index.h("p", { key: 'c431da0e3a354cb3eea8e4d0ff44f0db2bcf6b66', class: "sfe-tour-guide-step__steps-info m-0" }, this.currentIndex + 1, " of ", this.numberOfSteps), index.h("div", { key: '08925f391474fad00b292c6cc0589e43f88cf0bc' }, this.hasPrevious && (index.h("swc-button", { key: '472fe0bd4e0a5ecb29a21593ec07a2d83a11436a', intent: this.variant === 'light' ? 'brand' : 'inverse', variant: "bare", size: "xs", class: "sfe-tour-guide-step__back-btn", onClick: this.handlePrevious }, "Back")), this.hasNext && (index.h("swc-button", { key: '49e6d45085cbb6c2d45a90ae5493011c599f7b1d', intent: this.variant === 'light' ? 'brand' : 'inverse', size: "xs", onClick: this.handleNext }, "Next")), this.isLastStep && (index.h("swc-button", { key: 'd40c1c4c061e638a3009c7043a4275da347d8372', intent: this.variant === 'light' ? 'brand' : 'inverse', size: "xs", onClick: this.handleEndTour }, "Done")))))));
    }
};
SwcTourGuideStep.style = swcTourGuideStepCss;

exports.swc_tour_guide_step = SwcTourGuideStep;
//# sourceMappingURL=swc-tour-guide-step.entry.cjs.js.map

//# sourceMappingURL=swc-tour-guide-step.cjs.entry.js.map