import { Host, h } from "@stencil/core";
export class SwcBreadcrumbItem {
    /**
     * isCurrentPage prop of the component
     */
    isCurrentPage = false;
    /**
     * internal injected prop from the parent component
     * @internal
     */
    separator;
    renderSeparator = () => {
        if (Array.isArray(this.separator)) {
            return this.separator.map((node, index) => h("span", { key: index, innerHTML: node }));
        }
        return h("span", { innerHTML: this.separator });
    };
    render() {
        return (h(Host, { key: 'f8d8507130afc15d91f0b105abbffc134ebdfb6e' }, h("li", { key: 'e902ec377245a935c62f6676e666e4d16984a782', class: {
                'sfe-breadcrumb-item': true,
                'd-flex-center': true,
                'current-page': this.isCurrentPage,
            }, "aria-current": this.isCurrentPage ? 'page' : undefined, "aria-disabled": this.isCurrentPage, "data-testid": "sfe-breadcrumb-item" }, h("slot", { key: '8553e46e41333b60ff8ded90a619dee214aa3225' }), !this.isCurrentPage && (h("div", { key: '3ba6a262e6775b0eb4943d2ebe5b2249609002f0', class: "sfe-breadcrumb-item__separator", "aria-hidden": "true", role: "presentation" }, this.renderSeparator())))));
    }
    static get is() { return "swc-breadcrumb-item"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-breadcrumb-item.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-breadcrumb-item.css"]
        };
    }
    static get properties() {
        return {
            "isCurrentPage": {
                "type": "boolean",
                "attribute": "is-current-page",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "isCurrentPage prop of the component"
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "false"
            },
            "separator": {
                "type": "string",
                "attribute": "separator",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": undefined
                        }],
                    "text": "internal injected prop from the parent component"
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=swc-breadcrumb-item.js.map
