import { Host, h } from "@stencil/core";
export class SwcDropdownTrigger {
    /**
     * width of the dropdown trigger
     */
    /**
     * size of the trigger
     */
    width = 'fit-content';
    size = 'md';
    /**
     * showDropdownIcon of the component
     */
    showDropdownIcon = true;
    customClass = '';
    render() {
        return (h(Host, { key: '39a623fcfcbfa7be8298f7d7a3c22be82128f8e6', style: { '--width': this.width } }, h("button", { key: '6f3b4637a8c6631678e3a5655b8a062f31f26103', class: `sfe-dropdown-toggle sfe-dropdown-toggle--${this.size} ${this.customClass}`, type: "button", "data-testid": "sfe-dropdown-trigger" }, h("div", { key: 'a91ce410fc8790a9e2d54205bf3f51d42ad5b8f2', style: {
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'space-between',
                columnGap: '12px',
                width: '100%',
            } }, h("slot", { key: '0b5ec835062903cb0fa37b3dba4135e8057dd66c' }), this.showDropdownIcon && (h("swc-svg-icon", { key: '1716ece735b28c30154ce722c3aa45bc6016508f', name: "Chevron Down", size: "16", color: "currentColor" }))))));
    }
    static get is() { return "swc-dropdown-trigger"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-dropdown-trigger.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-dropdown-trigger.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "attribute": "width",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "size of the trigger"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'fit-content'"
            },
            "size": {
                "type": "string",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "'xs' | 'sm' | 'md' | 'lg'",
                    "resolved": "\"lg\" | \"md\" | \"sm\" | \"xs\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "'md'"
            },
            "showDropdownIcon": {
                "type": "boolean",
                "attribute": "show-dropdown-icon",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "showDropdownIcon of the component"
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "true"
            },
            "customClass": {
                "type": "string",
                "attribute": "custom-class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=swc-dropdown-trigger.js.map
