export const fileColorVariants = {
    jpg: 'var(--sfe-color-non-semantic-content-violet-subtle, #4E38BC)',
    jpeg: 'var(--sfe-color-non-semantic-content-violet-subtle, #4E38BC)',
    png: 'var(--sfe-color-non-semantic-content-cyan-subtle, #165B8D)',
    gif: 'var(--sfe-color-non-semantic-content-grape-subtle, #662F9D)',
    pdf: 'var(--sfe-color-non-semantic-content-red-subtle, #A22827)',
    doc: 'var(--sfe-color-non-semantic-content-blue-subtle, #1E50C0)',
    docx: 'var(--sfe-color-non-semantic-content-blue-subtle, #1E50C0)',
    xls: 'var(--sfe-color-non-semantic-content-green-subtle, #1D7F22)',
    xlsx: 'var(--sfe-color-non-semantic-content-green-subtle, #1D7F22)',
    ppt: 'var(--sfe-color-non-semantic-content-raspberry-subtle, #912B4D)',
    pptx: 'var(--sfe-color-non-semantic-content-raspberry-subtle, #912B4D)',
};
// Method: Format file details
export const fileDetailsFormat = (_files) => {
    if (_files && _files.length > 0) {
        return _files.map((file, index) => {
            const fileName = file.name;
            const nameWithoutExt = fileName.substring(0, fileName.lastIndexOf('.')) || fileName;
            const sizeInMb = (file.size / 1024 / 1024).toFixed(2); // Size in MB
            return {
                id: index,
                name: nameWithoutExt,
                size: `${sizeInMb} MB`,
            };
        });
    }
    return [];
};
// Method: Check if an object is empty
export const isEmptyObject = (obj) => {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
};
//# sourceMappingURL=file-utils.js.map
