import { createStore } from "@stencil/store";
const { state, onChange } = createStore({
    collapsed: false,
    topPlacement: '64px',
    openedNestedItems: new Set(),
});
const updateCollapsed = (value) => {
    state.collapsed = value;
    if (value === true) {
        state.openedNestedItems.clear();
        document.dispatchEvent(new CustomEvent('sidebar-collapsed'));
    }
};
const updateTopPlacement = (value) => {
    state.topPlacement = value;
};
const toggleNestedItem = (itemId, isOpen) => {
    if (isOpen) {
        state.openedNestedItems.add(itemId);
    }
    else {
        state.openedNestedItems.delete(itemId);
    }
};
const isNestedItemOpen = (itemId) => {
    return state.openedNestedItems.has(itemId);
};
export { state as sidebarState, onChange, updateCollapsed, updateTopPlacement, toggleNestedItem, isNestedItemOpen, };
//# sourceMappingURL=sidebar-store.js.map
