import { h, Host } from "@stencil/core";
import { sidebarState } from "../sidebar-store";
export class SwcSidebarFooter {
    /**
     * User details to display in the footer
     */
    userDetails = {
        firstName: '',
        lastName: '',
        email: '',
        avatar: {
            src: '',
            alt: '',
        },
    };
    viewingMoreOptions = false;
    toggleMoreOptions = () => {
        this.viewingMoreOptions = !this.viewingMoreOptions;
    };
    render() {
        return (h(Host, { key: '141b14ec90260bea53f451440c63f7703b58c3f3' }, h("footer", { key: 'f71d2c5cf3a79a25140199a946c1e5443a0f542e', class: "sfe-sidebar-footer", style: { '--top': sidebarState.topPlacement }, "data-testid": "sfe-sidebar-footer" }, h("div", { key: '835b7cb4301feef3269f04345c28981a938ebc99', class: "d-flex align-items-center justify-content-between" }, h("div", { key: '146ddba8c454372e90bbbbbd60992add961f15e7', class: "d-flex align-items-center" }, h("swc-avatar", { key: 'aa5aafd5c2048aa959bec105b32ee03d5d4d4ef6', src: this.userDetails.avatar.src, alt: this.userDetails.avatar.alt, class: "mr-2" }), !sidebarState.collapsed && (h("div", { key: '135e8a223b69125b59f58a26ca6d2e585137335e' }, h("p", { key: '9c301f98b5152ed68dc586bbcc5ff7abf4840731', class: "username m-0 p-0" }, this.userDetails.firstName, " ", this.userDetails.lastName), h("p", { key: '4854120ba9ecc2ffee837c9870f49131f336734c', class: "email m-0 p-0" }, this.userDetails.email)))), !sidebarState.collapsed && (h("swc-icon-button", { key: '77c6e64959f76aafdb1556759c5ec86a21684781', intent: "neutral", variant: "bare", "aria-label": "More options", onClick: () => this.toggleMoreOptions() }, h("swc-svg-icon", { key: '1061049addafbbcbf94a982e6140a9bc7d765370', name: "More Horizontal" })))), h("div", { key: 'c82df791a3c0f6e3540ed250d2a4a795531d0db8', class: "sfe-sidebar-footer__more-options", "data-expanded": this.viewingMoreOptions ? 'true' : 'false' }, h("div", { key: 'caa097a93ea3416976f08b1fd20802a0d2e37055', class: "overflow-hidden" }, h("slot", { key: 'bae07f9b480d6025990b9692cba93c461b4266ee' }))))));
    }
    static get is() { return "swc-sidebar-footer"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-sidebar-footer.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-sidebar-footer.css"]
        };
    }
    static get properties() {
        return {
            "userDetails": {
                "type": "unknown",
                "attribute": "user-details",
                "mutable": false,
                "complexType": {
                    "original": "UserDetails",
                    "resolved": "UserDetails",
                    "references": {
                        "UserDetails": {
                            "location": "local",
                            "path": "/Users/Oludayoogunyemi/projects/sfe/shr-ui/packages/wc-lib/src/components/Layout/swc-sidebar/swc-sidebar-footer/swc-sidebar-footer.tsx",
                            "id": "src/components/Layout/swc-sidebar/swc-sidebar-footer/swc-sidebar-footer.tsx::UserDetails"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "User details to display in the footer"
                },
                "getter": false,
                "setter": false,
                "defaultValue": "{\n    firstName: '',\n    lastName: '',\n    email: '',\n    avatar: {\n      src: '',\n      alt: '',\n    },\n  }"
            }
        };
    }
    static get states() {
        return {
            "viewingMoreOptions": {}
        };
    }
}
//# sourceMappingURL=swc-sidebar-footer.js.map
