import { h } from "@stencil/core";
export class SwcSidebarTest {
    isSidebarCollapsed = false;
    module = 'Guides';
    activeRoute;
    collapsed;
    userDetails = {
        firstName: 'John',
        lastName: 'Doe',
        email: 'john.doe@example.com',
        avatar: {
            src: 'path/to/avatar.jpg',
            alt: 'John Doe',
        },
    };
    modules = [
        { title: 'Resources', description: 'Access all resources' },
        { title: 'Guides', description: 'Access all guides' },
    ];
    resourcesLinks = [
        { title: 'Dashboard', routeName: 'dashboard' },
        { title: 'Analytics', routeName: 'analytics' },
        { title: 'Reports', routeName: 'reports' },
    ];
    guideLinks = [
        {
            group: 'Getting Started',
            items: [
                { title: 'Introduction', routeName: 'intro' },
                { title: 'Setup', routeName: 'setup' },
                { title: 'App', routeName: 'app' },
            ],
        },
        { title: 'FAQ', routeName: 'faq' },
    ];
    setActiveTab = (value, group) => {
        this.activeRoute = {
            title: group,
            routeName: value.routeName,
        };
    };
    switchModule = (event) => {
        this.module = event.detail;
    };
    handleCollapsed = (event) => {
        this.isSidebarCollapsed = event.detail;
        this.collapsed.emit(event.detail);
    };
    render() {
        return (h("swc-sidebar", { key: '94abe1377f854c311c6489aabbecd34a5c5dcb86', top: "0px", onCollapsed: this.handleCollapsed }, h("swc-sidebar-header", { key: 'd483aef156507dc60cad1921b443c5cd74ff5509', module: this.module, modulesList: this.modules, canSwitchModules: true, "onSwitch:module": this.switchModule }), h("swc-sidebar-body", { key: '4f59e10630e6bc4ee9402451c614c69a45311ff8' }, this.module === 'Resources' ? (h("div", null, this.resourcesLinks.map((link, index) => (h("a", { key: index, href: `#${link.routeName}` }, h("swc-sidebar-option", { "sidebar-title": link.title, level: 1, isActive: link.routeName === this.activeRoute?.routeName, "onSelect:option": () => this.setActiveTab(link) })))))) : this.module === 'Guides' ? (h("div", null, this.guideLinks.map((item, index) => 'group' in item ? (h("swc-sidebar-option", { key: index, "sidebar-title": item.group, level: 1, hasSections: true, isActive: this.activeRoute?.title == item?.group }, item.items?.map((link) => (h("a", { key: link.title, href: `#${link.routeName}` }, h("swc-sidebar-option", { "sidebar-title": link.title, level: 2, isActive: link.routeName == this.activeRoute?.routeName, isSubsection: true, "onSelect:option": () => this.setActiveTab(link, item?.group) })))))) : (h("a", { key: index, href: `#${item.routeName}` }, h("swc-sidebar-option", { "sidebar-title": item.title, level: 1, isActive: item.routeName == this.activeRoute?.routeName, "onSelect:option": () => this.setActiveTab(item) })))))) : null), h("swc-sidebar-footer", { key: '3efece1d717f66e43771f64ed2f0e90e0a76434d', userDetails: this.userDetails }, h("swc-list", { key: '6211a6424cee1d73a3151e9cdff54e09c58fc49f', class: 'd-flex', customClass: "w-100" }, h("swc-list-item", { key: '6a85452695bd65076fe5d4114e5b95d8a41942ac' }, "FAQs"), h("swc-list-item", { key: '2c24726a6db0f20813914afe10a758af2a15154a' }, "Change Password")))));
    }
    static get is() { return "swc-sidebar-test"; }
    static get states() {
        return {
            "isSidebarCollapsed": {},
            "module": {},
            "activeRoute": {},
            "userDetails": {},
            "modules": {},
            "resourcesLinks": {},
            "guideLinks": {}
        };
    }
    static get events() {
        return [{
                "method": "collapsed",
                "name": "collapsed",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=swc-sidebar-test.js.map
