import { h, Host } from "@stencil/core";
import { sidebarState, updateTopPlacement, onChange } from "../sidebar-store";
export class SwcSidebar {
    /**
     * For controlling the top position of the sidebar
     */
    top = '64px';
    /**
     * Event emitted when sidebar is collapsed or expanded
     */
    toggleSidebar;
    connectedCallback() {
        updateTopPlacement(this.top);
    }
    storeSubscription;
    topChanged(newValue) {
        updateTopPlacement(newValue);
    }
    componentWillLoad() {
        this.storeSubscription = onChange('collapsed', (newValue) => {
            this.toggleSidebar.emit(newValue);
        });
    }
    render() {
        return (h(Host, { key: '0ccd33f9341309370037ae4ee622995d448407fa' }, h("aside", { key: 'ce8ef3aaf35085989e7e64ec922c1e52c2b2471f', class: "sfe-sidebar", "data-collapsed": sidebarState.collapsed ? 'true' : 'false', "data-testid": "sfe-sidebar", style: { '--top': this.top } }, h("div", { key: '79451974b6782d1a41adcadc6b240694ce1d8e74', class: "sfe-sidebar__content" }, h("div", { key: '099d64eb5e8717507bca5164faf47213c35dd219' }, h("slot", { key: '38e81fffbcb840f73c7c3a8a2b093142871a3f7b' }))))));
    }
    static get is() { return "swc-sidebar"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-sidebar.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-sidebar.css"]
        };
    }
    static get properties() {
        return {
            "top": {
                "type": "string",
                "attribute": "top",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "For controlling the top position of the sidebar"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'64px'"
            }
        };
    }
    static get events() {
        return [{
                "method": "toggleSidebar",
                "name": "collapsed",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "Event emitted when sidebar is collapsed or expanded"
                },
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                }
            }];
    }
    static get watchers() {
        return [{
                "propName": "top",
                "methodName": "topChanged"
            }];
    }
}
//# sourceMappingURL=swc-sidebar.js.map
