import { Host, h } from "@stencil/core";
import { hideAll } from "tippy.js";
export class SwcListItem {
    /**
     * selected the list item
     */
    selected = false;
    /**
     * disabling the list items
     */
    disabled = false;
    /**
     * hideOnClick for the behaviour on clicking the element
     */
    hideOnClick = true;
    /**
     * click event emitter for the component
     */
    click;
    get listItemClasses() {
        return {
            selected: this.selected,
            disabled: this.disabled,
        };
    }
    handleClick = (event) => {
        if (this.disabled) {
            event.stopPropagation();
            event.preventDefault();
            return;
        }
        this.click.emit(event);
        if (this.hideOnClick) {
            hideAll();
        }
    };
    render() {
        return (h(Host, { key: '34b636cbe6f297cf27841f00c196e8629fb8a81b' }, h("li", { key: 'fc90b3f14b54be957b5b2e2a92969da3bb777472', class: "sfe-list-item", "data-testid": "sfe-list-item" }, h("button", { key: 'c9e9a59b71975c180fb4e8e497142a57d37401a3', class: {
                'sfe-list-item__trigger': true,
                disabled: this.disabled,
                selected: this.selected,
            }, disabled: this.disabled, onClick: this.handleClick }, h("slot", { key: '57fb6a3598bdb30f8a8a846ca66cfcd476f4c209' })))));
    }
    static get is() { return "swc-list-item"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-list-item.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-list-item.css"]
        };
    }
    static get properties() {
        return {
            "selected": {
                "type": "boolean",
                "attribute": "selected",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "selected the list item"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "disabled": {
                "type": "boolean",
                "attribute": "disabled",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "disabling the list items"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "hideOnClick": {
                "type": "boolean",
                "attribute": "hide-on-click",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "hideOnClick for the behaviour on clicking the element"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "true"
            }
        };
    }
    static get events() {
        return [{
                "method": "click",
                "name": "click",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "click event emitter for the component"
                },
                "complexType": {
                    "original": "MouseEvent",
                    "resolved": "MouseEvent",
                    "references": {
                        "MouseEvent": {
                            "location": "global",
                            "id": "global::MouseEvent"
                        }
                    }
                }
            }];
    }
}
//# sourceMappingURL=swc-list-item.js.map
