import { h } from "@stencil/core";
export class SwcPaginationButton {
    /** Page number for the button */
    number = 1;
    /** Current active page */
    currentPage = 1;
    /** Emits an event when the button is clicked */
    clickPage;
    handleClick = () => {
        this.clickPage.emit(this.number);
    };
    render() {
        return (h("swc-button", { key: 'dcfa03cd05a1dc9dbfa8244de4d9c4a3769ef613', size: "md", variant: "ghost", intent: "neutral", class: `pagination-button`, "custom-class": `pagination-btn ${this.currentPage === this.number && 'active'}`, "aria-current": this.currentPage === this.number ? 'page' : null, onClick: this.handleClick }, this.number));
    }
    static get is() { return "swc-pagination-button"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-pagination-button.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-pagination-button.css"]
        };
    }
    static get properties() {
        return {
            "number": {
                "type": "number",
                "attribute": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Page number for the button"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "1"
            },
            "currentPage": {
                "type": "number",
                "attribute": "current-page",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Current active page"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "1"
            }
        };
    }
    static get events() {
        return [{
                "method": "clickPage",
                "name": "clickPage",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "Emits an event when the button is clicked"
                },
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=swc-pagination-button.js.map
