import { h } from "@stencil/core";
export class SwcPaginationInput {
    value;
    dropdownValues = [];
    input;
    focus;
    clickedListItem;
    handleInput(event) {
        const target = event.target;
        this.input.emit(Number(target.value));
    }
    handleListItemClick(value) {
        this.clickedListItem.emit(value);
    }
    render() {
        return (h("swc-input", { key: 'a24be9ebff3cbbef1592e5b52156c9bdff789988', type: "number", class: "pagination-input", containerClass: "pagination-input__container paginate", value: this.value, onChange: (event) => this.handleInput(event), onFocus: (event) => this.focus.emit(event) }, h("span", { key: 'f318ffb5496d9ac9802e962db36a310550267af3', slot: "rightAddon" }, h("swc-dropdown", { key: 'c525ff52af7bd85defd46f2f81eaf7f8b5eba36c' }, h("div", { key: '9372ec4c6f75c43eedfcf11d6f42a132b9c23f96', slot: "trigger", style: { marginTop: '3px', backgroundColor: 'transparent', border: 'none' } }, h("swc-svg-icon", { key: 'f62fdfd572dae15053548dbec164d91e4a5e704b', style: { marginTop: '3px', backgroundColor: 'transparent', border: 'none' }, name: "Chevron Down", size: "12", variant: "filled", "aria-label": "Show more page limits" })), h("div", { key: '867ad09d45004e59dded990bbdfb6b098dce53bb', slot: "list" }, h("swc-list", { key: '4ce7d609bac6a30fa191e0f1412c07ff668a5a2c', maxHeight: "200px" }, this.dropdownValues.map((val) => (h("swc-list-item", { onClick: () => this.handleListItemClick(val) }, val)))))))));
    }
    static get is() { return "swc-pagination-input"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-pagination-input.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-pagination-input.css"]
        };
    }
    static get properties() {
        return {
            "value": {
                "type": "string",
                "attribute": "value",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "dropdownValues": {
                "type": "unknown",
                "attribute": "dropdown-values",
                "mutable": false,
                "complexType": {
                    "original": "Array<string | number>",
                    "resolved": "(string | number)[]",
                    "references": {
                        "Array": {
                            "location": "global",
                            "id": "global::Array"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "defaultValue": "[]"
            }
        };
    }
    static get events() {
        return [{
                "method": "input",
                "name": "input",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                }
            }, {
                "method": "focus",
                "name": "focus",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "FocusEvent",
                    "resolved": "FocusEvent",
                    "references": {
                        "FocusEvent": {
                            "location": "global",
                            "id": "global::FocusEvent"
                        }
                    }
                }
            }, {
                "method": "clickedListItem",
                "name": "clickedListItem",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "number | string",
                    "resolved": "number | string",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=swc-pagination-input.js.map
