import { h } from "@stencil/core";
export class SwcOption {
    /**
     * disabled prop for the option field
     */
    disabled;
    /**
     * value prop for the option field
     */
    value;
    /**
     * label prop
     */
    label;
    /**
     * selectedOption Prop internal
     */
    SelectedOptions;
    /**
     *  Event emitted in the component
     */
    select;
    /**
     * Event emitted to close the dropdown menu
     */
    closeDropdown;
    //private listItemRef?: HTMLElement
    //computed/getter properties
    get allowMultiple() {
        return Array.isArray(this.SelectedOptions);
    }
    get isSelected() {
        if (Array.isArray(this.SelectedOptions)) {
            return !!this.SelectedOptions.find((item) => item.value === this.value);
        }
        else {
            return this.value === this.SelectedOptions?.value;
        }
    }
    //methods
    handleClick = () => {
        this.select.emit({
            value: this.value,
            label: this.label,
        });
        this.closeDropdown.emit();
    };
    render() {
        return (h("swc-list-item", { key: 'f44921ae38c2af055312c0ec0fbddc96c0b7eb00', selected: this.isSelected, disabled: this.disabled, hideOnClick: !this.allowMultiple, class: "sfe-dropdown-list-item", onClick: this.handleClick }, h("div", { key: 'f72511afd7fc32fb73601a6a39fea10f2a930762', class: "d-flex-center" }, this.allowMultiple && h("input", { key: '3ce4ecf74ad3a9d92f3b382c8476454b231cc5d3', type: "checkbox", checked: this.isSelected, class: "me-2" }), h("div", { key: 'ce1764c265683f60f2546dc51a28b28b58bb8c7a' }, this.label))));
    }
    static get is() { return "swc-option"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-option.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-option.css"]
        };
    }
    static get properties() {
        return {
            "disabled": {
                "type": "boolean",
                "attribute": "disabled",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "disabled prop for the option field"
                },
                "getter": false,
                "setter": false,
                "reflect": true
            },
            "value": {
                "type": "any",
                "attribute": "value",
                "mutable": false,
                "complexType": {
                    "original": "string | number",
                    "resolved": "number | string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "value prop for the option field"
                },
                "getter": false,
                "setter": false,
                "reflect": true
            },
            "label": {
                "type": "string",
                "attribute": "label",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "label prop"
                },
                "getter": false,
                "setter": false,
                "reflect": true
            },
            "SelectedOptions": {
                "type": "unknown",
                "attribute": "selected-options",
                "mutable": false,
                "complexType": {
                    "original": "Option | Option[]",
                    "resolved": "Option[] | undefined | { value: string | number; label: string; disabled?: boolean | undefined; }",
                    "references": {
                        "Option": {
                            "location": "local",
                            "path": "/Users/Oludayoogunyemi/projects/sfe/shr-ui/packages/wc-lib/src/components/Select/swc-option/swc-option.tsx",
                            "id": "src/components/Select/swc-option/swc-option.tsx::Option"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "selectedOption Prop internal"
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "select",
                "name": "select",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "Event emitted in the component"
                },
                "complexType": {
                    "original": "{ value: string | number; label: string }",
                    "resolved": "{ value: string | number; label: string; }",
                    "references": {}
                }
            }, {
                "method": "closeDropdown",
                "name": "closeDropdown",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "Event emitted to close the dropdown menu"
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=swc-option.js.map
