import { h } from "@stencil/core";
export class SwcStepperItem {
    hostElement;
    /**
     * @internal
     * index of the step
     */
    index;
    /**
     * @internal
     * whether the step is the last one
     */
    isLastItem = false;
    /**
     * @internal
     * index of the active step
     */
    activeIndex;
    /**
     * @internal
     * orientation of the stepper
     */
    orientation;
    /**
     * @internal
     * whether to show checkmark on completed steps
     */
    withCheckmark;
    /**
     * @internal
     * size of the lines in the stepper
     */
    lineSize;
    /**
     * @internal
     * id of the step
     */
    idProp;
    computedStatus;
    computeStatus() {
        if (this.index < this.activeIndex)
            return 'completed';
        if (this.index === this.activeIndex)
            return 'active';
        return 'incomplete';
    }
    componentWillLoad() {
        this.computedStatus = this.computeStatus();
    }
    render() {
        return (h("div", { key: 'ac9b52e13595dcb44eff16ff09fb1afaa23f4a1c', "aria-current": this.activeIndex === this.index ? 'step' : undefined, class: `stepper-item stepper-item--${this.computedStatus} stepper-item--${this.orientation} ${this.isLastItem ? 'last-item' : ''}`, style: {
                '--line-size': this.lineSize,
                '--thumb-size': this.withCheckmark ? '20px' : '12px',
            }, "data-testid": "sfe-stepper-item" }, h("div", { key: 'aafe248b548f19b35a98bd79afe48854f4d727e6', class: "stepper-item__thumb-wrapper" }, h("div", { key: '89ea8b43d47f7533cea3ed26d67c69ecd2b25aed', class: "stepper-item__thumb" }, this.withCheckmark && this.computedStatus === 'completed' && (h("swc-svg-icon", { key: '1ec3e7aaf91dfe1ed2f15db0e6f29cff322e2805', color: "#ffffff", size: "12", name: "Checkmark" })))), h("div", { key: 'fe87542fba47d03a026c77806c9304f677089a9c', class: "stepper-item__content" }, h("slot", { key: '4f855f8b6abccdc0b6889be82ca3ea6b8cd420e4', name: "content" }))));
    }
    static get is() { return "swc-stepper-item"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-stepper-item.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-stepper-item.css"]
        };
    }
    static get properties() {
        return {
            "index": {
                "type": "number",
                "attribute": "index",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": "index of the step"
                        }],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "isLastItem": {
                "type": "boolean",
                "attribute": "is-last-item",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": "whether the step is the last one"
                        }],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "activeIndex": {
                "type": "number",
                "attribute": "active-index",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": "index of the active step"
                        }],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "orientation": {
                "type": "string",
                "attribute": "orientation",
                "mutable": false,
                "complexType": {
                    "original": "'horizontal' | 'vertical'",
                    "resolved": "\"horizontal\" | \"vertical\" | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": "orientation of the stepper"
                        }],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "withCheckmark": {
                "type": "boolean",
                "attribute": "with-checkmark",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": "whether to show checkmark on completed steps"
                        }],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "lineSize": {
                "type": "string",
                "attribute": "line-size",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": "size of the lines in the stepper"
                        }],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "idProp": {
                "type": "string",
                "attribute": "id-prop",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": "id of the step"
                        }],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
    static get states() {
        return {
            "computedStatus": {}
        };
    }
    static get elementRef() { return "hostElement"; }
}
//# sourceMappingURL=swc-stepper-item.js.map
