import { h, Host } from "@stencil/core";
export class SwcTable {
    hostElement;
    /**
     * determines whether the table has rounded corners
     */
    rounded = false;
    /**
     * maximum height of the table
     */
    maxHeight = 'auto';
    /**
     * determines whether the table has a sticky header
     */
    hasStickyHeader = false;
    provide = () => {
        const tableHeader = this.hostElement.querySelector('swc-table-header');
        tableHeader.hasStickyHeader = this.hasStickyHeader;
    };
    render() {
        this.provide();
        return (h(Host, { key: '1860faaa48026dbc4b4ed9d775bccc041e588d8f' }, h("div", { key: 'db875d4d1fd4392c7aaa28d04b886ce218dd8e73', role: "table", style: { '--max-height': this.maxHeight === 'auto' ? '450px' : this.maxHeight }, class: { 'sfe-table': true, 'sfe-table--rounded': this.rounded }, "data-sticky": this.hasStickyHeader ? 'true' : 'false', "data-testid": "sfe-table" }, h("div", { key: 'b42cabede2990f352a6f14774145a285978ff806', class: "sfe-table__ele" }, h("slot", { key: 'c7f6e26dac87f1b674d9b81a986a167780a16745' })))));
    }
    static get is() { return "swc-table"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-table.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-table.css"]
        };
    }
    static get properties() {
        return {
            "rounded": {
                "type": "boolean",
                "attribute": "rounded",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "determines whether the table has rounded corners"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "maxHeight": {
                "type": "string",
                "attribute": "max-height",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "maximum height of the table"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'auto'"
            },
            "hasStickyHeader": {
                "type": "boolean",
                "attribute": "has-sticky-header",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "determines whether the table has a sticky header"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
    static get elementRef() { return "hostElement"; }
}
//# sourceMappingURL=swc-table.js.map
