import { h, Host } from "@stencil/core";
export class SwcTabContent {
    /**
     * value of the tab content
     */
    value;
    /**
     * the active tab of the tabs
     * @internal
     */
    activeTab;
    /**
     * the id of the tab content
     */
    idProp;
    /**
     * ids of the tab triggers associated with this content
     * @internal
     */
    tabTriggerIds;
    get tabTriggerId() {
        return this.tabTriggerIds?.find((id) => id.startsWith(`sfe-tab-trigger-${this.value}`)) || '';
    }
    render() {
        return (h(Host, { key: 'e7b9154141101286de6067a054158df45ac4aed6' }, h("div", { key: '0ad69c9d125a589de75ebe2c290d823af60be8f3', hidden: this.value !== this.activeTab, "data-testid": "sfe-tab-content" }, h("div", { key: '7b967941e27fbc844f4923be7ed2af8c15860b7a', role: "tabpanel", id: this.idProp, "aria-labelledby": this.tabTriggerId, class: "sfe-tab-content" }, h("slot", { key: '83a546fff8f3acc5e56c6d6deed9ddf3ca8bca4f' })))));
    }
    static get is() { return "swc-tab-content"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-tab-content.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-tab-content.css"]
        };
    }
    static get properties() {
        return {
            "value": {
                "type": "string",
                "attribute": "value",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": true,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "value of the tab content"
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "activeTab": {
                "type": "string",
                "attribute": "active-tab",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": undefined
                        }],
                    "text": "the active tab of the tabs"
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "idProp": {
                "type": "string",
                "attribute": "id",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "the id of the tab content"
                },
                "getter": false,
                "setter": false,
                "reflect": true
            },
            "tabTriggerIds": {
                "type": "unknown",
                "attribute": "tab-trigger-ids",
                "mutable": false,
                "complexType": {
                    "original": "string[]",
                    "resolved": "string[]",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": undefined
                        }],
                    "text": "ids of the tab triggers associated with this content"
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=swc-tab-content.js.map
