import { h } from "@stencil/core";
export class SwcTabList {
    /**
     * the orientation of the tab
     * @internal
     */
    orientation = 'horizontal';
    /**
     * the variant of the tab
     * @internal
     */
    variant = 'underline';
    render() {
        return (h("div", { key: '0f9e8465b29ff9e6d772c5df7fa11ab9187c2ed3', role: "tablist", "data-testid": "sfe-tab-list", class: {
                'sfe-tablist': true,
                'sfe-tablist--horizontal': this.orientation === 'horizontal',
                'sfe-tablist--vertical': this.variant === 'underline' && this.orientation === 'vertical',
                'sfe-tablist--shadow-button': this.variant === 'shadowButton',
                'sfe-tablist--underline': this.variant === 'underline',
            } }, h("slot", { key: '58901cb8a9db9a53125a66988884a522e483f7f5' })));
    }
    static get is() { return "swc-tab-list"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-tab-list.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-tab-list.css"]
        };
    }
    static get properties() {
        return {
            "orientation": {
                "type": "string",
                "attribute": "orientation",
                "mutable": false,
                "complexType": {
                    "original": "orientation",
                    "resolved": "\"horizontal\" | \"vertical\"",
                    "references": {
                        "orientation": {
                            "location": "import",
                            "path": "../types",
                            "id": "src/components/Tabs/types.ts::orientation"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": undefined
                        }],
                    "text": "the orientation of the tab"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'horizontal'"
            },
            "variant": {
                "type": "string",
                "attribute": "variant",
                "mutable": false,
                "complexType": {
                    "original": "variant",
                    "resolved": "\"button\" | \"shadowButton\" | \"underline\"",
                    "references": {
                        "variant": {
                            "location": "import",
                            "path": "../types",
                            "id": "src/components/Tabs/types.ts::variant"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": undefined
                        }],
                    "text": "the variant of the tab"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'underline'"
            }
        };
    }
}
//# sourceMappingURL=swc-tab-list.js.map
