import { h } from "@stencil/core";
// import { useId, hasNamedSlot } from '@/utils/utils'
export class SwcTopNav {
    /**
     * max-width of the header => useful when the app has a max-width
     */
    maxWidth = '100%';
    /**
     * role wrapper prop
     */
    roleWrapperWidth = 152;
    /**
     * hasNotifications prop
     */
    hasNotifications = true;
    /**
     * hasReadNotifications prop
     */
    hasReadNotifications = false;
    /**
     * hasUserRoleDropdown prop
     */
    hasUserRoleDropdown = true;
    /**
     * hasSearch prop
     */
    hasSearch = true;
    areLinksVisible = true;
    isSearchVisible = false;
    searchQuery = '';
    /**
     * registering the search:query event for the component
     */
    input;
    /**
     * registering the search:query event for the component
     */
    toggleSearchInput;
    /**
     * registering the search:query event for the component
     */
    showNotification;
    get roleMenuStyleObj() {
        return {
            minWidth: '152px',
            width: `${this.roleWrapperWidth}px`,
        };
    }
    handleInputEventChange(event) {
        const pluckedValue = event.detail.value;
        this.searchQuery = pluckedValue;
        this.input.emit(pluckedValue);
    }
    toggleSearch = async () => {
        const timeout = 400;
        if (this.areLinksVisible) {
            this.areLinksVisible = false;
            setTimeout(() => {
                this.isSearchVisible = true;
            }, timeout);
        }
        else {
            this.isSearchVisible = false;
            setTimeout(() => {
                this.areLinksVisible = true;
            }, timeout);
        }
    };
    handleInputChange = (inputText) => {
        this.searchQuery = inputText;
        this.input.emit(inputText);
    };
    handleStopPropagation = (event) => {
        event.stopPropagation();
    };
    handleShowNotification = () => {
        this.showNotification.emit(true);
    };
    searchVisibleChangeHandler(newValue) {
        this.toggleSearchInput.emit(newValue);
    }
    render() {
        return (h("header", { key: 'fef82228895340fb78a9a3843ab0f850ff461572', class: "topnav", "data-testid": "sfe-top-nav", style: { '--max-width': this.maxWidth } }, h("div", { key: '4dcd5823edeebf23dd328fbb71f839ae70bd24bd', class: "topnav__content" }, h("div", { key: '2af6366cdf85a0529b83c929214ec77e2266a63b', class: "topnav__left" }, h("div", { key: '0dc81455538f5e8e0046f8efc1a07f18b0e0e246', class: "topnav__brand" }, h("slot", { key: '21605784c06b5a616ca63eb9279f87600d0bd615', name: "companyLogo" }, "Logo")), h("div", { key: 'f81f3b7590f6f6622cafa1016c39f1d089276536', class: {
                topnav__links: true,
                'fade-enter': this.areLinksVisible,
                'fade-leave-to': !this.areLinksVisible,
            } }, h("slot", { key: '1cbdbab39656c937556dca129aed0dc2d4a62c27', name: "navLinks" }))), h("div", { key: '64aa4b2ed1b481e8f474e6b6a1c6a06f564af90d', class: {
                'topnav__search-container': true,
                'slide-fade-enter-from': this.isSearchVisible,
                'slide-fade-leave-to': !this.isSearchVisible,
            }, onClick: this.handleStopPropagation }, h("swc-input", { key: 'a608b81bd828f61be32be6b937786fe3fbbb1e3f', value: this.searchQuery, type: "search", placeholder: "Search hint", variant: "faded", containerClass: "w-40 search-transition", "arial-expanded": true, "arial-label": true, handleInputChange: this.handleInputChange }, h("span", { key: '5358eac6ae8fe48a88e6f74608fc4b0f5cbb30ab', slot: "leftAddon" }, h("svg", { key: 'b01216d465537d0ba8d9c7ab424ed005e8dd23e6', xmlns: "http://www.w3.org/2000/svg", width: "17", height: "16", viewBox: "0 0 17 16", fill: "none" }, h("path", { key: 'b78c9e7d5fba6e3bfa3aad0319f7359ade9d6060', d: "M8.19009 14.0467C4.68621 14.0467 1.8335 11.194 1.8335 7.69009C1.8335 4.18621 4.68621 1.3335 8.19009 1.3335C11.694 1.3335 14.5467 4.18621 14.5467 7.69009C14.5467 11.194 11.694 14.0467 8.19009 14.0467ZM8.19009 2.26373C5.19474 2.26373 2.76373 4.70094 2.76373 7.69009C2.76373 10.6792 5.19474 13.1164 8.19009 13.1164C11.1854 13.1164 13.6164 10.6792 13.6164 7.69009C13.6164 4.70094 11.1854 2.26373 8.19009 2.26373Z", fill: "black", "fill-opacity": "0.7" }), h("path", { key: 'f2f389e17c64ec037a54603fb6841886459c5d2d', d: "M14.7017 14.6668C14.5839 14.6668 14.4661 14.6234 14.373 14.5304L13.1327 13.2901C12.9529 13.1102 12.9529 12.8126 13.1327 12.6327C13.3126 12.4529 13.6102 12.4529 13.7901 12.6327L15.0304 13.873C15.2102 14.0529 15.2102 14.3506 15.0304 14.5304C14.9374 14.6234 14.8195 14.6668 14.7017 14.6668Z", fill: "black", "fill-opacity": "0.7" })))), h("div", { key: 'aec8508ace29ad18366a23a5d48d52d5f5016991', class: "search-list" }, this.isSearchVisible && h("slot", { key: '07b6c597140053de8c6912def6a2e4b79a597047', name: "searchList" }))), h("div", { key: '0e2b71bacf952e277647b0fd8bee93e493768043', class: "topnav__right" }, this.hasSearch && (h("swc-icon-button", { key: 'fc5be900aa534f21259569d7cacef1f90ecd39b7', intent: "neutral", variant: "bare", size: "lg", "aria-label": "Search", class: "topnav__search-icon", round: true, onClick: this.toggleSearch }, !this.isSearchVisible ? (h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", viewBox: "0 0 16 16", fill: "none" }, h("path", { d: "M7.69009 14.0467C4.18621 14.0467 1.3335 11.194 1.3335 7.69009C1.3335 4.18621 4.18621 1.3335 7.69009 1.3335C11.194 1.3335 14.0467 4.18621 14.0467 7.69009C14.0467 11.194 11.194 14.0467 7.69009 14.0467ZM7.69009 2.26373C4.69474 2.26373 2.26373 4.70094 2.26373 7.69009C2.26373 10.6792 4.69474 13.1164 7.69009 13.1164C10.6854 13.1164 13.1164 10.6792 13.1164 7.69009C13.1164 4.70094 10.6854 2.26373 7.69009 2.26373Z", fill: "black", "fill-opacity": "0.7" }), h("path", { d: "M14.2017 14.6668C14.0839 14.6668 13.9661 14.6234 13.873 14.5304L12.6327 13.2901C12.4529 13.1102 12.4529 12.8126 12.6327 12.6327C12.8126 12.4529 13.1102 12.4529 13.2901 12.6327L14.5304 13.873C14.7102 14.0529 14.7102 14.3506 14.5304 14.5304C14.4374 14.6234 14.3195 14.6668 14.2017 14.6668Z", fill: "black", "fill-opacity": "0.7" }))) : (h("swc-svg-icon", { name: "Dismiss", size: "16" })))), this.hasUserRoleDropdown && (h("swc-dropdown", { key: '430a03439d4f55b66744d821ea6a9af630e50790', class: "topnav__role-switch" }, h("span", { key: 'd6084f789a573ca3c7195af6d7877dab6e0a58a4', slot: "trigger" }, h("swc-dropdown-trigger", { key: '3f575da85a03e67ea4401e66f3b2db66eec2fdd8', size: "md", style: this.roleMenuStyleObj }, h("div", { key: '1cca212717113f2edc6ce760e92d1fa342ffd6bf', class: "topnav__role-liner" }, h("swc-svg-icon", { key: 'f86b95f61b60a960618f3fb7ce2995b0a5a5e25a', name: "Person", variant: "filled", size: "20" }), "\u00A0\u00A0", h("slot", { key: '822be985094924f7fdee66f8a32656334de4ff52', name: "roleSelected" })))), h("span", { key: 'b88c96bd1dc496f0f575e01f4eeea0eac263eb77', slot: "list" }, h("slot", { key: 'b5af2bc362a7e4c0da95d7e84087ebde8697c1b7', name: "userRolesList" }, "User Role Dropdown Menu")))), this.hasNotifications && (h("div", { key: '2a64d80a708674069a9719e9c693f768aacdc63b', class: "topnav__notification" }, h("swc-dropdown", { key: 'adcf527cb5b00a309fa1521e47ec19023b3ac376' }, h("span", { key: '4b7cce1983bd54aae052ec4718f496ed3533b080', slot: "trigger" }, h("swc-icon-button", { key: '3768d89bb1fe1e592f6a5d8793faf182201e6164', intent: "brand", variant: "ghost", size: "lg", "aria-label": "Alert", class: "alert-btn", round: true, onClick: this.handleShowNotification }, h("svg", { key: 'ee0b983543fc8fc3e500b10224df55bd8b90047c', xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", viewBox: "0 0 16 16", fill: "none" }, h("path", { key: '22b05d507e6558cd862b047444c39dd4b5b85fe3', d: "M7.9979 0C11.1469 0 13.7418 2.33488 13.9824 5.3554L13.9958 5.57762L14.0003 5.80214L13.9993 9.398L14.9247 11.6202C14.9472 11.6743 14.9649 11.7302 14.9776 11.7871L14.9929 11.8733L15.0015 12.0046C15.0015 12.4526 14.705 12.8387 14.2524 12.9677L14.136 12.9945L14.0015 13.0046L10.4999 13.004L10.4949 13.1653C10.4098 14.469 9.32542 15.5 8.00026 15.5C6.67478 15.5 5.59022 14.4685 5.50558 13.1644L5.49986 13.004L1.99915 13.0046C1.9112 13.0046 1.82383 12.993 1.73927 12.9702L1.61481 12.9277C1.20403 12.7567 0.962056 12.3392 1.01246 11.8757L1.03354 11.7483L1.07596 11.6202L1.99926 9.401L2.00035 5.79281L2.00465 5.56824C2.12726 2.45115 4.77129 0 7.9979 0ZM9.49986 13.004H6.49986L6.50722 13.1454C6.57576 13.8581 7.143 14.425 7.8558 14.4931L8.00026 14.5C8.77996 14.5 9.42071 13.9051 9.49339 13.1445L9.49986 13.004ZM7.9979 1C5.37535 1 3.22741 2.92372 3.0174 5.38498L3.00417 5.59723L3.00026 5.80214V9.5L2.96185 9.69217L1.99914 12.0046L13.9569 12.0066L14.0021 12.0045L13.0387 9.6922L13.0003 9.5L13.0004 5.81241L12.9963 5.60831C12.8911 3.0349 10.6949 1 7.9979 1Z", fill: "#004CA6" })), !this.hasReadNotifications && (h("div", { key: '5356a3328bbe49753d3bd6bfbbe5b3edab80317f', class: "notify" }, h("svg", { key: 'd60be121d840c43c35e863101867432b113c2cc3', xmlns: "http://www.w3.org/2000/svg", width: "4", height: "4", viewBox: "0 0 4 4", fill: "none" }, h("circle", { key: 'f5b8fdaa78e90da7c5942d1f58e81065f88596e1', cx: "2", cy: "2", r: "2", fill: "var(--sfe-color-non-semantic-fill-red-strong)" })))))), h("span", { key: 'd7390a8082a66ef7a9c6f6c106f76ef4c254014a', slot: "list" }, h("slot", { key: 'e66361ce70f5b4a146308bd73122fac56e5fa34f', name: "notificationsList" }))))), h("div", { key: '4ae97db41e43070732d445b3a03cdb60266aa4da', class: "topnav__avatar" }, h("slot", { key: '0f6502c2e3e7b7c3fd4fdbe110e974ab47d8d1ce', name: "userAvatar" }))))));
    }
    static get is() { return "swc-top-nav"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-top-nav.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-top-nav.css"]
        };
    }
    static get properties() {
        return {
            "maxWidth": {
                "type": "string",
                "attribute": "max-width",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "max-width of the header => useful when the app has a max-width"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'100%'"
            },
            "roleWrapperWidth": {
                "type": "number",
                "attribute": "role-wrapper-width",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "role wrapper prop"
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "152"
            },
            "hasNotifications": {
                "type": "boolean",
                "attribute": "has-notifications",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "hasNotifications prop"
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "true"
            },
            "hasReadNotifications": {
                "type": "boolean",
                "attribute": "has-read-notifications",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "hasReadNotifications prop"
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "false"
            },
            "hasUserRoleDropdown": {
                "type": "boolean",
                "attribute": "has-user-role-dropdown",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "hasUserRoleDropdown prop"
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "true"
            },
            "hasSearch": {
                "type": "boolean",
                "attribute": "has-search",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "hasSearch prop"
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "true"
            }
        };
    }
    static get states() {
        return {
            "areLinksVisible": {},
            "isSearchVisible": {},
            "searchQuery": {}
        };
    }
    static get events() {
        return [{
                "method": "input",
                "name": "input",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "registering the search:query event for the component"
                },
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                }
            }, {
                "method": "toggleSearchInput",
                "name": "toggleSearchInput",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "registering the search:query event for the component"
                },
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                }
            }, {
                "method": "showNotification",
                "name": "showNotification",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "registering the search:query event for the component"
                },
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                }
            }];
    }
    static get watchers() {
        return [{
                "propName": "isSearchVisible",
                "methodName": "searchVisibleChangeHandler"
            }];
    }
    static get listeners() {
        return [{
                "name": "change",
                "method": "handleInputEventChange",
                "target": undefined,
                "capture": false,
                "passive": false
            }];
    }
}
//# sourceMappingURL=swc-top-nav.js.map
