import { h } from "@stencil/core";
export class SwcIconButton {
    /**
     * disabled state of the icon button
     */
    disabled = false;
    /**
     * size of the icon button
     */
    size = 'md';
    /**
     * intent of the icon button
     */
    intent = 'brand';
    /**
     * variant of the icon button
     */
    variant = 'solid';
    /**
     * aria label attribute
     */
    arialLabel;
    /**
     * determines whether the icon should be round in shape
     */
    round = false;
    /**
     * emitted when the icon button is focused
     */
    focused;
    handleFocus = () => {
        this.focused.emit();
    };
    render() {
        return (h("swc-button", { key: 'b028bce186af05f955fbe8e94b681dd20315ce59', "arial-label": this.arialLabel, disabled: this.disabled, intent: this.intent, variant: this.variant, size: this.size, isIcon: true, round: this.round, "data-test-id": "sfe-icon-button", class: {
                'sfe-icon-btn': true,
                [`sfe-icon-btn-size-${this.size}`]: true,
            }, onFocus: this.handleFocus }, h("slot", { key: '5b6fe1488863424324fa195cb88819c3021bab31' })));
    }
    static get is() { return "swc-icon-button"; }
    static get encapsulation() { return "scoped"; }
    static get properties() {
        return {
            "disabled": {
                "type": "boolean",
                "attribute": "disabled",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "disabled state of the icon button"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "size": {
                "type": "string",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "'sm' | 'md' | 'lg'",
                    "resolved": "\"lg\" | \"md\" | \"sm\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "size of the icon button"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'md'"
            },
            "intent": {
                "type": "string",
                "attribute": "intent",
                "mutable": false,
                "complexType": {
                    "original": "'brand' | 'neutral' | 'critical' | 'positive' | 'inverse'",
                    "resolved": "\"brand\" | \"critical\" | \"inverse\" | \"neutral\" | \"positive\" | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "intent of the icon button"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'brand'"
            },
            "variant": {
                "type": "string",
                "attribute": "variant",
                "mutable": false,
                "complexType": {
                    "original": "'solid' | 'outline' | 'faded' | 'ghost' | 'bare'",
                    "resolved": "\"bare\" | \"faded\" | \"ghost\" | \"outline\" | \"solid\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "variant of the icon button"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'solid'"
            },
            "arialLabel": {
                "type": "string",
                "attribute": "arial-label",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "aria label attribute"
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "round": {
                "type": "boolean",
                "attribute": "round",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "determines whether the icon should be round in shape"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
    static get events() {
        return [{
                "method": "focused",
                "name": "focused",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "emitted when the icon button is focused"
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=swc-icon-button.js.map
