import { useId } from "../../../utils/utils";
import { h } from "@stencil/core";
export class SwcDialog {
    el;
    isModalOpen = false;
    closeOnEsc = true;
    closeOnOverlayClick = true;
    initialFocusRef;
    size = 'sm';
    width;
    hasCloseIcon = true;
    animation = 'slide-left';
    headerId = `sfe-dialog-${useId().generate()}`;
    closeModal;
    get dialogWidth() {
        if (this.width)
            return this.width;
        return this.size === 'lg' ? '800px' : this.size === 'md' ? '640px' : '480px';
    }
    get animationClass() {
        return `sfe-dialog-animation-${this.animation}`;
    }
    handleClose = () => {
        this.closeModal.emit();
    };
    render() {
        return (h("swc-modal-root", { key: '8428361852f78a7c7e0df05088c9fa43fd4ce1ee', isModalOpen: this.isModalOpen, closeOnEsc: this.closeOnEsc, closeOnOverlayClick: this.closeOnOverlayClick, initialFocusRef: this.initialFocusRef, onCloseModal: this.handleClose }, h("div", { key: 'aa766739ae63f16570481b332c117e4038e66ac4', "aria-labelledby": this.headerId, class: `sfe-dialog ${this.animationClass}`, style: { width: this.dialogWidth } }, this.hasCloseIcon && (h("button", { key: 'a382f72bf77d134cd72aae7d953089f9192ff589', class: "sfe-dialog__close-icon", "aria-label": "Close", onClick: this.handleClose }, h("swc-svg-icon", { key: 'c88eed0e06c43162ffa2341094e488538fa79a96', name: "Dismiss", size: "12" }))), h("div", { key: 'c180a29b5c4615f5e29a3f968374f04d08bc73c5', id: this.headerId, class: "sfe-dialog__header" }, h("slot", { key: 'b39468010406927d268d14e75d830d84e374fffe', name: "header" })), h("section", { key: '11ea16eb7ce20f2604c3841b29b62ec05761ac10', class: "sfe-dialog__body" }, h("slot", { key: '11bd89acc6367d8aa307265848f04eda1b538dec', name: "body" })), h("footer", { key: 'c27e6f72297055bf2b5c34d534c46dc45f69d123', class: "sfe-dialog__footer" }, h("slot", { key: 'a309d35f1ad0fd7b867c7b2792f055d03dcc8847', name: "footer" })))));
    }
    static get is() { return "swc-dialog"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-dialog.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-dialog.css"]
        };
    }
    static get properties() {
        return {
            "isModalOpen": {
                "type": "boolean",
                "attribute": "is-modal-open",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "closeOnEsc": {
                "type": "boolean",
                "attribute": "close-on-esc",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "true"
            },
            "closeOnOverlayClick": {
                "type": "boolean",
                "attribute": "close-on-overlay-click",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "true"
            },
            "initialFocusRef": {
                "type": "unknown",
                "attribute": "initial-focus-ref",
                "mutable": false,
                "complexType": {
                    "original": "HTMLElement",
                    "resolved": "HTMLElement | undefined",
                    "references": {
                        "HTMLElement": {
                            "location": "global",
                            "id": "global::HTMLElement"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "size": {
                "type": "string",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "'sm' | 'md' | 'lg'",
                    "resolved": "\"lg\" | \"md\" | \"sm\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'sm'"
            },
            "width": {
                "type": "string",
                "attribute": "width",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "hasCloseIcon": {
                "type": "boolean",
                "attribute": "has-close-icon",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "true"
            },
            "animation": {
                "type": "string",
                "attribute": "animation",
                "mutable": false,
                "complexType": {
                    "original": "'scale' | 'slide-right' | 'slide-left' | 'slide-up' | 'slide-down'",
                    "resolved": "\"scale\" | \"slide-down\" | \"slide-left\" | \"slide-right\" | \"slide-up\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'slide-left'"
            }
        };
    }
    static get states() {
        return {
            "headerId": {}
        };
    }
    static get events() {
        return [{
                "method": "closeModal",
                "name": "closeModal",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
    static get elementRef() { return "el"; }
}
//# sourceMappingURL=swc-dialog.js.map
