import { h } from "@stencil/core";
export class SwcSidePanel {
    isModalOpen = false;
    closeOnEsc = true;
    closeOnOverlayClick = true;
    size = 'sm';
    position = 'right';
    closeModal;
    closeDialog = () => {
        this.closeModal.emit();
    };
    render() {
        return (h("swc-modal-root", { key: '6e6516920cf4caadbe65dbd5a2da26536d890da5', isModalOpen: this.isModalOpen, closeOnEsc: this.closeOnEsc, closeOnOverlayClick: this.closeOnOverlayClick, onCloseModal: this.closeDialog }, h("div", { key: '5e3d1008c9da9c0a1434bec5cdc936bc0b9b045d', class: `sfe-side-panel sfe-side-panel--${this.position} sfe-side-panel--${this.size}` }, h("header", { key: 'ded7658ba87e57ac1d241bab33fc5b6b96e284e7', class: "sfe-side-panel__header" }, h("div", { key: '7404972734e9639244f0aaac153d7e1b473c4645' }, h("h3", { key: '6ae3f8784d49b3e688276c1563ec02cb3ebb46b5', class: "sfe-side-panel__title" }, h("slot", { key: '9c3bdea24469936154c8085a78a25f8b2cf8a0f9', name: "title" })), h("p", { key: '67a94efd74ecad2c5324b6a542d602939f07a0c6', class: "sfe-side-panel__description" }, h("slot", { key: 'a5e769fe6a40e24d6b3206db34f69f0e5acf9857', name: "description" }))), h("swc-button", { key: '549e798ab7f0d4923097d37134fd15a50a6f4a20', round: true, intent: "neutral", variant: "bare", size: "md", "aria-label": "Close", onClick: this.closeDialog }, "\u00D7")), h("section", { key: '3d623f13c4e03169ed3d6cf043c442c53664fd75', class: "sfe-side-panel__body" }, h("slot", { key: '4c4c49b059420130b5fb958c5a00d8c7e74cf428', name: "body" })), h("footer", { key: 'e982fa7b3ea19f9aa0dafdc71ce98d138b5c7c9c', class: "sfe-side-panel__footer" }, h("slot", { key: 'f757c8a5e9fbd4e479095315de1af4abfcd18ad8', name: "footer" })))));
    }
    static get is() { return "swc-side-panel"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-side-panel.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-side-panel.css"]
        };
    }
    static get properties() {
        return {
            "isModalOpen": {
                "type": "boolean",
                "attribute": "is-modal-open",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "closeOnEsc": {
                "type": "boolean",
                "attribute": "close-on-esc",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "true"
            },
            "closeOnOverlayClick": {
                "type": "boolean",
                "attribute": "close-on-overlay-click",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "true"
            },
            "size": {
                "type": "string",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "'sm' | 'md' | 'lg'",
                    "resolved": "\"lg\" | \"md\" | \"sm\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'sm'"
            },
            "position": {
                "type": "string",
                "attribute": "position",
                "mutable": false,
                "complexType": {
                    "original": "'left' | 'right'",
                    "resolved": "\"left\" | \"right\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'right'"
            }
        };
    }
    static get events() {
        return [{
                "method": "closeModal",
                "name": "closeModal",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=swc-side-panel.js.map
