import { variantConfig, intentConfig, positionConfig } from "../config";
class AlertService {
    alertElement = null;
    createAlertInstance() {
        if (!this.alertElement) {
            this.alertElement = document.createElement('swc-alert');
            document.body.appendChild(this.alertElement);
        }
    }
    validate(value, validValues, name) {
        if (validValues.includes(value))
            return true;
        shrConsole.safeLog(`Invalid ${name}: "${value}". Valid values are: ${validValues.join(', ')}`);
        return false;
    }
    show(variant, message, options) {
        this.createAlertInstance();
        this.alertElement.message = message;
        if (this.validate(variant, Object.values(variantConfig), 'variant')) {
            this.alertElement.variant = variant;
        }
        if (options?.intent && this.validate(options.intent, Object.values(intentConfig), 'intent')) {
            this.alertElement.intent = options.intent;
        }
        if (options?.position &&
            this.validate(options.position, Object.values(positionConfig), 'position')) {
            this.alertElement.position = options.position;
        }
        if (options?.iconButtonAriaLabel) {
            this.alertElement.iconButtonAriaLabel = options.iconButtonAriaLabel;
        }
        this.alertElement.show();
    }
    hide() {
        this.alertElement?.hide();
    }
}
export const alertService = new AlertService();
//# sourceMappingURL=AlertService.js.map
