import { Host, h } from "@stencil/core";
export class SwcBadge {
    /**
     * The variant of the badge
     */
    variant = 'solid';
    /**
     * The intent of the badge
     */
    intent = 'grey';
    /**
     * The size of the
     */
    size = 'lg';
    /**
     * Indicates if the badge is a counter
     */
    isCounter = false;
    badgeClasses;
    watchProps() {
        this.computeBadgeClasses();
    }
    computeBadgeClasses() {
        this.badgeClasses = [
            'sfe-badge',
            `sfe-badge-${this.variant}-${this.intent}`,
            `sfe-badge-${this.size}`,
            this.isCounter ? 'sfe-badge-counter' : '',
        ]
            .filter(Boolean)
            .join(' ');
    }
    render() {
        return (h(Host, { key: 'b43aca4b22b7c08f6b8e7948c19adcf31bcf6350' }, h("span", { key: '4197c702a17ec110af2238554e38c6494c198d48', class: `
                        sfe-badge 
                        sfe-badge-${this.variant}-${this.intent} 
                        sfe-badge-${this.size} 
                        ${this.isCounter ? 'sfe-badge-counter' : ''}
                    `, "data-test-id": "sfe-badge" }, h("slot", { key: '8aeb8b30553b50a024aefffe540d5bc625383568' }))));
    }
    static get is() { return "swc-badge"; }
    static get encapsulation() { return "scoped"; }
    static get properties() {
        return {
            "variant": {
                "type": "string",
                "attribute": "variant",
                "mutable": false,
                "complexType": {
                    "original": "'solid' | 'outline' | 'faded' | 'bare' | 'ghost'",
                    "resolved": "\"bare\" | \"faded\" | \"ghost\" | \"outline\" | \"solid\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "The variant of the badge"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'solid'"
            },
            "intent": {
                "type": "string",
                "attribute": "intent",
                "mutable": false,
                "complexType": {
                    "original": "| 'grey'\n    | 'blue'\n    | 'green'\n    | 'red'\n    | 'orange'\n    | 'raspberry'\n    | 'magenta'\n    | 'purple'\n    | 'grape'\n    | 'violet'\n    | 'cyan'\n    | 'teal'\n    | 'aquamarine'",
                    "resolved": "\"aquamarine\" | \"blue\" | \"cyan\" | \"grape\" | \"green\" | \"grey\" | \"magenta\" | \"orange\" | \"purple\" | \"raspberry\" | \"red\" | \"teal\" | \"violet\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "The intent of the badge"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'grey'"
            },
            "size": {
                "type": "string",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "'sm' | 'lg'",
                    "resolved": "\"lg\" | \"sm\" | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "The size of the"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'lg'"
            },
            "isCounter": {
                "type": "boolean",
                "attribute": "is-counter",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Indicates if the badge is a counter"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
    static get states() {
        return {
            "badgeClasses": {}
        };
    }
    static get watchers() {
        return [{
                "propName": "variant",
                "methodName": "watchProps"
            }, {
                "propName": "intent",
                "methodName": "watchProps"
            }, {
                "propName": "size",
                "methodName": "watchProps"
            }, {
                "propName": "isCounter",
                "methodName": "watchProps"
            }];
    }
}
//# sourceMappingURL=swc-badge.js.map
