import { h, Host, } from "@stencil/core";
import { useId, hasNamedSlot } from "../../utils/utils";
export class SwcCheckboxGroup {
    /**
     * options Prop internal
     */
    options;
    /**
     * direction Prop internal
     */
    direction = 'row';
    /**
     * useOptionsArray Prop internal
     */
    value = [];
    /**
     * change event on group checkbox
     */
    changeGroupCheckbox;
    checkboxChangeHandler(event) {
        const { value, checked } = event.detail;
        switch (checked) {
            case true:
                if (this.value.includes(value)) {
                    const copy = [...this.value, value];
                    const distinctVal = new Set(copy);
                    this.value = Array.from(distinctVal);
                }
                else {
                    this.value = [...this.value, value];
                }
                break;
            case false:
                if (this.value.includes(value)) {
                    this.value = this.value.filter((unit) => unit !== value);
                }
                break;
            default:
                break;
        }
        if (checked && !this.value.includes(value)) {
            this.value = [...this.value, value];
        }
        if (!checked && this.value.includes(value)) {
            this.value = this.value.filter((unit) => unit !== value);
        }
    }
    hostEl;
    valueChangeHandler(newValue) {
        this.changeGroupCheckbox.emit(newValue);
    }
    render() {
        const hasSlotContent = hasNamedSlot(this.hostEl, 'content');
        return (h(Host, { key: '802b2726935d1586f0b88ede4ebc7487e7962216' }, h("div", { key: '81fc92f61c08c0c5f7b56da2ca7220a839fcc116', class: `sfe-checkbox-grp-wrapper sfe-checkbox-grp-wrapper--${this.direction}`, id: useId().generate('swc-grp-checkbox') }, !hasSlotContent &&
            this.options?.length > 0 &&
            this.options.map((option) => (h("swc-checkbox", { key: option.value, value: option.value, label: option.label, checked: this.value.includes(option.value) }))), h("slot", { key: '83237135861e90f8a6507cc88d06b913c1a954d5', name: "content" }))));
    }
    static get is() { return "swc-checkbox-group"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-checkbox-group.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-checkbox-group.css"]
        };
    }
    static get properties() {
        return {
            "options": {
                "type": "unknown",
                "attribute": "options",
                "mutable": false,
                "complexType": {
                    "original": "checkboxOption[]",
                    "resolved": "checkboxOption[]",
                    "references": {
                        "checkboxOption": {
                            "location": "local",
                            "path": "/Users/Oludayoogunyemi/projects/sfe/shr-ui/packages/wc-lib/src/components/swc-checkbox/swc-checkbox-group.tsx",
                            "id": "src/components/swc-checkbox/swc-checkbox-group.tsx::checkboxOption"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "options Prop internal"
                },
                "getter": false,
                "setter": false
            },
            "direction": {
                "type": "string",
                "attribute": "direction",
                "mutable": false,
                "complexType": {
                    "original": "'row' | 'column'",
                    "resolved": "\"column\" | \"row\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "direction Prop internal"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'row'"
            },
            "value": {
                "type": "unknown",
                "attribute": "value",
                "mutable": true,
                "complexType": {
                    "original": "(string | number)[]",
                    "resolved": "(string | number)[]",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "useOptionsArray Prop internal"
                },
                "getter": false,
                "setter": false,
                "defaultValue": "[]"
            }
        };
    }
    static get events() {
        return [{
                "method": "changeGroupCheckbox",
                "name": "changeGroupCheckbox",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "change event on group checkbox"
                },
                "complexType": {
                    "original": "string[]",
                    "resolved": "string[]",
                    "references": {}
                }
            }];
    }
    static get elementRef() { return "hostEl"; }
    static get watchers() {
        return [{
                "propName": "value",
                "methodName": "valueChangeHandler"
            }];
    }
    static get listeners() {
        return [{
                "name": "checkboxChange",
                "method": "checkboxChangeHandler",
                "target": undefined,
                "capture": false,
                "passive": false
            }];
    }
}
//# sourceMappingURL=swc-checkbox-group.js.map
