import { Host, h } from "@stencil/core";
export class SwcDivider {
    /**
     * The orientation of the divider
     */
    orientation = 'horizontal';
    hostElementRef;
    hasContent = false;
    componentDidLoad() {
        // Check if the span has active content/text to determine element presence
        const parentEl = this.hostElementRef.querySelector('span');
        this.hasContent = parentEl ? parentEl.innerText.length > 0 : false;
    }
    render() {
        return (h(Host, { key: 'a903f5263273daa03f4b1678701349e15000900e' }, h("div", { key: 'c39a6902e28bd05594a5f86d13594712ddf4b892', class: `swc-divider swc-divider--${this.orientation} ${this.hasContent ? 'swc-divider--has-content' : ''}`, "data-testid": "sfe-divider" }, h("div", { key: '6a2d7b93146d989eb81f241e2b300c1184d0f3ab', class: "swc-divider-line" }), h("span", { key: '8dd04991ee51f1d394375dcf6e83a297da5590c1', class: this.hasContent ? 'swc-divider-content' : '' }, h("slot", { key: '046f9a3cae4bf45948bcafbf975eadae887b813f' })), h("div", { key: 'ae73f3c57972bc17b36127adf5419f2b0d40894f', class: this.hasContent ? 'swc-divider-line' : '' }))));
    }
    static get is() { return "swc-divider"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-divider.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-divider.css"]
        };
    }
    static get properties() {
        return {
            "orientation": {
                "type": "string",
                "attribute": "orientation",
                "mutable": false,
                "complexType": {
                    "original": "'horizontal' | 'vertical'",
                    "resolved": "\"horizontal\" | \"vertical\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "The orientation of the divider"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'horizontal'"
            }
        };
    }
    static get states() {
        return {
            "hasContent": {}
        };
    }
    static get elementRef() { return "hostElementRef"; }
}
//# sourceMappingURL=swc-divider.js.map
