import { Host, h } from "@stencil/core";
export class SwcLoader {
    /**
     * size of the loader
     */
    size = 'md';
    getItemStyle = (index) => {
        const rotation = (index - 1) * 45; // Rotate each item by 45 degrees
        const delay = (index - 1) * 0.1; // Delay each item's animation
        return {
            transform: `rotate(${rotation}deg)`,
            animationDelay: `${delay}s`,
        };
    };
    sizeStyles = () => {
        switch (this.size) {
            case 'sm':
                return { width: '12px', height: '8px' };
            case 'md':
                return { width: '16px', height: '16px' };
            case 'lg':
                return { width: '30px', height: '30px' };
            default:
                return { width: '16px', height: '16px' };
        }
    };
    render() {
        return (h(Host, { key: '174c2eaf91374ec61972a84f8b03b9165849f0f5' }, h("div", { key: 'e97332f149bda03feeb83cfed35ccf8ec708ef49', class: "spinner-container", "data-testid": "sfe-loader", style: {
                '--spinner-width': this.sizeStyles().width,
                '--spinner-height': this.sizeStyles().height,
            } }, h("div", { key: '9ae8c58964184caa7a7daef8f998b207a90fd4af', class: `spinner ${this.size}` }, h("div", { key: '5b5f7aebf16585189eb8c992ba97b53171a777b8', class: "spinner-item", style: this.getItemStyle(0) }), h("div", { key: '72405c7a3e777556167fba162cc6509f4cd6c9e5', class: "spinner-item", style: this.getItemStyle(1) }), h("div", { key: 'f65855f35b27170c629d9eb953f2f8a32e75435c', class: "spinner-item", style: this.getItemStyle(2) }), h("div", { key: 'c06d2feeacbc5bc086497f9dccbceb031a3e1bbb', class: "spinner-item", style: this.getItemStyle(3) }), h("div", { key: '81566af515e94a2b7484fd07c054ca2cfa85b378', class: "spinner-item", style: this.getItemStyle(4) }), h("div", { key: '1bf0ff426e0a06fd8a8849cd5d5974feaf8a8f64', class: "spinner-item", style: this.getItemStyle(5) }), h("div", { key: 'c9fda2de8a0febc37ddfa68ef938708ba229d2f9', class: "spinner-item", style: this.getItemStyle(6) }), h("div", { key: '47825c477c9374a0feff9f59dbba100377f0230f', class: "spinner-item", style: this.getItemStyle(7) })))));
    }
    static get is() { return "swc-loader"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-loader.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-loader.css"]
        };
    }
    static get properties() {
        return {
            "size": {
                "type": "string",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "'sm' | 'md' | 'lg'",
                    "resolved": "\"lg\" | \"md\" | \"sm\" | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "size of the loader"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'md'"
            }
        };
    }
}
//# sourceMappingURL=swc-loader.js.map
