import { h } from "@stencil/core";
export class SwcProgress {
    /**
     * value of the progress
     */
    value = 0;
    /**
     * max value of the progress
     */
    max = 100;
    /**
     * color of the progress
     */
    color = '--sfe-color-interaction-brand-solid-weak';
    /**
     * determines if the value should be shown
     */
    showValue = true;
    maxPossiblePercentage = 100;
    minPossiblePercentage = 0;
    validateValue(newValue) {
        this.value = Math.max(this.minPossiblePercentage, Math.min(newValue, this.max));
    }
    get computedPercentage() {
        if (this.value < this.minPossiblePercentage) {
            return this.minPossiblePercentage;
        }
        if (this.max <= this.minPossiblePercentage) {
            return this.minPossiblePercentage;
        }
        if (this.value > this.max) {
            return this.maxPossiblePercentage;
        }
        return Math.round((this.value / this.max) * 100);
    }
    render() {
        return (h("div", { key: '61334706bf42853a0f80257927193c5603e3c18f', class: "sfe-progress", role: "progressbar", "aria-valuenow": this.computedPercentage, "aria-valuemin": "0", "aria-valuemax": "100", "data-testid": "sfe-progress" }, h("div", { key: '99d191ed2837e9f923e3fb1eb8647ee5814e2e20', class: "sfe-progress__outer-container" }, h("div", { key: '9eede84cd8b544781c10ac994b37771c7b742e76', class: "sfe-progress__inner-container", style: {
                width: `${this.computedPercentage}%`,
                backgroundColor: `var(${this.color})`,
            } })), this.showValue && (h("span", { key: '050c563d2f4f81f738bcd3507cf852f0b98621e5', class: "sfe-progress__max-percentage" }, `${this.computedPercentage}%`))));
    }
    static get is() { return "swc-progress"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-progress.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-progress.css"]
        };
    }
    static get properties() {
        return {
            "value": {
                "type": "number",
                "attribute": "value",
                "mutable": true,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "value of the progress"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "0"
            },
            "max": {
                "type": "number",
                "attribute": "max",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "max value of the progress"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "100"
            },
            "color": {
                "type": "string",
                "attribute": "color",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "color of the progress"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'--sfe-color-interaction-brand-solid-weak'"
            },
            "showValue": {
                "type": "boolean",
                "attribute": "show-value",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "determines if the value should be shown"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "true"
            }
        };
    }
    static get watchers() {
        return [{
                "propName": "value",
                "methodName": "validateValue"
            }];
    }
}
//# sourceMappingURL=swc-progress.js.map
