import { Host, h } from "@stencil/core";
import { useId } from "../../utils/utils";
export class SwcTag {
    /**
     * id of the tag
     */
    instanceId = undefined;
    /**
     * determines if the tag is dismissible
     */
    dismissible = false;
    /**
     * the event fired when the tag is dismissed
     */
    dismiss;
    defaultId = useId().generate();
    get computedComponentId() {
        return this.instanceId ? this.instanceId : this.defaultId;
    }
    dismissTag = () => {
        if (this.dismissible) {
            this.dismiss.emit(this.instanceId);
        }
    };
    render() {
        return (h(Host, { key: 'bdec215e72662de6eded0650fe131e03783ba8dd' }, h("span", { key: '054ebd05a5c510d8db52f43edb6ae457ca3bffb3', id: `${this.computedComponentId}`, class: `sfe-tag ${this.dismissible ? 'sfe-tag--dismissible' : ''}`, "data-testid": "sfe-tag" }, h("div", { key: 'ff2cccf33f1d025369bc52e978fe8060ed726328', class: "label-text" }, h("slot", { key: '4e7494593c5e7f9ed0946a19ae8a1fccf91d932b' })), this.dismissible && (h("span", { key: '2e4154a332959ada6cea15e594642b2dc40414a3', role: "button", tabindex: "0", class: "dismiss-icon", onClick: this.dismissTag }, h("svg", { key: '2ce86e982d5e1cbcb9ac5704b2def42eaa5c0be6', width: "12", height: "12", viewBox: "0 0 12 12", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: '416373dd04db16b792256ec8eccf497c0f861137', d: "M2.08859 2.21569L2.14645 2.14645C2.32001 1.97288 2.58944 1.9536 2.78431 2.08859L2.85355 2.14645L6 5.293L9.14645 2.14645C9.34171 1.95118 9.65829 1.95118 9.85355 2.14645C10.0488 2.34171 10.0488 2.65829 9.85355 2.85355L6.707 6L9.85355 9.14645C10.0271 9.32001 10.0464 9.58944 9.91141 9.78431L9.85355 9.85355C9.67999 10.0271 9.41056 10.0464 9.21569 9.91141L9.14645 9.85355L6 6.707L2.85355 9.85355C2.65829 10.0488 2.34171 10.0488 2.14645 9.85355C1.95118 9.65829 1.95118 9.34171 2.14645 9.14645L5.293 6L2.14645 2.85355C1.97288 2.67999 1.9536 2.41056 2.08859 2.21569L2.14645 2.14645L2.08859 2.21569Z", fill: "black", "fill-opacity": "0.9" })))))));
    }
    static get is() { return "swc-tag"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-tag.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-tag.css"]
        };
    }
    static get properties() {
        return {
            "instanceId": {
                "type": "number",
                "attribute": "instance-id",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "id of the tag"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "undefined"
            },
            "dismissible": {
                "type": "boolean",
                "attribute": "dismissible",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "determines if the tag is dismissible"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
    static get events() {
        return [{
                "method": "dismiss",
                "name": "dismiss",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "the event fired when the tag is dismissed"
                },
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=swc-tag.js.map
