import { getColorArray } from "../../colors";
const meta = {
    // this creates the component within its group
    title: 'Badge/SwcCircleBadge',
    argTypes: {
        label: {
            control: 'text',
            description: 'Text on badge',
        },
        color: {
            description: 'Circle Badge text color, picked from ColorVariants. Check SeamlessHR FE Color Variants',
            table: {
                type: { summary: 'ColorVariant' },
                defaultValue: { summary: 'primary' },
            },
            control: { type: 'select' },
            options: getColorArray({
                addVariants: true,
            }),
        },
        bgColor: {
            description: 'Circle Badge background color, picked from ColorVariants. Check SeamlessHR FE Color Variants',
            table: {
                type: { summary: 'ColorVariant' },
                defaultValue: { summary: 'primary-lt-2' },
            },
            control: { type: 'select' },
            options: getColorArray({
                addVariants: true,
            }),
        },
        size: {
            description: 'The defined size of the badge',
            table: {
                type: { summary: 'string' },
                defaultValue: { summary: '26' },
            },
            control: 'text',
        },
    },
};
export default meta;
// Render function to be used by multiple stories
const renderEl = (args) => `<swc-circle-badge bg-color="${args.bgColor}" color="${args.color}" size="${args.size}">${args.label}</swc-circ-badge>`;
export const Basic = {
    render: (args) => renderEl(args),
    args: {
        bgColor: 'primary-lt-2',
        color: 'primary',
        size: '26',
        label: 'A',
    },
};
//# sourceMappingURL=SwcCircleBadge.stories.js.map
