import { getColorArray } from "../../colors";
const meta = {
    // this creates the component within its group
    title: 'Badge/SwcInlineBadge',
    argTypes: {
        label: {
            control: 'text',
            description: 'Text on badge',
        },
        color: {
            description: 'Inline Badge text color, picked from ColorVariants. Check SeamlessHR FE Color Variants',
            table: {
                type: { summary: 'ColorVariant' },
                defaultValue: { summary: 'primary' },
            },
            control: { type: 'select' },
            options: getColorArray({
                addVariants: true,
            }),
        },
        bgColor: {
            description: 'Inline Badge background color, picked from ColorVariants. Check SeamlessHR FE Color Variants',
            table: {
                type: { summary: 'ColorVariant' },
                defaultValue: { summary: 'primary-lt-2' },
            },
            control: { type: 'select' },
            options: getColorArray({
                addVariants: true,
            }),
        },
        pill: {
            description: 'Whether to make the badge a pill or not',
            table: {
                type: { summary: 'boolean' },
                defaultValue: { summary: false },
            },
            control: 'boolean',
        },
    },
};
export default meta;
// Render function to be used by multiple stories
const renderEl = (args) => `<swc-inline-badge bg-color="${args.bgColor}" color="${args.color}" pill="${args.pill}">${args.label}</swc-inline-badge>`;
//`<swc-inline-badge bg-color="${args.bgColor}" color="${args.color}">${args.label}</swc-inline-badge>`
export const Basic = {
    render: (args) => renderEl(args),
    args: {
        bgColor: 'primary-lt-2',
        color: 'primary',
        pill: false,
        label: 'Badge',
    },
};
//# sourceMappingURL=SwcInlineBadge.stories.js.map
