import { getColorArray } from "../colors";
const meta = {
    // this creates the component within its group
    title: 'Feedback/SwcInlineLoader',
    argTypes: {
        variant: {
            description: 'Color of the loader, picked from ColorVariants. Check SeamlessHR FE Color Variants',
            table: {
                type: { summary: 'ColorVariant' },
                defaultValue: { summary: 'primary' },
            },
            control: { type: 'select' },
            options: getColorArray({
                addVariants: true,
            }),
        },
        size: {
            description: 'The defined size of the loader',
            table: {
                type: { summary: 'xs | sm | md' },
                defaultValue: { summary: 'md' },
            },
            control: { type: 'select' },
            options: ['xs', 'sm', 'md'],
        },
        position: {
            description: 'The horizontal position of the loader in relation to its container',
            table: {
                type: { summary: 'left | center | right' },
                defaultValue: { summary: 'left' },
            },
            control: { type: 'select' },
            options: ['left', 'center', 'right'],
        },
    },
};
export default meta;
// Render function to be used by multiple stories
const renderEl = (args) => `<swc-inline-loader variant="${args.variant}" size="${args.size}" position="${args.position}"></swc-inline-loader>`;
export const Basic = {
    render: (args) => renderEl(args),
    args: {
        variant: 'primary',
        size: 'md',
        position: 'left',
    },
};
//# sourceMappingURL=SwcInlineLoader.stories.js.map
