import { r as registerInstance, c as createEvent, h, H as Host } from './index-DnIVQjp-.js';
import { s as showToast } from './utils-DFCAnQFT.js';

const swcFileUploaderCss = ".sc-swc-file-uploader-h .drag-area.sc-swc-file-uploader{border-radius:var(--sfe-sizing-radius-default, 8px);border:1px dashed var(--sfe-color-border-neutral-subtle, #dee3e7);background-color:var(--sfe-color-fill-backround, #fafbff);color:var(--sfe-color-text-default-primary, rgba(0, 0, 0, 0.95));font-family:var(--sfe-typography-font-serif-font, Sora);font-style:normal;font-weight:400;display:block;width:100%;height:122px;transition:border-color 0.3s ease}.sc-swc-file-uploader-h .drag-area.sc-swc-file-uploader:hover{border-color:var(--sfe-btn-color-border-solid-brand-hover, #206edd)}.sc-swc-file-uploader-h .drag-area.sc-swc-file-uploader:focus-visible{outline:2px solid var(--sfe-btn-color-border-solid-brand-hover, #206edd);outline-offset:1px}.sc-swc-file-uploader-h .drag-area.disabled.sc-swc-file-uploader{opacity:0.5;border:1px dashed var(--sfe-color-border-neutral-subtle, #dee3e7)}.sc-swc-file-uploader-h .drag-area.has-error.sc-swc-file-uploader{border-radius:var(--sfe-sizing-radius-default, 8px);border:1px dashed var(--sfe-color-border-critical-solid, #a22827) !important;background:var(--sfe-color-fill-backround, #fafbff)}.sc-swc-file-uploader-h .drag-area.has-error.sc-swc-file-uploader:focus-visible{outline:2px solid var(--sfe-color-non-semantic-content-blue-subtle, #1e50c0);outline-offset:1px}.sc-swc-file-uploader-h .drag-area.sc-swc-file-uploader div.drag-label.sc-swc-file-uploader{font-size:var(--sfe-typography-font-size-label-default, 0.875rem);line-height:16px;margin-top:16px}.sc-swc-file-uploader-h .drag-area.sc-swc-file-uploader div.drag-label.sc-swc-file-uploader span.choose-file.sc-swc-file-uploader{color:var(--sfe-color-text-default-brand, #004ca6)}.sc-swc-file-uploader-h .drag-area.sc-swc-file-uploader small.formats.sc-swc-file-uploader{color:var(--sfe-color-text-default-secondary, rgba(0, 0, 0, 0.8));font-size:var(--sfe-typography-font-size-label-small, 0.75rem);line-height:14px}.sc-swc-file-uploader-h .drag-area.not-extended.sc-swc-file-uploader{display:flex;align-items:center;justify-content:center;padding:8px 16px;height:36px}.sc-swc-file-uploader-h .drag-area.not-extended.sc-swc-file-uploader div.drag-label.sc-swc-file-uploader{margin-top:0;margin-left:8px;white-space:nowrap}.sc-swc-file-uploader-h .basic-uploader.sc-swc-file-uploader{width:fit-content;height:42px;border-radius:var(--sfe-sizing-radius-default, 8px);border:1px solid var(--sfe-color-border-neutral-subtle, #dee3e7);background:var(--sfe-color-fill-surface, #fff);box-shadow:0 1px 2px 0 rgba(27, 36, 44, 0.12);padding:8px var(--sfe-sizing-gap-large, 16px);transition:border-color 0.5s ease}.sc-swc-file-uploader-h .basic-uploader.sc-swc-file-uploader:focus-visible{outline:2px solid var(--sfe-btn-color-border-solid-brand-hover, #206edd);outline-offset:1px}.sc-swc-file-uploader-h .basic-uploader.sc-swc-file-uploader:hover{border-color:var(--sfe-btn-color-border-solid-brand-hover, #206edd)}.sc-swc-file-uploader-h .basic-uploader.has-error.sc-swc-file-uploader{border:1px solid var(--sfe-color-border-critical-solid, #a22827)}.sc-swc-file-uploader-h .basic-uploader.has-error.sc-swc-file-uploader:focus-visible{outline:2px solid var(--sfe-color-non-semantic-content-blue-subtle, #1e50c0);outline-offset:1px}.sc-swc-file-uploader-h .basic-uploader.sc-swc-file-uploader .chooser.sc-swc-file-uploader{font-family:var(--sfe-typography-font-serif-font, Sora);font-size:var(--sfe-typography-font-size-label-default, 0.875rem);font-style:normal;font-weight:450;line-height:24px;letter-spacing:0.28px;color:var(--sfe-color-text-default-secondary, rgba(0, 0, 0, 0.8))}.sc-swc-file-uploader-h .sfe-light-blue.sc-swc-file-uploader{border:2px solid var(--sfe-color-border-brand-solid, #0064db);background:var(--sfe-color-fill-neutral-lightest, #f5f7f9)}.sc-swc-file-uploader-h .d-block.sc-swc-file-uploader{display:block}.sc-swc-file-uploader-h .d-flex.sc-swc-file-uploader{display:flex}.sc-swc-file-uploader-h .align-items-center.sc-swc-file-uploader{align-items:center}.sc-swc-file-uploader-h .justify-content-end.sc-swc-file-uploader{justify-content:flex-end}.sc-swc-file-uploader-h .justify-content-between.sc-swc-file-uploader{justify-content:space-between}";

const SwcFileUploader = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.uploadStart = createEvent(this, "uploadStart");
        this.uploadRetry = createEvent(this, "uploadRetry");
        this.uploadError = createEvent(this, "uploadError");
        this.fileChange = createEvent(this, "fileChange");
    }
    /**
     * disabled prop for the component
     */
    disabled = false;
    /**
     * extended prop for the main file component
     */
    extended = true;
    /**
     * thumbnail prop for the main file component
     */
    thumbnail = 'file';
    /**
     * inverted prop for the file component
     */
    inverted = false;
    /**
     * hasError prop for the file component
     */
    hasError = false;
    /**
     * progress prop for the file component
     */
    progress = 0;
    /**
     * multiple prop for the file component
     */
    multiple = false;
    /**
     * type prop for the component
     */
    type = 'draggable';
    /**
     * maxFileSize prop for the component
     */
    maxFileSize = 0.5;
    /**
     * maxFileSize prop for the component
     */
    accepts = [];
    uploadStart;
    uploadRetry;
    uploadError;
    fileChange;
    //reactive states
    fileInputRef;
    files = [];
    selectedFileIndex = null;
    //computed properties for the getter
    get fileDetails() {
        return this.files.map((file) => ({
            name: file.name,
            size: (file.size / 1024 / 1024).toFixed(2),
        }));
    }
    get formattedAcceptedFileTypes() {
        if (!Array.isArray(this.accepts) || this.accepts.length === 0)
            return '';
        const formattedTypes = this.accepts.map((type) => type.replace('.', '').toUpperCase());
        const lastType = formattedTypes.pop();
        return this.accepts.length === 1
            ? `${lastType}.`
            : `${formattedTypes.join(', ')} or ${lastType}.`;
    }
    get maxFileSizeInfo() {
        return this.maxFileSize ? `Max size of ${this.maxFileSize} MB` : '';
    }
    //methods for the main component
    resetInputValueToNull = (event) => {
        event.target.value = '';
    };
    replaceMultipleFile = (event) => {
        const targetEl = event.target;
        const newFile = targetEl.files ? targetEl.files[0] : null;
        if (newFile && this.selectedFileIndex !== null) {
            this.files = this.files.map((unit, index) => {
                return this.selectedFileIndex == index ? newFile : unit;
            });
            //   this.files[this.selectedFileIndex] = newFile
            this.selectedFileIndex = null;
        }
        this.resetInputValueToNull(event);
        this.checkMaxFileSize();
    };
    onChange = (e) => {
        this.uploadStart.emit();
        const files = this.fileInputRef?.files;
        const selectedFiles = files ? Array.from(files) : [];
        if (this.multiple && this.selectedFileIndex !== null && selectedFiles.length > 0) {
            this.replaceMultipleFile(e);
        }
        if (!this.multiple && selectedFiles.length > 1) {
            this.uploadError.emit('Only one file can be uploaded when multiple is disabled.');
            showToast('error', 'Error', 'Only one file can be uploaded when multiple is disabled.');
        }
        if (this.multiple) {
            this.files = [...this.files, ...selectedFiles];
        }
        else {
            this.files = selectedFiles;
        }
        this.checkMaxFileSize();
    };
    triggerFileInput = (event) => {
        event.preventDefault();
        this.fileInputRef.click();
    };
    dragOver = (event) => {
        event.preventDefault();
        const target = event.currentTarget;
        if (!target.classList.contains('sfe-light-blue') && !this.disabled) {
            target.classList.add('sfe-light-blue');
        }
    };
    dragLeave = (event) => {
        event.preventDefault();
        const targetEl = event.currentTarget;
        targetEl.classList.remove('sfe-light-blue');
    };
    drop = (event) => {
        event.preventDefault();
        if (this.disabled || !event.dataTransfer) {
            return;
        }
        this.fileInputRef.files = event.dataTransfer.files;
        this.onChange(event);
        event.currentTarget.classList.remove('sfe-light-blue');
    };
    checkMaxFileSize = () => {
        if (this.maxFileSize) {
            const validFiles = new Set(); // Use Set to avoid duplicates
            const invalidFiles = [];
            this.files.forEach((file) => {
                const fileSizeToMb = file.size / 1024 / 1024;
                if (fileSizeToMb > this.maxFileSize) {
                    invalidFiles.push(file);
                }
                else {
                    validFiles.add(file); // Use Set to prevent duplicates
                }
            });
            if (invalidFiles.length > 0) {
                this.uploadError.emit(`Some files exceed the size limit of ${this.maxFileSize} MB.`);
                showToast('error', 'Error', `The following files exceed the size limit of ${this.maxFileSize} MB: ${invalidFiles
                    .map((f) => f.name)
                    .join(', ')}`);
            }
            this.files = Array.from(validFiles); // Convert Set back to Array
            this.fileChange.emit(this.files);
        }
    };
    removeFile = (event) => {
        const index = event.detail;
        if (index > -1 && index < this.files.length) {
            this.files = this.files.filter((_, idx) => idx !== index);
            this.fileChange.emit(this.files);
        }
    };
    handleFileReplace = (event) => {
        const targetEl = event.target;
        const index = event.detail;
        this.selectedFileIndex = index;
        targetEl.value = '';
        this.triggerFileInput(event);
    };
    render() {
        return (h(Host, { key: '5b8f1317817b09d73001e2efe96a706d3142217b' }, h("div", { key: 'd2a316bb63816c9aeeaedbcee5654997af0a40e5', class: "d-block", "data-testid": "sfe-file-uploader" }, h("input", { key: '7b793e013c5f750bf663dce482a57f91878e3802', ref: (el) => (this.fileInputRef = el), type: "file", multiple: this.multiple, disabled: this.disabled, accept: this.accepts.join(','), style: { display: 'none' }, onClick: this.resetInputValueToNull, onChange: this.onChange }), (!this.multiple ? this.fileDetails.length === 0 : true) && (h("div", { key: '1df94eed18eb2a892965e690f34e157e21803af8' }, this.type === 'basic' && (h("button", { key: 'e15ef8b5a4099a0feea35b374221e339bfe4dad9', "aria-label": "choose file", disabled: this.disabled, class: {
                'basic-uploader': true,
                'has-error': this.hasError,
            }, onClick: this.triggerFileInput }, h("span", { key: '2d80dec21da3caeaf288ffd5afba5e846437882a', class: "chooser d-flex align-items-center" }, "Choose file..."))), this.type !== 'basic' && (h("button", { key: '378c375d885e9e423e9b993fbec8d9bf20f0e17e', class: {
                'drag-area': true,
                disabled: this.disabled,
                'not-extended': !this.extended,
                'has-error': this.hasError,
            }, disabled: this.disabled, onDragOver: this.dragOver, onDragLeave: this.dragLeave, onDrop: this.drop, onClick: this.triggerFileInput }, h("div", { key: '213248e981801fcd4d1dac5da33cf49de720f1cc' }, h("div", { key: '4bce68ad6ed1a0539c45d72bfbd34c14f6888239', class: "drag-label" }, "Drag & Drop or ", h("span", { key: 'dcda6f6118705077c22ad8bcc8b0280f24e04fc7', class: "choose-file" }, "Choose file"), " to upload"), this.extended && (h("small", { key: '8b202ccb67880af0cb34ee1c961bfb2f0d04d66e', class: "formats" }, this.formattedAcceptedFileTypes, " ", this.maxFileSizeInfo))))))), !this.multiple && this.fileDetails.length > 0 && (h("swc-single-file", { key: '66802e4f304e69416141ef3535736f827420d16f', inverted: this.inverted, hasError: this.hasError, fileInfo: this.files, extended: this.extended, thumbnail: this.thumbnail, progress: this.progress, onUpdateRemove: this.removeFile, onUpdateReplace: this.triggerFileInput, onUploadRetry: () => this.uploadRetry.emit() })), this.multiple && this.fileDetails.length > 0 && (h("swc-multiple-file", { key: '09f2edbf03545065e94d4a62be57c704498bb811', inverted: this.inverted, hasError: this.hasError, fileInfo: this.files, progress: this.progress, onUpdateRemove: this.removeFile, onUpdateReplace: this.handleFileReplace, onUploadRetry: () => this.uploadRetry.emit() })))));
    }
};
SwcFileUploader.style = swcFileUploaderCss;

export { SwcFileUploader as swc_file_uploader };
//# sourceMappingURL=swc-file-uploader.entry.js.map

//# sourceMappingURL=swc-file-uploader.entry.js.map