import { r as registerInstance, c as createEvent, h } from './index-DnIVQjp-.js';

const swcSidePanelCss = ".sfe-side-panel.sc-swc-side-panel{display:flex;flex-direction:column;height:100vh;background-color:white;position:fixed;top:0;bottom:0}.sfe-side-panel--right.sc-swc-side-panel{right:0;animation:slide-left 0.3s ease}.sfe-side-panel--left.sc-swc-side-panel{left:0;animation:slide-right 0.3s ease}.sfe-side-panel--sm.sc-swc-side-panel{width:360px}.sfe-side-panel--md.sc-swc-side-panel{width:480px}.sfe-side-panel--lg.sc-swc-side-panel{width:640px}.sfe-side-panel__header.sc-swc-side-panel{display:flex;justify-content:space-between;align-items:center;padding:1em;border-bottom:1px solid #ccc}.sfe-side-panel__title.sc-swc-side-panel{font-size:1rem;font-weight:500;margin:0}.sfe-side-panel__description.sc-swc-side-panel{font-size:0.875rem;color:gray;margin:0}.sfe-side-panel__body.sc-swc-side-panel{padding:1em;overflow-y:auto}.sfe-side-panel__footer.sc-swc-side-panel{padding:1em;margin:auto auto 2em 0;text-align:right}@keyframes slide-left{from{opacity:0;transform:translateX(50%)}}@keyframes slide-right{from{opacity:0;transform:translateX(-50%)}}";

const SwcSidePanel = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.closeModal = createEvent(this, "closeModal");
    }
    isModalOpen = false;
    closeOnEsc = true;
    closeOnOverlayClick = true;
    size = 'sm';
    position = 'right';
    closeModal;
    closeDialog = () => {
        this.closeModal.emit();
    };
    render() {
        return (h("swc-modal-root", { key: '6e6516920cf4caadbe65dbd5a2da26536d890da5', isModalOpen: this.isModalOpen, closeOnEsc: this.closeOnEsc, closeOnOverlayClick: this.closeOnOverlayClick, onCloseModal: this.closeDialog }, h("div", { key: '5e3d1008c9da9c0a1434bec5cdc936bc0b9b045d', class: `sfe-side-panel sfe-side-panel--${this.position} sfe-side-panel--${this.size}` }, h("header", { key: 'ded7658ba87e57ac1d241bab33fc5b6b96e284e7', class: "sfe-side-panel__header" }, h("div", { key: '7404972734e9639244f0aaac153d7e1b473c4645' }, h("h3", { key: '6ae3f8784d49b3e688276c1563ec02cb3ebb46b5', class: "sfe-side-panel__title" }, h("slot", { key: '9c3bdea24469936154c8085a78a25f8b2cf8a0f9', name: "title" })), h("p", { key: '67a94efd74ecad2c5324b6a542d602939f07a0c6', class: "sfe-side-panel__description" }, h("slot", { key: 'a5e769fe6a40e24d6b3206db34f69f0e5acf9857', name: "description" }))), h("swc-button", { key: '549e798ab7f0d4923097d37134fd15a50a6f4a20', round: true, intent: "neutral", variant: "bare", size: "md", "aria-label": "Close", onClick: this.closeDialog }, "\u00D7")), h("section", { key: '3d623f13c4e03169ed3d6cf043c442c53664fd75', class: "sfe-side-panel__body" }, h("slot", { key: '4c4c49b059420130b5fb958c5a00d8c7e74cf428', name: "body" })), h("footer", { key: 'e982fa7b3ea19f9aa0dafdc71ce98d138b5c7c9c', class: "sfe-side-panel__footer" }, h("slot", { key: 'f757c8a5e9fbd4e479095315de1af4abfcd18ad8', name: "footer" })))));
    }
};
SwcSidePanel.style = swcSidePanelCss;

export { SwcSidePanel as swc_side_panel };
//# sourceMappingURL=swc-side-panel.entry.js.map

//# sourceMappingURL=swc-side-panel.entry.js.map