import { r as registerInstance, c as createEvent, g as getElement, h } from './index-DnIVQjp-.js';
import { u as useId } from './utils-Dcu5mHhz.js';

const swcStepperCss = ".sfe-stepper.sc-swc-stepper{display:inline-flex;position:relative}.sfe-stepper.vertical.sc-swc-stepper{flex-direction:column}";

const SwcStepper = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.stepChanged = createEvent(this, "stepChanged");
    }
    get hostElement() { return getElement(this); }
    /**
     * orientation of the stepper
     */
    orientation = 'horizontal';
    /**
     * index of the active step
     */
    activeIndex = 0;
    /**
     * show checkmark on completed steps
     */
    withCheckmark = true;
    /**
     * size of the lines in the stepper
     */
    lineSize = '150px';
    /**
     * event emitted when the active step changes
     */
    stepChanged;
    stepItemIds = [];
    provide = () => {
        const stepItems = this.hostElement.querySelectorAll('swc-stepper-item');
        stepItems.forEach((item, index) => {
            item.activeIndex = this.activeIndex;
            item.orientation = this.orientation;
            item.withCheckmark = this.withCheckmark;
            item.lineSize = this.lineSize;
            item.index = index;
            item.isLastItem = index === stepItems.length - 1;
            item.idProp = useId().generate(`sfe-stepper-item-${index}`);
            this.stepItemIds.push(item.idProp);
        });
    };
    render() {
        this.provide();
        return (h("div", { key: '999ba23126083745abe1c6f264a39180a8e2b2d6', "aria-orientation": this.orientation, class: `sfe-stepper ${this.orientation}`, "data-testid": "sfe-stepper" }, h("slot", { key: '8e319fa57545684421c986546ab3206d5d7e42d6' })));
    }
};
SwcStepper.style = swcStepperCss;

export { SwcStepper as swc_stepper };
//# sourceMappingURL=swc-stepper.entry.js.map

//# sourceMappingURL=swc-stepper.entry.js.map