export declare class SwcAccordionItem {
    /**
     * Is used to provide a unique value for the item. If this value is equal to
     * the defaultValue prop on SfeAccordion, then this item
     * will be open by default on page load
     */
    value: string;
    /**
     * Is used to specify which item should be open by default on page load
     *
     * @internal
     */
    defaultValue: string;
    /**
     * headerClass of the component
     * @internal
     */
    AccordionHeaderClass: string;
    /**
     * allowMultiple internal prop of the component
     * @internal
     */
    AllowMultiple?: boolean;
    /**
     * accrodionVariant prop of the component
     * @internal
     */
    variant?: string;
    /**
     * accrodionVariant prop of the component
     * @internal
     */
    ActiveIdsProp: {
        activeIds: string[];
        toggleActiveId: (id: string) => void;
    };
    /**
     * determines if a radio button should be displayed on the accordion header
     * @internal
     */
    hasRadioButton: boolean;
    /**
     * determines if a left border should be rendered when the accordion is open
     * @internal
     */
    hasLeftBorder: boolean;
    private contentId;
    private headerId;
    private componentId;
    reloadComp: boolean;
    accordionItemRef?: HTMLElement;
    accordionItemsHost: HTMLSwcAccordionItemElement;
    private get isContentVisible();
    private toggleContentVisibility;
    componentWillLoad(): void;
    render(): any;
}
