import { shape, size, status } from '../types';
export declare class SwcAvatar {
    /**
     * The image src attribute
     */
    src: string;
    /**
     * The image alt attribute
     */
    alt: string;
    /**
     * The avatar size
     */
    size: size;
    /**
     * The status of the avatar
     */
    status: status;
    /**
     * The initials to be displayed on the avatar
     */
    initials: string;
    /**
     * The shape of the avatar
     */
    shape: shape;
    hasImageLoaded: boolean;
    get itemToRender(): "icon" | "image" | "initials";
    get statusPosition(): {
        bottom: string;
        right: string;
    };
    private randomBgInitialsColorsCount;
    private randomBgIconColorsCount;
    private initialsBgColor;
    private iconBgColor;
    private handleError;
    private handleLoad;
    render(): any;
}
