import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcFileUploader {
    /**
     * disabled prop for the component
     */
    disabled: boolean;
    /**
     * extended prop for the main file component
     */
    extended: boolean;
    /**
     * thumbnail prop for the main file component
     */
    thumbnail: 'none' | 'file' | 'photo';
    /**
     * inverted prop for the file component
     */
    inverted: boolean;
    /**
     * hasError prop for the file component
     */
    hasError: boolean;
    /**
     * progress prop for the file component
     */
    progress: number | number;
    /**
     * multiple prop for the file component
     */
    multiple: boolean;
    /**
     * type prop for the component
     */
    type: 'draggable' | 'basic';
    /**
     * maxFileSize prop for the component
     */
    maxFileSize: number;
    /**
     * maxFileSize prop for the component
     */
    accepts: any[];
    uploadStart: EventEmitter<null>;
    uploadRetry: EventEmitter<null>;
    uploadError: EventEmitter<string>;
    fileChange: EventEmitter<File[]>;
    private fileInputRef?;
    files: File[];
    selectedFileIndex: null;
    private get fileDetails();
    private get formattedAcceptedFileTypes();
    private get maxFileSizeInfo();
    private resetInputValueToNull;
    private replaceMultipleFile;
    private onChange;
    private triggerFileInput;
    private dragOver;
    private dragLeave;
    private drop;
    private checkMaxFileSize;
    private removeFile;
    private handleFileReplace;
    render(): any;
}
