import { EventEmitter } from '../../../../stencil-public-runtime';
export interface ModuleDetails {
    title: string;
    description: string;
}
export declare class SwcSidebarHeader {
    /**
     * Current module name
     */
    module: string;
    /**
     * List of available modules
     */
    modulesList: ModuleDetails[];
    /**
     * Whether modules can be switched
     */
    canSwitchModules: boolean;
    /**
     * Event emitted when a module is switched
     */
    switchModule: EventEmitter<string>;
    /**
     * Event emitted when the sidebar is collapsed
     */
    isCurrentModule(index: number): Promise<boolean>;
    private handleModuleSwitch;
    private toggleCollapsed;
    render(): any;
}
