import { EventEmitter } from '../../../../stencil-public-runtime';
export declare class SwcSidebarOption {
    el: HTMLSwcSidebarOptionElement;
    /**
     * Whether this option has nested sections
     */
    hasSections: boolean;
    /**
     * Whether this is a subsection
     */
    isSubsection: boolean;
    /**
     * Title of the option
     */
    sidebarTitle: string;
    /**
     * Whether this option is active
     */
    isActive: boolean;
    /**
     * Nesting level
     */
    level: number;
    /**
     * Icon name
     */
    iconName: string;
    /**
     * Icon variant
     */
    iconVariant: string;
    /**
     * Unique identifier for this option
     */
    optionId: string;
    /**
     * Event emitted when option is selected
     */
    selectOption: EventEmitter<void>;
    showDropdown: boolean;
    childHeight: string;
    private childRef;
    private uniqueId;
    handleStoreChange(): void;
    handleSidebarCollapsed(): void;
    connectedCallback(): void;
    componentDidLoad(): void;
    toggleDropdown: () => void;
    getLastSubsectionItem(): HTMLElement | null;
    getSidebarOptionHeight(element: HTMLElement): number;
    addClickListenerToLastSubsection(lastSubsectionItem: HTMLElement): void;
    handleSelection: () => Promise<void>;
    render(): any;
}
