import { EventEmitter } from '../../../stencil-public-runtime';
import { Option } from '../types';
export declare class SwcList {
    /**
     * width of the list
     */
    width: string;
    /**
     * selection for the component
     */
    selection?: Option;
    /**
     * options
     */
    options?: Option[];
    /**
     * searchable prop to allow searching the list or not
     */
    searchable?: boolean;
    /**
     * placeholder text for the search field
     */
    placeholder?: string;
    /**
     * loading prop on the component rendering
     */
    loading?: boolean;
    /**
     * maxheight for the component
     */
    maxHeight?: string;
    customClass?: string;
    /**
     * registering the search:query event for the component
     */
    searchQuery: EventEmitter<string>;
    /**
     * registering update:selection event for updating the selected option
     */
    updateSelection: EventEmitter<Option>;
    hoveredItem: HTMLElement | null;
    searchQueryValue: string;
    el: HTMLSwcListElement;
    /**
    * if (!props.options || (Array.isArray(props.options) && props.options.length === 0)) return []
  
    return props.options.filter((option) => {
      return option.label.toLowerCase().includes(searchQuery.value.toLowerCase())
    })
    */
    private get showEmptyState();
    private get searchResult();
    private get listedItem();
    private handleSelection;
    private handleMouseLeave;
    private handleMouseover;
    private handleKeydown;
    private handleInputChange;
    handleInputEventChange(event: CustomEvent): void;
    render(): any;
}
