import { EventEmitter } from '../../../stencil-public-runtime';
export type Option = {
    value: string | number;
    label: string;
    disabled?: boolean;
};
export declare class SwcMultiSelect {
    /**
     * selectedOptions the list item
     */
    selectedOptions: Option[];
    /**
     * original options
     */
    originalOptions: Option[];
    /**
     * filtered options when search is applied
     */
    filteredOptions: Option[];
    /**
     * placeholder the list items
     */
    placeholder: string;
    /**
     * searchable the list items
     */
    searchable: boolean;
    /**
     * loading state
     */
    loading: boolean;
    /**
     * width the list items
     */
    width: string;
    /**
     * maxHeight the list items
     */
    maxHeight: string;
    /**
     * clearable the list items
     */
    clearable: boolean;
    /**
     * flip the list items
     */
    flip: boolean;
    /**
     * usingFooterSlot the list items
     */
    usingFooterSlot?: boolean;
    /**
     * multiple the list items
     */
    multiple: boolean;
    /**
     * showCheckbox prop the element
     */
    showCheckbox: boolean;
    /**
     * Event emitted when the search query changes
     */
    searchQuery: EventEmitter<string>;
    /**
     * Event emitted when the selection changes
     */
    select: EventEmitter<Option>;
    /**
     * Event emitted when the all is selected
     */
    selectAll: EventEmitter<Option | boolean>;
    /**
     * Event emitted when the selection is cleared
     */
    clearedSelection: EventEmitter<null>;
    /**
     * Event emitted when the selection is grouped
     */
    groupSelection: EventEmitter<boolean>;
    isAllSelected: boolean;
    shouldGroupSelections: boolean;
    isOpen: boolean;
    isAllSelectedHandler(newValue: boolean): void;
    groupSelectionHandler(newValue: boolean): void;
    selectedOptionsHandler(newValue: Option[]): void;
    private get selectedOptionsLabel();
    private get isIndeterminate();
    hostEl: HTMLSwcMultiSelectElement;
    private buttonRef;
    private dropdownRef;
    private handleClearSelection;
    private cleanupAutoUpdate;
    private toggleDropdown;
    private updatePosition;
    private handleKeydown;
    disconnectedCallback(): void;
    connectedCallback(): void;
    render(): any;
}
