import { EventEmitter } from '../../../stencil-public-runtime';
export type Option = {
    value: string | number;
    label: string;
    disabled?: boolean;
};
export declare class SwcOption {
    /**
     * disabled prop for the option field
     */
    disabled?: boolean;
    /**
     * value prop for the option field
     */
    value: string | number;
    /**
     * label prop
     */
    label: string;
    /**
     * selectedOption Prop internal
     */
    SelectedOptions?: Option | Option[];
    /**
     *  Event emitted in the component
     */
    select: EventEmitter<{
        value: string | number;
        label: string;
    }>;
    /**
     * Event emitted to close the dropdown menu
     */
    closeDropdown: EventEmitter;
    private get allowMultiple();
    private get isSelected();
    private handleClick;
    render(): any;
}
