import { EventEmitter } from '../../../stencil-public-runtime';
import { selectedValue, Option } from '../type';
export declare class SwcSelect {
    /**
     * the selection prop for the two data binding
     */
    value: string | number | any[];
    /**
     * options the list items
     */
    options: Option[];
    /**
     * placeholder the list items
     */
    placeholder: string;
    /**
     * searchable the list items
     */
    searchable: boolean;
    /**
     * loading state
     */
    loading: boolean;
    /**
     * width the list items
     */
    width: string;
    /**
     * maxHeight the list items
     */
    maxHeight: string;
    /**
     * clearable the list items
     */
    clearable: boolean;
    /**
     * flip the list items
     */
    flip: boolean;
    /**
     * multiple the list items
     */
    multiple: boolean;
    /**
     * showCheckbox prop the element
     */
    showCheckbox: boolean;
    searchQuery: EventEmitter<string>;
    changeSelection: EventEmitter<selectedValue>;
    clearedSelection: EventEmitter<null>;
    groupSelection: EventEmitter<boolean>;
    updateSelectedOptions: EventEmitter<Option[]>;
    updateSelectedOption: EventEmitter<Option>;
    selectHostEl: HTMLSwcSelectElement;
    derivedOptions: Option[];
    shouldGroupSelections: boolean;
    searchQueryVal: string;
    searchQueryHandler(newValue: string): void;
    componentDidLoad(): void;
    private get filteredOptions();
    private get selectedOptions();
    private get selectedOption();
    private handleSelection;
    private handleClearSelection;
    private handleGroupSelections;
    private handleSelectAll;
    render(): any;
}
