import { EventEmitter } from '../../../stencil-public-runtime';
export type Option = {
    value: string | number;
    label: string;
    disabled?: boolean;
};
export declare class SwcSingleSelect {
    /**
     * selectedOption the list item
     */
    selectedOption?: Option;
    /**
     * options the list items
     */
    options: Option[];
    /**
     * placeholder the list items
     */
    placeholder: string;
    /**
     * searchable the list items
     */
    searchable: boolean;
    /**
     * loading state
     */
    loading: boolean;
    /**
     * width the list items
     */
    width: string;
    /**
     * maxHeight the list items
     */
    maxHeight: string;
    /**
     * clearable the list items
     */
    clearable: boolean;
    /**
     * flip the list items
     */
    flip: boolean;
    /**
     * multiple the list items
     */
    multiple: boolean;
    /**
     * showCheckbox prop the element
     */
    showCheckbox: boolean;
    /**
     * Emitted when a user searches for an option
     */
    searchQuery: EventEmitter<string>;
    /**
     * Emitted when an option is selected
     */
    select: EventEmitter<Option>;
    /**
     * Emitted when the clear icon button is clicked
     */
    clearedSelection: EventEmitter<null>;
    private get selectedOptionLabel();
    private get selectedOptions();
    private handleClearSelection;
    private handleOptionSelection;
    isOpen: boolean;
    private buttonRef;
    private dropdownRef;
    hostEl: HTMLSwcSingleSelectElement;
    private cleanupAutoUpdate;
    private toggleDropdown;
    private updatePosition;
    private handleKeydown;
    closeDropdownMenu(): void;
    disconnectedCallback(): void;
    connectedCallback(): void;
    render(): any;
}
