import { EventEmitter } from '../../../stencil-public-runtime';
import { orientation, size, variant } from '../types';
export declare class SwcTabTrigger {
    /**
     * Emitted when the trigger is clicked
     * @internal
     */
    updateActiveTab: EventEmitter<string>;
    /**
     * the value of the tab
     */
    value: string;
    /**
     * the disabled state of the tab
     */
    disabled: boolean;
    /**
     * the active tab of the tabs
     * @internal
     */
    activeTab: string;
    /**
     * the orientation of the tab
     * @internal
     */
    orientation: orientation;
    /**
     * the variant of the tab
     * @internal
     */
    variant: variant;
    /**
     * the size of the tab
     * @internal
     */
    size: size;
    /**
     * the id of the tab trigger
     */
    idProp: string;
    /**
     * ids of the tab contents associated with this trigger
     * @internal
     */
    tabContentIds: string[];
    /**
     * a unique class name for all the tab triggers within a tabs instance
     * @internal
     */
    tabClass: string;
    get tabContentId(): string;
    private handleClick;
    render(): any;
}
