import { EventEmitter } from '../../../stencil-public-runtime';
import { orientation, size, variant } from '../types';
export declare class SwcTabs {
    hostElement: HTMLSwcTabsElement;
    /**
     * emitted when active tab changes
     */
    viewActiveTab: EventEmitter<string>;
    /**
     * value of the default tab
     */
    defaultTab: string;
    /**
     * variant of the tabs
     */
    variant: variant;
    /**
     * orientation of the tabs.
     * Vertical orientation only applies to underline variant.
     */
    orientation: orientation;
    /**
     * size of the tabs
     */
    size: size;
    activeTab: string;
    tabTriggerIds: string[];
    tabContentIds: string[];
    tabClass: string;
    /**
     * injects data into the child components within its instance
     */
    private provide;
    private handleKeydown;
    handleUpdateActiveTab(event: CustomEvent<string>): void;
    componentWillLoad(): void;
    render(): any;
}
