import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcTourGuideStep {
    /**
     * title of the tour step
     */
    heading: string;
    /**
     * content of the tour step
     */
    content: string;
    /**
     * determines whether the tour step should be dismissed
     */
    dismissible: boolean;
    /**
     * determines whether there is a previous step
     */
    hasPrevious: boolean;
    /**
     * determines whether there is a next step
     */
    hasNext: boolean;
    /**
     * determines whether the tour step is the last step
     */
    isLastStep: boolean;
    /**
     * the position of the current tour step
     */
    currentIndex: number;
    /**
     * the number of steps in the tour guide
     */
    numberOfSteps: number;
    /**
     * determines whether the tour should begin
     */
    startTour: boolean;
    /**
     * variant of the tour guide
     */
    variant: 'light' | 'brand';
    /**
     * emitted when the previous button is clicked
     */
    viewPrevious: EventEmitter;
    /**
     * emitted when the next button is clicked
     */
    viewNext: EventEmitter;
    /**
     * emitted when the next button is clicked
     */
    dismissTour: EventEmitter;
    /**
     * emitted when the next button is clicked
     */
    endTour: EventEmitter;
    private handleDismissTour;
    private handleNext;
    private handlePrevious;
    private handleEndTour;
    render(): any;
}
