import { EventEmitter } from '../../../stencil-public-runtime';
import { type Placement } from 'tippy.js';
/**
 const emit = defineEmits(['view:previous', 'view:next', 'dismiss:tour', 'end:tour'])
 */
export declare class SwcTourGuide {
    hostElement: HTMLSwcTourGuideElement;
    /**
     * determines whether the tour should begin
     */
    startTour: boolean;
    /**
     * determines whether the tour can be dismissed
     */
    dismissible: boolean;
    /**
     * determines whether an overlay should be displayed
     */
    useModalOverlay: boolean;
    /**
     * determines whether a tour step should be highlighted
     */
    useHighlightSteps: boolean;
    /**
     * determines whether an arrow should be displayed
     */
    showArrow: boolean;
    /**
     * variant of the tour guide
     */
    variant: 'light' | 'brand';
    /**
     * steps for the tour guide
     */
    steps: {
        cssSelector: string;
        title: string;
        content: string;
        position?: Placement;
    }[];
    /**
     * emitted when the previous button is clicked
     */
    viewPrevious: EventEmitter;
    /**
     * emitted when the next button is clicked
     */
    viewNext: EventEmitter;
    /**
     * emitted when the next button is clicked
     */
    dismissTour: EventEmitter;
    /**
     * emitted when the next button is clicked
     */
    endTour: EventEmitter;
    instance: any;
    currentIndex: number;
    private activeNode;
    private contentRef;
    get currentStep(): {
        cssSelector: string;
        title: string;
        content: string;
        position?: Placement;
    };
    get hasPrevious(): boolean;
    get hasNext(): boolean;
    private viewPreviousStep;
    private viewNextStep;
    private handleDismissTour;
    private handleEndTour;
    private hideTour;
    private getAllParentElements;
    private reInitialize;
    private highlightStep;
    private removeHighlight;
    startTourHandler(newValue: boolean): void;
    private init;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    render(): any;
}
