import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcButton {
    /**
     * the intent of the button
     */
    intent: 'brand' | 'neutral' | 'critical' | 'positive' | 'inverse';
    /**
     * the variant of the button
     */
    variant: 'solid' | 'outline' | 'faded' | 'ghost' | 'bare';
    /**
     * the size of the button
     */
    size: 'xs' | 'sm' | 'md' | 'lg';
    /**
     * width of the button
     */
    width: string;
    /**
     * determines whether the button is disabled
     */
    disabled: boolean;
    /**
     * the type of the button
     */
    type: 'submit' | 'reset' | 'button';
    /**
     * determines whether the button should be round in shape
     */
    round: boolean;
    /**
     * determines whether the button is an icon button
     * @internal
     */
    isIcon: boolean;
    customClass: string;
    /**
     * event emitted when the button is focused
     */
    focus: EventEmitter<void>;
    private handleFocus;
    render(): any;
}
