import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcIconButton {
    /**
     * disabled state of the icon button
     */
    disabled: boolean;
    /**
     * size of the icon button
     */
    size: 'sm' | 'md' | 'lg';
    /**
     * intent of the icon button
     */
    intent?: 'brand' | 'neutral' | 'critical' | 'positive' | 'inverse';
    /**
     * variant of the icon button
     */
    variant: 'solid' | 'outline' | 'faded' | 'ghost' | 'bare';
    /**
     * aria label attribute
     */
    arialLabel?: string;
    /**
     * determines whether the icon should be round in shape
     */
    round: boolean;
    /**
     * emitted when the icon button is focused
     */
    focused: EventEmitter<void>;
    private handleFocus;
    render(): any;
}
