import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcAlert {
    hostElement: HTMLSwcAlertElement;
    /** Display message */
    message: string;
    /** Intent: solid | subtle */
    intent: 'solid' | 'subtle';
    /** Variant: info | error | success | warning */
    variant: 'info' | 'error' | 'success' | 'warning';
    /** Position: top | bottom */
    position: 'top' | 'bottom';
    isVisible: boolean;
    /** Aria label for dismiss button */
    iconButtonAriaLabel: string;
    alertDismissed: EventEmitter<void>;
    alertIcon: {
        name?: string;
        color?: string;
        variant?: string;
    } | null;
    dismissIconColor: string;
    private handlePropChange;
    show(): Promise<void>;
    hide(): Promise<void>;
    private computeAlertIcon;
    private computeDismissIconColor;
    private dismissAlert;
    componentWillLoad(): void;
    render(): any;
}
