import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcInput {
    /**
     * variant of the input
     */
    variant: 'outline' | 'faded' | 'ghost' | 'inline';
    /**
     * determines whether a clear icon should be displayed
     */
    clearable?: boolean;
    /**
     * determines whether the input has error
     */
    hasError?: boolean;
    /**
     * determines whether the input is disabled
     */
    disabled?: boolean;
    /**
     * the class name of the input container
     */
    containerClass?: string;
    /**
     * default value of the input
     */
    value: string;
    /**
     * handleInputChange
     */
    handleInputChange: (value: string) => void;
    /**
     * default value of the input
     */
    placeholder?: string;
    /**
     * type prop
     */
    type?: string;
    hostElement: HTMLSwcInputElement;
    /**
     * change event
     */
    change: EventEmitter<HTMLInputElement>;
    private handleInput;
    private clearInput;
    private get className();
    private get showClearable();
    get searchInput(): "" | "search";
    render(): any;
}
