export declare class SwcLabel {
    /**
     * determines whether text field the label describes is a required field
     */
    required: boolean;
    /**
     * determines whether text field the label describes is disabled
     */
    disabled: boolean;
    /**
     * size of the label
     */
    size: 'xs' | 'sm' | 'md' | 'lg';
    /**
     * determines whether the label emphasizes the field's content
     */
    emphasis: 'subtle' | 'solid';
    /**
     * position of the label's caption
     */
    captionPlacement: 'vertical' | 'horizontal';
    /**
     * determines whether to show the icon in the label
     */
    showLabelIcon: boolean;
    /**
     * for attribute
     */
    for: string;
    private get labelClasses();
    private get captionClasses();
    render(): any;
}
