import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcTagsInput {
    /**
     * an array of tags
     */
    value: string[];
    /**
     * maximum number of of tags to accept on the input
     */
    max: number;
    /**
     * Placeholder text for the input
     */
    placeholder: string;
    /**
     * disabled state
     */
    disabled: boolean;
    /**
     * error state
     */
    hasError: boolean;
    newTag: string;
    isFocused: boolean;
    focusedTagIndex: number | null;
    tags: string[];
    /**
     * event fired when the input changes
     */
    handleChange: EventEmitter<string[]>;
    private addTag;
    private removeTag;
    private handleBackspace;
    private handleClickTagRemoval;
    private handleFocus;
    private handleBlur;
    private handleKeyDown;
    private handleInputChange;
    valueChangeHandler(newValue: string[]): void;
    tagsChangeHandler(newValue: string[]): void;
    componentWillLoad(): void;
    render(): any;
}
