import { ToastPositions, ToastTypes } from './types';
export declare class SwcToast {
    /**
     * toast type
     */
    type: ToastTypes;
    /**
     * toast position
     */
    position: ToastPositions;
    /**
     * title of the toast
     */
    _title: string;
    /**
     * message of the toast
     */
    message: string;
    /**
     * duration of the toast in milliseconds
     */
    timeout: number;
    /**
     * determines whether the title should be displayed
     */
    showTitle: boolean;
    /**
     * determines whether the toast can be dismissed
     */
    dismissible: boolean;
    /**
     * determines whether the toast is visible
     */
    isVisible: boolean;
    /**
     * timeout id from setTimeout function
     */
    timeoutId: ReturnType<typeof setTimeout>;
    private transitionDuration;
    get resolvedStyle(): {
        config: {
            titleColor: string;
            borderLeftColor: string;
            subtleBgColor: string;
            icon: string;
            iconColor: string;
        } | {
            titleColor: string;
            borderLeftColor: string;
            subtleBgColor: string;
            icon: string;
            iconColor: string;
        } | {
            titleColor: string;
            borderLeftColor: string;
            subtleBgColor: string;
            icon: string;
            iconColor: string;
        } | {
            titleColor: string;
            borderLeftColor: string;
            subtleBgColor: string;
            icon: string;
            iconColor: string;
        };
        styles: {
            'background-color': string;
            'inline-size': string;
            'padding-inline': string;
            'border-left-width': string;
        };
    };
    /**
     * show toast
     */
    showToast(): Promise<void>;
    /**
     * hide toast
     */
    private hideToast;
    /**
     * resets the toast state
     */
    reset(): Promise<void>;
    render(): any;
}
