import { Placement } from 'tippy.js';
export declare class SwcTooltip {
    /**
     * content of the tooltip which is a string display when the tooltip appears, default value is empty string
     */
    content: string;
    /**
     * showArrow determine if the tooltip will display arrow pointer or not
     */
    showArrow: boolean;
    /**
     * showContent determines if the content of the tooltip should be shown
     */
    showContent: boolean;
    /**
     * interactive is prop set for the initialization of the tippy.js instance object, it virtually makes the tooltip interactive
     */
    interactive: boolean;
    /**
     * variant determines the display type and color of the tooltip, either light or brand
     */
    variant: 'light' | 'brand';
    /**
     * position tells the placement of the tooltip in relation to the trigger element
     */
    position: Placement;
    private triggerId;
    tooltipId: string;
    hostEl: HTMLSwcTooltipElement;
    private initTooltip;
    get computedTooltipContent(): string | undefined;
    componentDidLoad(): void;
    render(): any;
}
