export declare const format: (first?: string, middle?: string, last?: string) => string;
/**
 * Use this function only when shadow is set to true in a component @shrfe/styles is needed
 *
 * @param tag The component's tag used as html element
 */
export declare const loadShrStyles: (tag: string) => void;
export declare const useId: () => {
    generate: (prefix?: string) => string;
};
export declare const hasNamedSlot: (el: HTMLElement, slotName: string) => boolean;
/**
 * Checks if the component has content in its default slot.
 * @param el - The host element (usually `this` in a Stencil component).
 * @returns `true` if content exists in the default slot.
 */
export declare const hasDefaultSlot: (el: HTMLElement) => boolean;
/**
 * Detects clicks or touches outside a specified element and invokes a callback.
 * @param element - The element to monitor for outside interactions.
 * @param callback - The function to call when an outside interaction is detected.
 * @returns A cleanup function to remove the event listeners.
 */
export declare function onClickOutside(element: HTMLElement, callback: (event: MouseEvent | TouchEvent) => void): () => void;
