# swc-file-uploader

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute       | Description                                | Type                          | Default       |
| ------------- | --------------- | ------------------------------------------ | ----------------------------- | ------------- |
| `accepts`     | `accepts`       | maxFileSize prop for the component         | `any[]`                       | `[]`          |
| `disabled`    | `disabled`      | disabled prop for the component            | `boolean`                     | `false`       |
| `extended`    | `extended`      | extended prop for the main file component  | `boolean`                     | `true`        |
| `hasError`    | `has-error`     | hasError prop for the file component       | `boolean`                     | `false`       |
| `inverted`    | `inverted`      | inverted prop for the file component       | `boolean`                     | `false`       |
| `maxFileSize` | `max-file-size` | maxFileSize prop for the component         | `number`                      | `0.5`         |
| `multiple`    | `multiple`      | multiple prop for the file component       | `boolean`                     | `false`       |
| `progress`    | `progress`      | progress prop for the file component       | `number`                      | `0`           |
| `thumbnail`   | `thumbnail`     | thumbnail prop for the main file component | `"file" \| "none" \| "photo"` | `'file'`      |
| `type`        | `type`          | type prop for the component                | `"basic" \| "draggable"`      | `'draggable'` |

## Events

| Event         | Description | Type                  |
| ------------- | ----------- | --------------------- |
| `fileChange`  |             | `CustomEvent<File[]>` |
| `uploadError` |             | `CustomEvent<string>` |
| `uploadRetry` |             | `CustomEvent<null>`   |
| `uploadStart` |             | `CustomEvent<null>`   |

## Dependencies

### Depends on

- [swc-single-file](../swc-single-file)
- [swc-multiple-file](../swc-multiple-file)

### Graph

```mermaid
graph TD;
  swc-file-uploader --> swc-single-file
  swc-file-uploader --> swc-multiple-file
  swc-single-file --> swc-svg-icon
  swc-single-file --> swc-progress
  swc-single-file --> swc-button
  swc-single-file --> swc-icon-button
  swc-icon-button --> swc-button
  swc-multiple-file --> swc-button
  swc-multiple-file --> swc-icon-button
  swc-multiple-file --> swc-svg-icon
  swc-multiple-file --> swc-progress
  style swc-file-uploader fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
