# swc-multiple-file

<!-- Auto Generated Below -->

## Properties

| Property   | Attribute   | Description                                 | Type      | Default                                     |
| ---------- | ----------- | ------------------------------------------- | --------- | ------------------------------------------- |
| `fileInfo` | `file-info` | fileInfo prop for the component             | `File[]`  | `[]`                                        |
| `hasError` | `has-error` | hasError prop for the single file component | `boolean` | `false`                                     |
| `inverted` | `inverted`  | inverted prop for the single file component | `boolean` | `false`                                     |
| `progress` | `progress`  | progress prop for the single file component | `number`  | `0`                                         |
| `uniqueId` | `unique-id` | uniqueId prop for the single file component | `string`  | `` `multiple-file-${useId().generate()}` `` |

## Events

| Event           | Description | Type                  |
| --------------- | ----------- | --------------------- |
| `updateRemove`  |             | `CustomEvent<number>` |
| `updateReplace` |             | `CustomEvent<number>` |
| `uploadRetry`   |             | `CustomEvent<null>`   |

## Dependencies

### Used by

- [swc-file-uploader](../swc-file-uploader)

### Depends on

- [swc-button](../../button/swc-button)
- [swc-icon-button](../../button/swc-icon-button)
- [swc-svg-icon](../../swc-svg-icon)
- [swc-progress](../../swc-progress)

### Graph

```mermaid
graph TD;
  swc-multiple-file --> swc-button
  swc-multiple-file --> swc-icon-button
  swc-multiple-file --> swc-svg-icon
  swc-multiple-file --> swc-progress
  swc-icon-button --> swc-button
  swc-file-uploader --> swc-multiple-file
  style swc-multiple-file fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
