# swc-single-file

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute   | Description                                  | Type                          | Default                                   |
| ----------- | ----------- | -------------------------------------------- | ----------------------------- | ----------------------------------------- |
| `extended`  | `extended`  | extended prop for the single file component  | `boolean`                     | `false`                                   |
| `fileInfo`  | `file-info` | file prop for the component                  | `File[]`                      | `[]`                                      |
| `hasError`  | `has-error` | hasError prop for the single file component  | `boolean`                     | `false`                                   |
| `inverted`  | `inverted`  | inverted prop for the single file component  | `boolean`                     | `false`                                   |
| `progress`  | `progress`  | progress prop for the single file component  | `number`                      | `0`                                       |
| `thumbnail` | `thumbnail` | thumbnail prop for the single file component | `"file" \| "none" \| "photo"` | `'file'`                                  |
| `uniqueId`  | `unique-id` | uniqueId prop for the single file component  | `string`                      | `` `single-file-${useId().generate()}` `` |

## Events

| Event           | Description | Type                  |
| --------------- | ----------- | --------------------- |
| `updateRemove`  |             | `CustomEvent<number>` |
| `updateReplace` |             | `CustomEvent<null>`   |
| `uploadRetry`   |             | `CustomEvent<null>`   |

## Dependencies

### Used by

- [swc-file-uploader](../swc-file-uploader)

### Depends on

- [swc-svg-icon](../../swc-svg-icon)
- [swc-progress](../../swc-progress)
- [swc-button](../../button/swc-button)
- [swc-icon-button](../../button/swc-icon-button)

### Graph

```mermaid
graph TD;
  swc-single-file --> swc-svg-icon
  swc-single-file --> swc-progress
  swc-single-file --> swc-button
  swc-single-file --> swc-icon-button
  swc-icon-button --> swc-button
  swc-file-uploader --> swc-single-file
  style swc-single-file fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
