# swc-sidebar-header

<!-- Auto Generated Below -->

## Properties

| Property           | Attribute            | Description                     | Type              | Default                            |
| ------------------ | -------------------- | ------------------------------- | ----------------- | ---------------------------------- |
| `canSwitchModules` | `can-switch-modules` | Whether modules can be switched | `boolean`         | `false`                            |
| `module`           | `module`             | Current module name             | `string`          | `''`                               |
| `modulesList`      | `modules-list`       | List of available modules       | `ModuleDetails[]` | `[{ title: '', description: '' }]` |

## Events

| Event           | Description                             | Type                  |
| --------------- | --------------------------------------- | --------------------- |
| `switch:module` | Event emitted when a module is switched | `CustomEvent<string>` |

## Methods

### `isCurrentModule(index: number) => Promise<boolean>`

Event emitted when the sidebar is collapsed

#### Parameters

| Name    | Type     | Description |
| ------- | -------- | ----------- |
| `index` | `number` |             |

#### Returns

Type: `Promise<boolean>`

## Dependencies

### Used by

- [swc-sidebar-test](..)

### Depends on

- [swc-dropdown](../../../Dropdown/swc-dropdown)
- [swc-button](../../../button/swc-button)
- [swc-svg-icon](../../../swc-svg-icon)
- [swc-list](../../../List/swc-list)
- [swc-list-item](../../../List/swc-list-item)

### Graph

```mermaid
graph TD;
  swc-sidebar-header --> swc-dropdown
  swc-sidebar-header --> swc-button
  swc-sidebar-header --> swc-svg-icon
  swc-sidebar-header --> swc-list
  swc-sidebar-header --> swc-list-item
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-sidebar-test --> swc-sidebar-header
  style swc-sidebar-header fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
