# swc-sidebar-option

<!-- Auto Generated Below -->

## Properties

| Property       | Attribute       | Description                             | Type      | Default        |
| -------------- | --------------- | --------------------------------------- | --------- | -------------- |
| `hasSections`  | `has-sections`  | Whether this option has nested sections | `boolean` | `false`        |
| `iconName`     | `icon-name`     | Icon name                               | `string`  | `'Add Circle'` |
| `iconVariant`  | `icon-variant`  | Icon variant                            | `string`  | `'outline'`    |
| `isActive`     | `is-active`     | Whether this option is active           | `boolean` | `false`        |
| `isSubsection` | `is-subsection` | Whether this is a subsection            | `boolean` | `false`        |
| `level`        | `level`         | Nesting level                           | `number`  | `undefined`    |
| `optionId`     | `option-id`     | Unique identifier for this option       | `string`  | `''`           |
| `sidebarTitle` | `sidebar-title` | Title of the option                     | `string`  | `''`           |

## Events

| Event           | Description                           | Type                |
| --------------- | ------------------------------------- | ------------------- |
| `select:option` | Event emitted when option is selected | `CustomEvent<void>` |

## Dependencies

### Used by

- [swc-sidebar-test](..)

### Depends on

- [swc-button](../../../button/swc-button)
- [swc-svg-icon](../../../swc-svg-icon)

### Graph

```mermaid
graph TD;
  swc-sidebar-option --> swc-button
  swc-sidebar-option --> swc-svg-icon
  swc-sidebar-test --> swc-sidebar-option
  style swc-sidebar-option fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
