# swc-list

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description                                        | Type                    | Default         |
| ------------- | -------------- | -------------------------------------------------- | ----------------------- | --------------- |
| `customClass` | `custom-class` |                                                    | `string \| undefined`   | `undefined`     |
| `loading`     | `loading`      | loading prop on the component rendering            | `boolean \| undefined`  | `false`         |
| `maxHeight`   | `max-height`   | maxheight for the component                        | `string \| undefined`   | `'auto'`        |
| `options`     | `options`      | options                                            | `Option[] \| undefined` | `undefined`     |
| `placeholder` | `placeholder`  | placeholder text for the search field              | `string \| undefined`   | `'Search'`      |
| `searchable`  | `searchable`   | searchable prop to allow searching the list or not | `boolean \| undefined`  | `false`         |
| `selection`   | `selection`    | selection for the component                        | `Option \| undefined`   | `undefined`     |
| `width`       | `width`        | width of the list                                  | `string`                | `'fit-content'` |

## Events

| Event             | Description                                                         | Type                  |
| ----------------- | ------------------------------------------------------------------- | --------------------- |
| `searchQuery`     | registering the search:query event for the component                | `CustomEvent<string>` |
| `updateSelection` | registering update:selection event for updating the selected option | `CustomEvent<Option>` |

## Dependencies

### Used by

- [app-playground](../..)
- [swc-multi-select](../../Select/swc-multi-select)
- [swc-pagination-button-list](../../Pagination/swc-pagination-button-list)
- [swc-pagination-input](../../Pagination/swc-pagination-input)
- [swc-sidebar-header](../../Layout/swc-sidebar/swc-sidebar-header)
- [swc-sidebar-test](../../Layout/swc-sidebar)
- [swc-single-select](../../Select/swc-single-select)

### Depends on

- [swc-input](../../swc-input)
- [swc-list-item](../swc-list-item)
- [swc-loader](../../swc-loader)

### Graph

```mermaid
graph TD;
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  app-playground --> swc-list
  swc-multi-select --> swc-list
  swc-pagination-button-list --> swc-list
  swc-pagination-input --> swc-list
  swc-sidebar-header --> swc-list
  swc-sidebar-test --> swc-list
  swc-single-select --> swc-list
  style swc-list fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
