# swc-multi-select

<!-- Auto Generated Below -->

## Properties

| Property          | Attribute           | Description                             | Type                   | Default     |
| ----------------- | ------------------- | --------------------------------------- | ---------------------- | ----------- |
| `clearable`       | `clearable`         | clearable the list items                | `boolean`              | `false`     |
| `filteredOptions` | `filtered-options`  | filtered options when search is applied | `Option[]`             | `[]`        |
| `flip`            | `flip`              | flip the list items                     | `boolean`              | `true`      |
| `loading`         | `loading`           | loading state                           | `boolean`              | `false`     |
| `maxHeight`       | `max-height`        | maxHeight the list items                | `string`               | `'230px'`   |
| `multiple`        | `multiple`          | multiple the list items                 | `boolean`              | `false`     |
| `originalOptions` | `original-options`  | original options                        | `Option[]`             | `[]`        |
| `placeholder`     | `placeholder`       | placeholder the list items              | `string`               | `'Select'`  |
| `searchable`      | `searchable`        | searchable the list items               | `boolean`              | `false`     |
| `selectedOptions` | `selected-options`  | selectedOptions the list item           | `Option[]`             | `undefined` |
| `showCheckbox`    | `show-checkbox`     | showCheckbox prop the element           | `boolean`              | `true`      |
| `usingFooterSlot` | `using-footer-slot` | usingFooterSlot the list items          | `boolean \| undefined` | `undefined` |
| `width`           | `width`             | width the list items                    | `string`               | `'100%'`    |

## Events

| Event              | Description                                 | Type                                                                                                   |
| ------------------ | ------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| `clearedSelection` | Event emitted when the selection is cleared | `CustomEvent<null>`                                                                                    |
| `groupSelection`   | Event emitted when the selection is grouped | `CustomEvent<boolean>`                                                                                 |
| `searchQuery`      | Event emitted when the search query changes | `CustomEvent<string>`                                                                                  |
| `select`           | Event emitted when the selection changes    | `CustomEvent<{ value: string \| number; label: string; disabled?: boolean \| undefined; }>`            |
| `selectAll`        | Event emitted when the all is selected      | `CustomEvent<boolean \| { value: string \| number; label: string; disabled?: boolean \| undefined; }>` |

## Dependencies

### Used by

- [swc-select](../swc-select)

### Depends on

- [swc-dropdown-trigger](../../Dropdown/swc-dropdown-trigger)
- [swc-svg-icon](../../swc-svg-icon)
- [swc-list](../../List/swc-list)
- [swc-label](../../swc-label)
- [swc-switch](../../swc-switch)
- [swc-option](../swc-option)

### Graph

```mermaid
graph TD;
  swc-multi-select --> swc-dropdown-trigger
  swc-multi-select --> swc-svg-icon
  swc-multi-select --> swc-list
  swc-multi-select --> swc-label
  swc-multi-select --> swc-switch
  swc-multi-select --> swc-option
  swc-dropdown-trigger --> swc-svg-icon
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-switch --> swc-label
  swc-option --> swc-list-item
  swc-select --> swc-multi-select
  style swc-multi-select fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
