# swc-select

<!-- Auto Generated Below -->

## Properties

| Property       | Attribute       | Description                                 | Type                        | Default     |
| -------------- | --------------- | ------------------------------------------- | --------------------------- | ----------- |
| `clearable`    | `clearable`     | clearable the list items                    | `boolean`                   | `false`     |
| `flip`         | `flip`          | flip the list items                         | `boolean`                   | `true`      |
| `loading`      | `loading`       | loading state                               | `boolean`                   | `false`     |
| `maxHeight`    | `max-height`    | maxHeight the list items                    | `string`                    | `'230px'`   |
| `multiple`     | `multiple`      | multiple the list items                     | `boolean`                   | `false`     |
| `options`      | `options`       | options the list items                      | `Option[]`                  | `[]`        |
| `placeholder`  | `placeholder`   | placeholder the list items                  | `string`                    | `'Select'`  |
| `searchable`   | `searchable`    | searchable the list items                   | `boolean`                   | `false`     |
| `showCheckbox` | `show-checkbox` | showCheckbox prop the element               | `boolean`                   | `true`      |
| `value`        | `value`         | the selection prop for the two data binding | `any[] \| number \| string` | `undefined` |
| `width`        | `width`         | width the list items                        | `string`                    | `'100%'`    |

## Events

| Event                   | Description | Type                                                                                                                                                |
| ----------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `changeSelection`       |             | `CustomEvent<(string \| number)[] \| Option[] \| number \| string \| { value: string \| number; label: string; disabled?: boolean \| undefined; }>` |
| `clearedSelection`      |             | `CustomEvent<null>`                                                                                                                                 |
| `groupSelection`        |             | `CustomEvent<boolean>`                                                                                                                              |
| `searchQuery`           |             | `CustomEvent<string>`                                                                                                                               |
| `updateSelectedOption`  |             | `CustomEvent<{ value: string \| number; label: string; disabled?: boolean \| undefined; }>`                                                         |
| `updateSelectedOptions` |             | `CustomEvent<Option[]>`                                                                                                                             |

## Dependencies

### Used by

- [app-playground](../..)

### Depends on

- [swc-multi-select](../swc-multi-select)
- [swc-loader](../../swc-loader)
- [swc-single-select](../swc-single-select)

### Graph

```mermaid
graph TD;
  swc-select --> swc-multi-select
  swc-select --> swc-loader
  swc-select --> swc-single-select
  swc-multi-select --> swc-dropdown-trigger
  swc-multi-select --> swc-svg-icon
  swc-multi-select --> swc-list
  swc-multi-select --> swc-label
  swc-multi-select --> swc-switch
  swc-multi-select --> swc-option
  swc-dropdown-trigger --> swc-svg-icon
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-switch --> swc-label
  swc-option --> swc-list-item
  swc-single-select --> swc-dropdown-trigger
  swc-single-select --> swc-svg-icon
  swc-single-select --> swc-list
  swc-single-select --> swc-option
  app-playground --> swc-select
  style swc-select fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
