# swc-single-select

<!-- Auto Generated Below -->

## Properties

| Property         | Attribute         | Description                   | Type                                                                                        | Default     |
| ---------------- | ----------------- | ----------------------------- | ------------------------------------------------------------------------------------------- | ----------- |
| `clearable`      | `clearable`       | clearable the list items      | `boolean`                                                                                   | `false`     |
| `flip`           | `flip`            | flip the list items           | `boolean`                                                                                   | `true`      |
| `loading`        | `loading`         | loading state                 | `boolean`                                                                                   | `false`     |
| `maxHeight`      | `max-height`      | maxHeight the list items      | `string`                                                                                    | `'230px'`   |
| `multiple`       | `multiple`        | multiple the list items       | `boolean`                                                                                   | `false`     |
| `options`        | `options`         | options the list items        | `Option[]`                                                                                  | `undefined` |
| `placeholder`    | `placeholder`     | placeholder the list items    | `string`                                                                                    | `'Select'`  |
| `searchable`     | `searchable`      | searchable the list items     | `boolean`                                                                                   | `false`     |
| `selectedOption` | `selected-option` | selectedOption the list item  | `undefined \| { value: string \| number; label: string; disabled?: boolean \| undefined; }` | `undefined` |
| `showCheckbox`   | `show-checkbox`   | showCheckbox prop the element | `boolean`                                                                                   | `true`      |
| `width`          | `width`           | width the list items          | `string`                                                                                    | `'100%'`    |

## Events

| Event              | Description                                   | Type                                                                                        |
| ------------------ | --------------------------------------------- | ------------------------------------------------------------------------------------------- |
| `clearedSelection` | Emitted when the clear icon button is clicked | `CustomEvent<null>`                                                                         |
| `searchQuery`      | Emitted when a user searches for an option    | `CustomEvent<string>`                                                                       |
| `select`           | Emitted when an option is selected            | `CustomEvent<{ value: string \| number; label: string; disabled?: boolean \| undefined; }>` |

## Dependencies

### Used by

- [swc-select](../swc-select)

### Depends on

- [swc-dropdown-trigger](../../Dropdown/swc-dropdown-trigger)
- [swc-svg-icon](../../swc-svg-icon)
- [swc-list](../../List/swc-list)
- [swc-option](../swc-option)

### Graph

```mermaid
graph TD;
  swc-single-select --> swc-dropdown-trigger
  swc-single-select --> swc-svg-icon
  swc-single-select --> swc-list
  swc-single-select --> swc-option
  swc-dropdown-trigger --> swc-svg-icon
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-option --> swc-list-item
  swc-select --> swc-single-select
  style swc-single-select fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
