# swc-top-nav

<!-- Auto Generated Below -->

## Properties

| Property               | Attribute                | Description                                                    | Type      | Default  |
| ---------------------- | ------------------------ | -------------------------------------------------------------- | --------- | -------- |
| `hasNotifications`     | `has-notifications`      | hasNotifications prop                                          | `boolean` | `true`   |
| `hasReadNotifications` | `has-read-notifications` | hasReadNotifications prop                                      | `boolean` | `false`  |
| `hasSearch`            | `has-search`             | hasSearch prop                                                 | `boolean` | `true`   |
| `hasUserRoleDropdown`  | `has-user-role-dropdown` | hasUserRoleDropdown prop                                       | `boolean` | `true`   |
| `maxWidth`             | `max-width`              | max-width of the header => useful when the app has a max-width | `string`  | `'100%'` |
| `roleWrapperWidth`     | `role-wrapper-width`     | role wrapper prop                                              | `number`  | `152`    |

## Events

| Event               | Description                                          | Type                   |
| ------------------- | ---------------------------------------------------- | ---------------------- |
| `input`             | registering the search:query event for the component | `CustomEvent<string>`  |
| `showNotification`  | registering the search:query event for the component | `CustomEvent<boolean>` |
| `toggleSearchInput` | registering the search:query event for the component | `CustomEvent<boolean>` |

## Dependencies

### Depends on

- [swc-input](../swc-input)
- [swc-icon-button](../button/swc-icon-button)
- [swc-svg-icon](../swc-svg-icon)
- [swc-dropdown](../Dropdown/swc-dropdown)
- [swc-dropdown-trigger](../Dropdown/swc-dropdown-trigger)

### Graph

```mermaid
graph TD;
  swc-top-nav --> swc-input
  swc-top-nav --> swc-icon-button
  swc-top-nav --> swc-svg-icon
  swc-top-nav --> swc-dropdown
  swc-top-nav --> swc-dropdown-trigger
  swc-icon-button --> swc-button
  swc-dropdown-trigger --> swc-svg-icon
  style swc-top-nav fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
