# swc-tour-guide-step

<!-- Auto Generated Below -->

## Properties

| Property        | Attribute         | Description                                          | Type                 | Default     |
| --------------- | ----------------- | ---------------------------------------------------- | -------------------- | ----------- |
| `content`       | `content`         | content of the tour step                             | `string`             | `undefined` |
| `currentIndex`  | `current-index`   | the position of the current tour step                | `number`             | `0`         |
| `dismissible`   | `dismissible`     | determines whether the tour step should be dismissed | `boolean`            | `false`     |
| `hasNext`       | `has-next`        | determines whether there is a next step              | `boolean`            | `false`     |
| `hasPrevious`   | `has-previous`    | determines whether there is a previous step          | `boolean`            | `false`     |
| `heading`       | `heading`         | title of the tour step                               | `string`             | `undefined` |
| `isLastStep`    | `is-last-step`    | determines whether the tour step is the last step    | `boolean`            | `false`     |
| `numberOfSteps` | `number-of-steps` | the number of steps in the tour guide                | `number`             | `1`         |
| `startTour`     | `start-tour`      | determines whether the tour should begin             | `boolean`            | `false`     |
| `variant`       | `variant`         | variant of the tour guide                            | `"brand" \| "light"` | `undefined` |

## Events

| Event          | Description                                 | Type               |
| -------------- | ------------------------------------------- | ------------------ |
| `dismissTour`  | emitted when the next button is clicked     | `CustomEvent<any>` |
| `endTour`      | emitted when the next button is clicked     | `CustomEvent<any>` |
| `viewNext`     | emitted when the next button is clicked     | `CustomEvent<any>` |
| `viewPrevious` | emitted when the previous button is clicked | `CustomEvent<any>` |

## Dependencies

### Used by

- [swc-tour-guide](../swc-tour-guide)

### Depends on

- [swc-icon-button](../../button/swc-icon-button)
- [swc-svg-icon](../../swc-svg-icon)
- [swc-button](../../button/swc-button)

### Graph

```mermaid
graph TD;
  swc-tour-guide-step --> swc-icon-button
  swc-tour-guide-step --> swc-svg-icon
  swc-tour-guide-step --> swc-button
  swc-icon-button --> swc-button
  swc-tour-guide --> swc-tour-guide-step
  style swc-tour-guide-step fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
