# swc-tour-guide

<!-- Auto Generated Below -->

## Overview

const emit = defineEmits(['view:previous', 'view:next', 'dismiss:tour', 'end:tour'])

## Properties

| Property            | Attribute             | Description                                          | Type                                                                                            | Default   |
| ------------------- | --------------------- | ---------------------------------------------------- | ----------------------------------------------------------------------------------------------- | --------- |
| `dismissible`       | `dismissible`         | determines whether the tour can be dismissed         | `boolean`                                                                                       | `true`    |
| `showArrow`         | `show-arrow`          | determines whether an arrow should be displayed      | `boolean`                                                                                       | `true`    |
| `startTour`         | `start-tour`          | determines whether the tour should begin             | `boolean`                                                                                       | `false`   |
| `steps`             | `steps`               | steps for the tour guide                             | `{ cssSelector: string; title: string; content: string; position?: Placement \| undefined; }[]` | `[]`      |
| `useHighlightSteps` | `use-highlight-steps` | determines whether a tour step should be highlighted | `boolean`                                                                                       | `true`    |
| `useModalOverlay`   | `use-modal-overlay`   | determines whether an overlay should be displayed    | `boolean`                                                                                       | `true`    |
| `variant`           | `variant`             | variant of the tour guide                            | `"brand" \| "light"`                                                                            | `'light'` |

## Events

| Event          | Description                                 | Type               |
| -------------- | ------------------------------------------- | ------------------ |
| `dismissTour`  | emitted when the next button is clicked     | `CustomEvent<any>` |
| `endTour`      | emitted when the next button is clicked     | `CustomEvent<any>` |
| `viewNext`     | emitted when the next button is clicked     | `CustomEvent<any>` |
| `viewPrevious` | emitted when the previous button is clicked | `CustomEvent<any>` |

## Dependencies

### Depends on

- [swc-tour-guide-step](../swc-tour-guide-step)

### Graph

```mermaid
graph TD;
  swc-tour-guide --> swc-tour-guide-step
  swc-tour-guide-step --> swc-icon-button
  swc-tour-guide-step --> swc-svg-icon
  swc-tour-guide-step --> swc-button
  swc-icon-button --> swc-button
  style swc-tour-guide fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
