# swc-button

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description                                            | Type                                                            | Default    |
| ------------- | -------------- | ------------------------------------------------------ | --------------------------------------------------------------- | ---------- |
| `customClass` | `custom-class` |                                                        | `string`                                                        | `''`       |
| `disabled`    | `disabled`     | determines whether the button is disabled              | `boolean`                                                       | `false`    |
| `intent`      | `intent`       | the intent of the button                               | `"brand" \| "critical" \| "inverse" \| "neutral" \| "positive"` | `'brand'`  |
| `round`       | `round`        | determines whether the button should be round in shape | `boolean`                                                       | `false`    |
| `size`        | `size`         | the size of the button                                 | `"lg" \| "md" \| "sm" \| "xs"`                                  | `'md'`     |
| `type`        | `type`         | the type of the button                                 | `"button" \| "reset" \| "submit"`                               | `'button'` |
| `variant`     | `variant`      | the variant of the button                              | `"bare" \| "faded" \| "ghost" \| "outline" \| "solid"`          | `'solid'`  |
| `width`       | `width`        | width of the button                                    | `string`                                                        | `'auto'`   |

## Events

| Event   | Description                              | Type                |
| ------- | ---------------------------------------- | ------------------- |
| `focus` | event emitted when the button is focused | `CustomEvent<void>` |

## Dependencies

### Used by

- [app-playground](../..)
- [swc-alert](../../swc-alert)
- [swc-icon-button](../swc-icon-button)
- [swc-multiple-file](../../FileUploader/swc-multiple-file)
- [swc-pagination-button](../../Pagination/swc-pagination-button)
- [swc-side-panel](../../modals/swc-side-panel)
- [swc-sidebar-header](../../Layout/swc-sidebar/swc-sidebar-header)
- [swc-sidebar-option](../../Layout/swc-sidebar/swc-sidebar-option)
- [swc-single-file](../../FileUploader/swc-single-file)
- [swc-tour-guide-step](../../TourGuide/swc-tour-guide-step)

### Graph

```mermaid
graph TD;
  app-playground --> swc-button
  swc-alert --> swc-button
  swc-icon-button --> swc-button
  swc-multiple-file --> swc-button
  swc-pagination-button --> swc-button
  swc-side-panel --> swc-button
  swc-sidebar-header --> swc-button
  swc-sidebar-option --> swc-button
  swc-single-file --> swc-button
  swc-tour-guide-step --> swc-button
  style swc-button fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
