# swc-icon-button

<!-- Auto Generated Below -->

## Properties

| Property     | Attribute     | Description                                          | Type                                                                         | Default     |
| ------------ | ------------- | ---------------------------------------------------- | ---------------------------------------------------------------------------- | ----------- |
| `arialLabel` | `arial-label` | aria label attribute                                 | `string \| undefined`                                                        | `undefined` |
| `disabled`   | `disabled`    | disabled state of the icon button                    | `boolean`                                                                    | `false`     |
| `intent`     | `intent`      | intent of the icon button                            | `"brand" \| "critical" \| "inverse" \| "neutral" \| "positive" \| undefined` | `'brand'`   |
| `round`      | `round`       | determines whether the icon should be round in shape | `boolean`                                                                    | `false`     |
| `size`       | `size`        | size of the icon button                              | `"lg" \| "md" \| "sm"`                                                       | `'md'`      |
| `variant`    | `variant`     | variant of the icon button                           | `"bare" \| "faded" \| "ghost" \| "outline" \| "solid"`                       | `'solid'`   |

## Events

| Event     | Description                             | Type                |
| --------- | --------------------------------------- | ------------------- |
| `focused` | emitted when the icon button is focused | `CustomEvent<void>` |

## Dependencies

### Used by

- [app-playground](../..)
- [swc-breadcrumb-dropdown](../../Breadcrumb/swc-breadcrumb-dropdown)
- [swc-multiple-file](../../FileUploader/swc-multiple-file)
- [swc-sidebar-footer](../../Layout/swc-sidebar/swc-sidebar-footer)
- [swc-single-file](../../FileUploader/swc-single-file)
- [swc-table-head](../../Table/swc-table-head)
- [swc-toast](../../swc-toast)
- [swc-top-nav](../../TopNav)
- [swc-tour-guide-step](../../TourGuide/swc-tour-guide-step)

### Depends on

- [swc-button](../swc-button)

### Graph

```mermaid
graph TD;
  swc-icon-button --> swc-button
  app-playground --> swc-icon-button
  swc-breadcrumb-dropdown --> swc-icon-button
  swc-multiple-file --> swc-icon-button
  swc-sidebar-footer --> swc-icon-button
  swc-single-file --> swc-icon-button
  swc-table-head --> swc-icon-button
  swc-toast --> swc-icon-button
  swc-top-nav --> swc-icon-button
  swc-tour-guide-step --> swc-icon-button
  style swc-icon-button fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
