# swc-input

<!-- Auto Generated Below -->

## Properties

| Property             | Attribute             | Description                                         | Type                                          | Default     |
| -------------------- | --------------------- | --------------------------------------------------- | --------------------------------------------- | ----------- |
| `clearable`          | `clearable`           | determines whether a clear icon should be displayed | `boolean \| undefined`                        | `false`     |
| `containerClass`     | `container-class`     | the class name of the input container               | `string \| undefined`                         | `''`        |
| `disabled`           | `disabled`            | determines whether the input is disabled            | `boolean \| undefined`                        | `false`     |
| `handleInputChange`  | `handle-input-change` | handleInputChange                                   | `(value: string) => void`                     | `undefined` |
| `hasError`           | `has-error`           | determines whether the input has error              | `boolean \| undefined`                        | `false`     |
| `placeholder`        | `placeholder`         | default value of the input                          | `string \| undefined`                         | `''`        |
| `type`               | `type`                | type prop                                           | `string \| undefined`                         | `''`        |
| `value` _(required)_ | `value`               | default value of the input                          | `string`                                      | `undefined` |
| `variant`            | `variant`             | variant of the input                                | `"faded" \| "ghost" \| "inline" \| "outline"` | `'outline'` |

## Events

| Event    | Description  | Type                            |
| -------- | ------------ | ------------------------------- |
| `change` | change event | `CustomEvent<HTMLInputElement>` |

## Dependencies

### Used by

- [swc-list](../List/swc-list)
- [swc-pagination-input](../Pagination/swc-pagination-input)
- [swc-top-nav](../TopNav)

### Graph

```mermaid
graph TD;
  swc-list --> swc-input
  swc-pagination-input --> swc-input
  swc-top-nav --> swc-input
  style swc-input fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
