# swc-svg-icon

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute | Description                                                                                                                    | Type                    | Default     |
| ----------- | --------- | ------------------------------------------------------------------------------------------------------------------------------ | ----------------------- | ----------- |
| `color`     | `color`   | The color of the icon                                                                                                          | `string`                | `'#000000'` |
| `name`      | `name`    | The name of the icon as seen on figma                                                                                          | `string`                | `undefined` |
| `opacity`   | `opacity` | The opacity of the icon                                                                                                        | `string`                | `'0.9'`     |
| `size`      | `size`    | The size of the icon                                                                                                           | `string`                | `'24'`      |
| `titleProp` | `title`   | The accessible text for the icon. Sets attribute to 'title' since 'title' prop is invalid as title is a reserved word in HTML. | `string`                | `undefined` |
| `variant`   | `variant` | The variant of the icon (filled or outline)                                                                                    | `"filled" \| "outline"` | `'outline'` |

## Dependencies

### Used by

- [app-playground](..)
- [swc-accordion-item](../Accordion/swc-accordion-item)
- [swc-alert](../swc-alert)
- [swc-banner](../swc-banner)
- [swc-dialog](../modals/swc-dialog)
- [swc-dropdown-trigger](../Dropdown/swc-dropdown-trigger)
- [swc-multi-select](../Select/swc-multi-select)
- [swc-multiple-file](../FileUploader/swc-multiple-file)
- [swc-navigation-menu-trigger](../NavigationMenu/swc-navigation-menu-trigger)
- [swc-pagination-input](../Pagination/swc-pagination-input)
- [swc-sidebar-footer](../Layout/swc-sidebar/swc-sidebar-footer)
- [swc-sidebar-header](../Layout/swc-sidebar/swc-sidebar-header)
- [swc-sidebar-option](../Layout/swc-sidebar/swc-sidebar-option)
- [swc-single-file](../FileUploader/swc-single-file)
- [swc-single-select](../Select/swc-single-select)
- [swc-stepper-item](../Stepper/swc-stepper-item)
- [swc-table-head](../Table/swc-table-head)
- [swc-toast](../swc-toast)
- [swc-top-nav](../TopNav)
- [swc-tour-guide-step](../TourGuide/swc-tour-guide-step)

### Graph

```mermaid
graph TD;
  app-playground --> swc-svg-icon
  swc-accordion-item --> swc-svg-icon
  swc-alert --> swc-svg-icon
  swc-banner --> swc-svg-icon
  swc-dialog --> swc-svg-icon
  swc-dropdown-trigger --> swc-svg-icon
  swc-multi-select --> swc-svg-icon
  swc-multiple-file --> swc-svg-icon
  swc-navigation-menu-trigger --> swc-svg-icon
  swc-pagination-input --> swc-svg-icon
  swc-sidebar-footer --> swc-svg-icon
  swc-sidebar-header --> swc-svg-icon
  swc-sidebar-option --> swc-svg-icon
  swc-single-file --> swc-svg-icon
  swc-single-select --> swc-svg-icon
  swc-stepper-item --> swc-svg-icon
  swc-table-head --> swc-svg-icon
  swc-toast --> swc-svg-icon
  swc-top-nav --> swc-svg-icon
  swc-tour-guide-step --> swc-svg-icon
  style swc-svg-icon fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
