# swc-toast

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute     | Description                                      | Type                                                                                              | Default        |
| ------------- | ------------- | ------------------------------------------------ | ------------------------------------------------------------------------------------------------- | -------------- |
| `_title`      | `_title`      | title of the toast                               | `string`                                                                                          | `undefined`    |
| `dismissible` | `dismissible` | determines whether the toast can be dismissed    | `boolean`                                                                                         | `true`         |
| `isVisible`   | `is-visible`  | determines whether the toast is visible          | `boolean`                                                                                         | `false`        |
| `message`     | `message`     | message of the toast                             | `string`                                                                                          | `undefined`    |
| `position`    | `position`    | toast position                                   | `"bottom-center" \| "bottom-left" \| "bottom-right" \| "top-center" \| "top-left" \| "top-right"` | `'top-center'` |
| `showTitle`   | `show-title`  | determines whether the title should be displayed | `boolean`                                                                                         | `true`         |
| `timeout`     | `timeout`     | duration of the toast in milliseconds            | `number`                                                                                          | `5000`         |
| `timeoutId`   | `timeout-id`  | timeout id from setTimeout function              | `Timeout`                                                                                         | `undefined`    |
| `type`        | `type`        | toast type                                       | `"error" \| "info" \| "success" \| "warning"`                                                     | `'success'`    |

## Methods

### `reset() => Promise<void>`

resets the toast state

#### Returns

Type: `Promise<void>`

### `showToast() => Promise<void>`

show toast

#### Returns

Type: `Promise<void>`

## Dependencies

### Depends on

- [swc-svg-icon](../swc-svg-icon)
- [swc-icon-button](../button/swc-icon-button)

### Graph

```mermaid
graph TD;
  swc-toast --> swc-svg-icon
  swc-toast --> swc-icon-button
  swc-icon-button --> swc-button
  style swc-toast fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
