# swc-tooltip

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description                                                                                                                | Type                                                                                                                                                                                                         | Default   |
| ------------- | -------------- | -------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------- |
| `content`     | `content`      | content of the tooltip which is a string display when the tooltip appears, default value is empty string                   | `string`                                                                                                                                                                                                     | `''`      |
| `interactive` | `interactive`  | interactive is prop set for the initialization of the tippy.js instance object, it virtually makes the tooltip interactive | `boolean`                                                                                                                                                                                                    | `false`   |
| `position`    | `position`     | position tells the placement of the tooltip in relation to the trigger element                                             | `"auto" \| "auto-end" \| "auto-start" \| "bottom" \| "bottom-end" \| "bottom-start" \| "left" \| "left-end" \| "left-start" \| "right" \| "right-end" \| "right-start" \| "top" \| "top-end" \| "top-start"` | `'top'`   |
| `showArrow`   | `show-arrow`   | showArrow determine if the tooltip will display arrow pointer or not                                                       | `boolean`                                                                                                                                                                                                    | `true`    |
| `showContent` | `show-content` | showContent determines if the content of the tooltip should be shown                                                       | `boolean`                                                                                                                                                                                                    | `true`    |
| `variant`     | `variant`      | variant determines the display type and color of the tooltip, either light or brand                                        | `"brand" \| "light"`                                                                                                                                                                                         | `'light'` |

## Dependencies

### Used by

- [app-playground](..)
- [swc-pagination](../Pagination/swc-pagination)

### Graph

```mermaid
graph TD;
  app-playground --> swc-tooltip
  swc-pagination --> swc-tooltip
  style swc-tooltip fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
